------------------------------------------------------------------------
r48968 | gerald | 2013-04-22 10:36:47 -0700 (Mon, 22 Apr 2013) | 2 lines
Changed paths:
   A /trunk-1.10 (from /trunk:48967)

Create the 1.10 branch.

------------------------------------------------------------------------
r48967 | gerald | 2013-04-22 10:34:50 -0700 (Mon, 22 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/wmem/wmem_test.c

Convert another instance of g_assert_cmpuint to g_assert.

------------------------------------------------------------------------
r48966 | alagoutte | 2013-04-22 10:31:15 -0700 (Mon, 22 Apr 2013) | 32 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Cal Turney via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8601 NFSv4 attribute and READDIR modifications

*  "dissect_nfs4_attribute()" was eliminated because the values dissection
   portion of that routine was identical to the "dissect_nfs_attributes()"
   routine.  The code in "dissect_nfs4_bitmap4()" and
   "dissect_nfs4_attrlist4()" was also similar so those routines
   were also eliminated and their code incorporated in dissect_nfs_fattr4s().
   These measures have reduced the size of 'packet-nfs.c' by almost 400 lines.

*  Attributes were relabeled according to RFC 5661 (NFS4v1).
    o “mand_attr” (REQUIRED attribute) header was changed to "reqd_attr”.
    o “recc_attr” (RECOMMENDED attributes) header was changed to “reco_attr”
      because "recommended" only has one ‘c’. =)

*  In order to be able to list the attribute names horizontally in the
   "Attr mask[x]" header (e.g., "Attr mask[0]: 0x0010111a (TYPE, CHANGE, SIZE,
   FSID, ACL, FILEID)", “FATTR4_” was removed from the attribute names
   (e.g., “FATTR4_TYPE (1)” is now “TYPE (1)”.  Note that RFC 5661 does not
   define them with a “FATTR4” prefix.

*  In GETATTR responses, the “resok4” and “obj_attributes” subtrees were
   eliminated because they are neither actual fields nor serve any practical
   purpose.

*  The READDIR "Directory Listing" subtree was reformatted. "Filename" was
   changed to "Entry" because entries can also be directories.
   "Value Follows", "cookie", and "Attr mask[n]" were moved within each entry.
   If an Entry header is left-clicked all the fields of that entry are
   highlighted in the Hex pane. If it is right-clicked the 'nfs.name'
   field (filter) can be obtained. Finally, the "attr_vals:<DATA>" (text)
   subtree was eliminated because it appears to serve no useful purpose and
   clutters the tree.
------------------------------------------------------------------------
r48965 | alagoutte | 2013-04-22 10:28:16 -0700 (Mon, 22 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

Fix encoding args (via fix-encodings-args tools) Add Modelines info
------------------------------------------------------------------------
r48964 | eapache | 2013-04-22 08:40:48 -0700 (Mon, 22 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/wmem/wmem_test.c

Improve wmem strbuf tests, add tests for string util. functions

------------------------------------------------------------------------
r48963 | alagoutte | 2013-04-22 05:31:04 -0700 (Mon, 22 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/oui.h

Add dissection of Aruba Networks Vendor Specific stuff. With ArubaOS 6.2, there is a option to add AP Name in Beacon frame.
------------------------------------------------------------------------
r48962 | martinm | 2013-04-22 05:08:42 -0700 (Mon, 22 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-arp.c

Don't report duplicate use of IP address twice when dissecting a
gratuitous ARP request.

------------------------------------------------------------------------
r48961 | mmann | 2013-04-21 19:43:52 -0700 (Sun, 21 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smtp.c

Improve AUTH handling (NTLM and elementary PLAIN mechanism)

from Uli Heilmeier, bug 8600 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8600)
------------------------------------------------------------------------
r48960 | mmann | 2013-04-21 19:10:49 -0700 (Sun, 21 Apr 2013) | 4 lines
Changed paths:
   M /trunk/airpcap_loader.c
   M /trunk/epan/uat-int.h
   M /trunk/epan/uat.c
   M /trunk/epan/uat_load.l
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c
   M /trunk/ui/gtk/uat_gui.c

Add a "hidden" array of UAT entry data to allow separation between UAT file syntax errors and "syntactically correct, but invalid field".  Now UAT files load all entries into the "hidden" array (raw_data), but only adds valid ones to the user_data, which is used by the dissectors.
This is a start to fixing bug 7471 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7471) and is being committed to get the new ABI/API in before the 1.10 release.
What remains is the "GUI portion" (GTK+qt) to indicate to users which UAT entries are invalid.

------------------------------------------------------------------------
r48959 | eapache | 2013-04-21 18:29:13 -0700 (Sun, 21 Apr 2013) | 4 lines
Changed paths:
   M /trunk/epan/wmem/wmem_test.c

Don't use g_assert_cmpuint, its definition breaks the Windows
buildbot for some reason; g_assert works just as well except
for providing less useful output on failures.

------------------------------------------------------------------------
r48958 | mmann | 2013-04-21 16:20:10 -0700 (Sun, 21 Apr 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iec104.c

General cleanup.

Converted to proto_tree_add_text to proto_tree_add_item/expert_info

Allow columns/tree/(sub)dissectors/expert_info to be called at all of the proper times.  COL_INFO data still seems a bit verbose when errors occur, but I left it alone, just cleaning up the sequence of events.

Removed some structure definitions where the variables that used them were effectively "useless" once proto_tree_add_item was added (although they weren't that useful before that)
------------------------------------------------------------------------
r48957 | eapache | 2013-04-21 16:19:37 -0700 (Sun, 21 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/wmem/wmem_strbuf.c
   M /trunk/epan/wmem/wmem_test.c

Add wmem string-buffer tests and fix associated bugs.

------------------------------------------------------------------------
r48956 | pascal | 2013-04-21 14:12:24 -0700 (Sun, 21 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-etsi_card_app_toolkit.c

Dissect more TLV objects

------------------------------------------------------------------------
r48955 | guy | 2013-04-21 12:47:45 -0700 (Sun, 21 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

In tcp_dissect_pdus(), don't put the PDU length into the protocol tree
unless we're going to hand a packet to the PDU subdissector.

------------------------------------------------------------------------
r48954 | guy | 2013-04-21 12:43:36 -0700 (Sun, 21 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-msproxy.c

Update a comment.

------------------------------------------------------------------------
r48953 | guy | 2013-04-21 10:38:57 -0700 (Sun, 21 Apr 2013) | 4 lines
Changed paths:
   M /trunk/epan/tvbuff.c

When creating a subset tvbuff, inherit the flags from the tvbuff of
which we're making a subset, so that if the parent tvbuff is marked as a
fragment, the child tvbuff will be marked as one as well.

------------------------------------------------------------------------
r48950 | gerald | 2013-04-21 07:03:28 -0700 (Sun, 21 Apr 2013) | 1 line
Changed paths:
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2013-04-21]
------------------------------------------------------------------------
r48949 | jmayer | 2013-04-21 01:16:07 -0700 (Sun, 21 Apr 2013) | 2 lines
Changed paths:
   M /trunk/CMakeLists.txt

Use -Wshadow in cmake builds

------------------------------------------------------------------------
r48948 | jmayer | 2013-04-21 01:11:28 -0700 (Sun, 21 Apr 2013) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pw-fr.c

Fix new gcc 4.8 warning:

[  6%] Building C object epan/CMakeFiles/epan.dir/dissectors/packet-pw-fr.c.o
/home/jmayer/work/wireshark/svn/trunk/epan/dissectors/packet-pw-fr.c: In function ‘dissect_pw_fr’:
/home/jmayer/work/wireshark/svn/trunk/epan/dissectors/packet-pw-fr.c:81:4: error: typedef ‘packet_quality_e’ locally defined but not used [-Werror=unused-local-typedefs]
  } packet_quality_e;
    ^


------------------------------------------------------------------------
r48947 | jmayer | 2013-04-21 01:09:12 -0700 (Sun, 21 Apr 2013) | 20 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-rs_pgo.c

Fix new warning in gcc 4.8:

[  5%] Building C object epan/CMakeFiles/epan.dir/dissectors/packet-dcerpc-rs_pgo.c.o
/home/jmayer/work/wireshark/svn/trunk/epan/dissectors/packet-dcerpc-rs_pgo.c: In function ‘dissect_rs_pgo_query_t’:
/home/jmayer/work/wireshark/svn/trunk/epan/dissectors/packet-dcerpc-rs_pgo.c:631:5: error: typedef ‘rs_pgo_query_t’ locally defined but not used [-Werror=unused-local-typedefs]
   } rs_pgo_query_t;
     ^
/home/jmayer/work/wireshark/svn/trunk/epan/dissectors/packet-dcerpc-rs_pgo.c: In function ‘dissect_rs_pgo_query_key_t’:
/home/jmayer/work/wireshark/svn/trunk/epan/dissectors/packet-dcerpc-rs_pgo.c:845:5: error: typedef ‘rs_pgo_query_t’ locally defined but not used [-Werror=unused-local-typedefs]
   } rs_pgo_query_t;
     ^
cc1: all warnings being treated as errors
make[2]: *** [epan/CMakeFiles/epan.dir/dissectors/packet-dcerpc-rs_pgo.c.o] Error 1
[  5%] Building C object epan/CMakeFiles/epan.dir/dissectors/packet-pw-fr.c.o
/home/jmayer/work/wireshark/svn/trunk/epan/dissectors/packet-pw-fr.c: In function ‘dissect_pw_fr’:
/home/jmayer/work/wireshark/svn/trunk/epan/dissectors/packet-pw-fr.c:81:4: error: typedef ‘packet_quality_e’ locally defined but not used [-Werror=unused-local-typedefs]
  } packet_quality_e;
    ^


------------------------------------------------------------------------
r48946 | guy | 2013-04-20 23:14:11 -0700 (Sat, 20 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/show_exception.c

If pinfo->fragmented is set, map ReportedBoundsError to
FragmentBoundsError.

------------------------------------------------------------------------
r48945 | guy | 2013-04-20 20:22:30 -0700 (Sat, 20 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/show_exception.c

show_reported_bounds_error() should only be used to handle things such
as overflows in offsets, where the error presumably was that some field
size was so bogusly huge that it overflowed 32 bits; that's a malformed
packet even if the packet wasn't reassembled.

------------------------------------------------------------------------
r48944 | eapache | 2013-04-20 14:20:00 -0700 (Sat, 20 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Initialize branch_taken right at the top of dissect_ber_choice so that the
caller can depend on it being initialized even in peculiar error conditions.

Fixes the other half of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8599

------------------------------------------------------------------------
r48943 | eapache | 2013-04-20 14:09:41 -0700 (Sat, 20 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/reassemble.c

Fix typo - we want to check if the pointer is NULL, not if the value
pointed to is NULL.

Part of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8599

------------------------------------------------------------------------
r48942 | alagoutte | 2013-04-20 02:49:12 -0700 (Sat, 20 Apr 2013) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

Remove expert info for bit AD in DNS query

See Section 5.7 (Setting the AD Bit on Queries) of RFC 6840 (Clarifications and Implementation Notes for DNS Security (DNSSEC))

The semantics of the Authentic Data (AD) bit in the query were
previously undefined.  Section 4.6 of [RFC4035] instructed resolvers
to always clear the AD bit when composing queries.

This document defines setting the AD bit in a query as a signal
indicating that the requester understands and is interested in the
value of the AD bit in the response. This allows a requester to
indicate that it understands the AD bit without also requesting
DNSSEC data via the DO bit.
------------------------------------------------------------------------
r48941 | alagoutte | 2013-04-20 02:49:00 -0700 (Sat, 20 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bt-dht.c

Enhance BT-DHT Dissector * Use proto_tree_add_item * Enhance display list (nodes, peers...) * Remove ununeed space * ...
------------------------------------------------------------------------
r48940 | guy | 2013-04-19 19:53:57 -0700 (Fri, 19 Apr 2013) | 23 lines
Changed paths:
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/tvbuff-int.h
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

When we're dissecting the beginning of a fragmented packet that we
haven't reassembled, we're probably moving sequentially through the
packet, which means that we'll run past the end of the fragment rather
than past the end of what would have been the reassembled packet had we
reassembled it.

I.e., there's little reason to care whether we're past the end of the
fragment but not past the end of the packet, or whether we're past the
end of the packet; in either case, we're past the end of the fragment,
and if somebody wants to know whether the packet is malformed by
stopping short of certain fields, they should enable reassembly.

So we get rid of the explicit fragment length in tvbuffs and, instead,
have a "this is a fragment" flag; if that flag is set, we throw
FragmentBoundsError rather than ReportedBoundsError if we run past the
end of the reported data.

(This also means we could flag the tvbuff even if we don't know how
large the reassembled packet will be, e.g. when doing IP reassembly.)

Replace tvb_new_subset_length_fragment() with tvb_new_subset_length()
and a new "set the "this is a fragment flag"" routine.

------------------------------------------------------------------------
r48939 | guy | 2013-04-19 16:39:35 -0700 (Fri, 19 Apr 2013) | 4 lines
Changed paths:
   M /trunk/epan/tvbuff.c

Pull tvb_init() into tvb_new(); there's no other way to get a new
tvbuff, so we might as well keep all the "here's a new tvbuff" code
together.

------------------------------------------------------------------------
r48938 | gerald | 2013-04-19 11:53:44 -0700 (Fri, 19 Apr 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

Add back the sample bug test.

------------------------------------------------------------------------
r48937 | guy | 2013-04-19 11:48:16 -0700 (Fri, 19 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/tvbuff.c

Clean up a bit.

------------------------------------------------------------------------
r48936 | eapache | 2013-04-19 11:20:19 -0700 (Fri, 19 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Remove duplicate hf array entry.

------------------------------------------------------------------------
r48935 | eapache | 2013-04-19 11:19:05 -0700 (Fri, 19 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

s/mfs/nfs/

------------------------------------------------------------------------
r48934 | eapache | 2013-04-19 11:16:50 -0700 (Fri, 19 Apr 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hclnfsd.c
   M /trunk/epan/dissectors/packet-klm.c
   M /trunk/epan/dissectors/packet-mount.c
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-nfs.h
   M /trunk/epan/dissectors/packet-nfsacl.c
   M /trunk/epan/dissectors/packet-nlm.c

From Cal Turney via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8581

Major NFS dissector cleanup. Consistent naming, spacing, line wrapping,
variable initialization, ...

For full details see comment #18 of the bug.

------------------------------------------------------------------------
r48933 | jmayer | 2013-04-19 09:40:06 -0700 (Fri, 19 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-vssmonitoring.c

Slightly improve heuristics to not interpret a zero-filled trailer
as vss data.

------------------------------------------------------------------------
r48932 | jmayer | 2013-04-19 09:38:28 -0700 (Fri, 19 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ConfigureChecks.cmake
   M /trunk/cmakeconfig.h.in

Add HAVE_TM_ZONE  and HAVE_TZNAME detection to fix timezone display
in cmake builds.

------------------------------------------------------------------------
r48931 | jmayer | 2013-04-19 09:36:52 -0700 (Fri, 19 Apr 2013) | 2 lines
Changed paths:
   M /trunk/doc/tshark.pod

Add col. pseudo dissector to thsark manpage.

------------------------------------------------------------------------
r48930 | etxrab | 2013-04-19 09:26:27 -0700 (Fri, 19 Apr 2013) | 5 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Based on http://anonsvn.wireshark.org/viewvc?revision=48893&view=revision

"Cast scrolling values to gdoubles, not gfloats - GtkAdjustment have
always taken doubles that I've been able to find, and casting to floats
causes loss of precision and weird bugs when the values get enormous."
------------------------------------------------------------------------
r48929 | eapache | 2013-04-19 09:16:22 -0700 (Fri, 19 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Fix apparent copy-paste error leading to a 'used-uninitialized' warning.

------------------------------------------------------------------------
r48928 | etxrab | 2013-04-19 09:06:55 -0700 (Fri, 19 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Fix GTPv2 MM Context (UMTS Key, Quad, and Quint Decoded) incorrectly

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8596
------------------------------------------------------------------------
r48927 | etxrab | 2013-04-19 09:06:01 -0700 (Fri, 19 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Add dissection of QoS blob.
------------------------------------------------------------------------
r48926 | ruengeler | 2013-04-19 04:54:22 -0700 (Fri, 19 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/sctp_stat.c

Initialize another variable.

------------------------------------------------------------------------
r48925 | ruengeler | 2013-04-19 04:34:46 -0700 (Fri, 19 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/sctp_graph_dlg.c
   M /trunk/ui/gtk/sctp_stat.c
   M /trunk/ui/gtk/sctp_stat.h

Show Forward_Tsn chunks in the graph

------------------------------------------------------------------------
r48924 | guy | 2013-04-19 01:59:45 -0700 (Fri, 19 Apr 2013) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Don't use ENC_NA for integer fields longer than 1 byte; use
ENC_BIG_ENDIAN or ENC_LITTLE_ENDIAN.

Treat the AP PS Buffer State subfield of the QoS field the same way we
treat other subfields in the second byte of the QoS field - show it as
the upper 8 bits of the (shown as big-endian) QoS field.  Fix a bitmap
while we're at it.

Show the channel map as an FT_NONE - it's a structure with two bytes.

------------------------------------------------------------------------
r48923 | jmayer | 2013-04-18 22:44:41 -0700 (Thu, 18 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Small cosmetic fixes to CCX decoding

------------------------------------------------------------------------
r48922 | guy | 2013-04-18 18:37:48 -0700 (Thu, 18 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Note that Query Server was reserved.

------------------------------------------------------------------------
r48921 | guy | 2013-04-18 18:37:24 -0700 (Thu, 18 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Add some names for reserved-but-never-implemented operations, with
references for them.

------------------------------------------------------------------------
r48920 | mmann | 2013-04-18 17:09:18 -0700 (Thu, 18 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-pvfs2.c

convert proto_tree_add_text "items" to proto_tree_add_item.
------------------------------------------------------------------------
r48919 | eapache | 2013-04-18 12:45:22 -0700 (Thu, 18 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-etch.c

Add overflow check to fix
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8464

Also add modelines.

------------------------------------------------------------------------
r48918 | eapache | 2013-04-18 12:31:24 -0700 (Thu, 18 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-clnp.c

Fix apparent copy-paste-o that was leading to an 'unused variable' warning on
bleeding-edge GCC.

------------------------------------------------------------------------
r48917 | guy | 2013-04-18 12:22:24 -0700 (Thu, 18 Apr 2013) | 19 lines
Changed paths:
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/exceptions.h
   M /trunk/epan/exntest.c
   M /trunk/epan/packet.c
   M /trunk/epan/show_exception.c
   M /trunk/epan/tvbtest.c
   M /trunk/epan/tvbuff-int.h
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h

Add to tvbuffs a "fragment length" field; if the tvbuff represents the
first fragment of a non-reassembled packet, and we know the length the
packet would have if it were reassembled, this field holds the length of
the fragment, and the "reported length" field shows the length the
packet would have if it were reassembled, so going past the end of the
fragment but staying within the length of the reassembled packet can be
reported as "dissection would have worked if the packet had been
reassembled" rather than "the packet is too short, so it was probably
malformed".

Add a FragmentBoundsError exception, thrown in the "dissection would
have worked if the packet had been reassembled" case.

Add a new tvb_new_subset_length_fragment() routine to create a new
subset tvb with specified fragment and reported lengths.  Use it in the
CLNP dissector.

Add some more sanity checks in the CLNP dissector.

------------------------------------------------------------------------
r48916 | guy | 2013-04-18 12:19:38 -0700 (Thu, 18 Apr 2013) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtls.c

Report bogus handshake length values with expert info.  This includes
trying to handle reassembly of packets with *differing* handshake length
values a bit better.

Make coding style a little more consistent.

------------------------------------------------------------------------
r48915 | guy | 2013-04-18 12:11:05 -0700 (Thu, 18 Apr 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.h

Catch retransmission of FINs, so if we're doing "reassemble until end of
data stream", only the first FIN segment is reported with the
reassembled packet.

Show the TCP fragment tree *before* processing the payload, so it's
shown even if processing the payload throws an exception.

------------------------------------------------------------------------
r48914 | guy | 2013-04-18 12:10:23 -0700 (Thu, 18 Apr 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Catch retransmission of FINs, so if we're doing "reassemble until end of
data stream", only the first FIN segment is reported with the
reassembled packet.

Show the TCP fragment tree *before* processing the payload, so it's
shown even if processing the payload throws an exception.

------------------------------------------------------------------------
r48913 | guy | 2013-04-18 12:07:44 -0700 (Thu, 18 Apr 2013) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ms-mms.c

Let proto_tree_add_item() do the length checking for string lengths, so
we thrown an exception if the lengths are too long.

For UCS-2/UTF-16 strings, do an extra length check to avoid overflows,
but throw ReportedBoundsError if the check fails, so we report them the
same way we report other too-large length errors.

Just use proto_tree_add_item() to put UCS-2/UTF-16 strings (assumed to
be UTF-16, not UCS-2; is that correct?) into the protocol tree.

------------------------------------------------------------------------
r48912 | gerald | 2013-04-18 10:10:47 -0700 (Thu, 18 Apr 2013) | 2 lines
Changed paths:
   M /trunk/help/faq.py

<tt> → <code>

------------------------------------------------------------------------
r48911 | martinm | 2013-04-18 07:59:41 -0700 (Thu, 18 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c

Add R10 versions of LTE protocols.

------------------------------------------------------------------------
r48910 | mmann | 2013-04-18 06:38:26 -0700 (Thu, 18 Apr 2013) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smtp.c

improve AUTH handling of SMTP dissector.  Bug 8591 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8591)

From Uli Heilmeier

The current version of the SMTP dissector expects a 'AUTH LOGIN' mechanism without checking the mechanism.

When some other mechanism (like NTLM or PLAIN) is in use the decoding is wrong. Furthermore it is expected that the username is in a seperate packet. When the username is in the AUTH line the password is shown as smtp.auth.username and the username is not decoded.

------------------------------------------------------------------------
r48909 | guy | 2013-04-17 19:31:45 -0700 (Wed, 17 Apr 2013) | 24 lines
Changed paths:
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h

When we throw a reassembly error, remember the error, so that, if we
revisit this reassembly (in a multi-pass program such as Wireshark, or
TShark with -2), we'll throw the same error.

In fragment_set_tot_len(), allow the length to be set to a value that's
before the offset of existing fragments; we'll catch that later when the
reassembly completes.  This lets us handle some problems with DTLS less
confusingly.

When adding frames to an already-completed reassembly, check for
fragments that overlap existing fragments or go past the end of the
reassembly, and report errors.

When completing a reassembly, make the buffer for the reassembled data
big enough to contain the specified data length for the reassembly, even
if that's less than the offset + length of the last fragment.  Flag all
fragments that go past that length as "too long", and only copy out what
part of them fits, if any.  That lets us flag the correct fragment or
fragments as being "too long".

When adding fragments, do some additional checks, even if we're not
doing the first pass through the packets, so errors that show up in the
first pass also show up on subsequent passes.

------------------------------------------------------------------------
r48908 | guy | 2013-04-17 19:06:53 -0700 (Wed, 17 Apr 2013) | 3 lines
Changed paths:
   M /trunk/tools/checklicenses.py

See whether we can whitelist 'GPL (v3 or later)' for the output of Bison
run on wiretap/ascend.y.

------------------------------------------------------------------------
r48907 | guy | 2013-04-17 19:04:18 -0700 (Wed, 17 Apr 2013) | 2 lines
Changed paths:
   M /trunk/plugins/wimaxasncp/wimaxasncp_dict.h

Fix FSF address.

------------------------------------------------------------------------
r48906 | gerald | 2013-04-17 17:05:54 -0700 (Wed, 17 Apr 2013) | 2 lines
Changed paths:
   M /trunk/help/faq.py

Convert a couple of Docbook-style "href"s to "a href"s.

------------------------------------------------------------------------
r48905 | gerald | 2013-04-17 16:34:31 -0700 (Wed, 17 Apr 2013) | 2 lines
Changed paths:
   M /trunk/help/faq.py

Remove some no-longer-relevant content.

------------------------------------------------------------------------
r48904 | eapache | 2013-04-17 12:56:56 -0700 (Wed, 17 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

Follow-up to r48899 - don't include svnversion.h now that we don't
need it, since that's actually what's causing the rebuilds.

------------------------------------------------------------------------
r48903 | eapache | 2013-04-17 12:52:20 -0700 (Wed, 17 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/gtk/airpcap_dlg.c
   M /trunk/ui/gtk/airpcap_gui_utils.h

Remove an unused variable, structure and #define caught by cppcheck.
Also fixes a small memory leak.

------------------------------------------------------------------------
r48902 | alagoutte | 2013-04-17 12:39:11 -0700 (Wed, 17 Apr 2013) | 1 line
Changed paths:
   M /trunk/airpcap_loader.c
   M /trunk/epan/uat-int.h
   M /trunk/epan/uat.c
   M /trunk/ui/gtk/uat_gui.c

Use also const char to uat_save (identical to uat_load)
------------------------------------------------------------------------
r48901 | alagoutte | 2013-04-17 12:38:50 -0700 (Wed, 17 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/gtk/airpcap_dlg.c

Fix the following GTK-CRITICAL error Gtk-CRITICAL **: gtk_list_store_get_path: assertion `iter->stamp == GTK_LIST_STORE (tree_model)->stamp' failed

Problem come from no item in list (and impossible to select the first item...)
------------------------------------------------------------------------
r48900 | alagoutte | 2013-04-17 12:38:34 -0700 (Wed, 17 Apr 2013) | 6 lines
Changed paths:
   M /trunk/airpcap_loader.c

From Michael Mann via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8446 Wifi details are not stored in the Decryption Key Management dialog (post 1.8.x)

If there is not 80211_keys file, using Decryption Management Key don't create the file and keys is not saved.

From me:
Use a err2 variable to avoid to break API/ABI when backport to 1.8
------------------------------------------------------------------------
r48899 | alagoutte | 2013-04-17 12:38:07 -0700 (Wed, 17 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

Don't display the SVN Version in SSL Logs (only Wireshark VERSION) (and avoid to rebuild and relinkg libwireshark when the svn revision changes...)
------------------------------------------------------------------------
r48898 | alagoutte | 2013-04-17 12:37:44 -0700 (Wed, 17 Apr 2013) | 1 line
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48897 | alagoutte | 2013-04-17 12:36:49 -0700 (Wed, 17 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-mip.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48896 | eapache | 2013-04-17 12:35:43 -0700 (Wed, 17 Apr 2013) | 7 lines
Changed paths:
   M /trunk/tools/checklicenses.py

Remove chromium-specific license exceptions which it makes no sense for
us to carry.

Add an exception of our own for tools/pidl since that is GPL but the headers
are not in a format that licensecheck will pick up, and fixing them all would
just introduce a delta with upstream for no reason.

------------------------------------------------------------------------
r48895 | gerald | 2013-04-17 10:23:41 -0700 (Wed, 17 Apr 2013) | 3 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

Reverse the arguments we feed to valgrind-wireshark.sh. Add debugging
output.

------------------------------------------------------------------------
r48894 | eapache | 2013-04-17 08:38:35 -0700 (Wed, 17 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mysql.c

Catch overflow condition in mysql dissector.
Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8458

Also add modelines.

------------------------------------------------------------------------
r48893 | eapache | 2013-04-17 08:07:48 -0700 (Wed, 17 Apr 2013) | 6 lines
Changed paths:
   M /trunk/ui/gtk/io_stat.c

Cast scrolling values to gdoubles, not gfloats - GtkAdjustment have
always taken doubles that I've been able to find, and casting to floats
causes loss of precision and weird bugs when the values get enormous.

Should fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8460

------------------------------------------------------------------------
r48892 | guy | 2013-04-16 18:44:00 -0700 (Tue, 16 Apr 2013) | 2 lines
Changed paths:
   M /trunk/packaging/macosx/ScriptExec/main.c

Update FSF address.

------------------------------------------------------------------------
r48891 | guy | 2013-04-16 18:40:25 -0700 (Tue, 16 Apr 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvb-bat.c
   M /trunk/epan/dissectors/packet-dvb-sdt.c
   M /trunk/epan/dissectors/packet-dvb-tdt.c

Fix more typos that broke the license checker (these might have been
created by taking packet-dvb-eit.c, doing a global search and replace of
"ei" with the new name, and then doing further editing).

------------------------------------------------------------------------
r48890 | guy | 2013-04-16 18:36:07 -0700 (Tue, 16 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvb-tot.c

Fix typo that caused this to fail the license check.

------------------------------------------------------------------------
r48889 | eapache | 2013-04-16 14:57:36 -0700 (Tue, 16 Apr 2013) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wreth.c

Change offset to be 8, based on an educated guess from looking at the
code around line 777.

Fixes the last open issue in
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7260

------------------------------------------------------------------------
r48888 | eapache | 2013-04-16 14:20:57 -0700 (Tue, 16 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Fix a minor memory leak caught by cppcheck. Also replace a whole bunch of
"This shouldn't happen" fallback strings with a single assertion.

------------------------------------------------------------------------
r48887 | mmann | 2013-04-16 14:16:41 -0700 (Tue, 16 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-cip.c

dissect CIP-Safety application reply data
------------------------------------------------------------------------
r48886 | martink | 2013-04-16 13:53:24 -0700 (Tue, 16 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-spice.c

remove unused structs and defines
(the unnamed union caused a compiler warning on fedora 14)

------------------------------------------------------------------------
r48885 | etxrab | 2013-04-16 11:13:40 -0700 (Tue, 16 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-mip6.c

Introduce a dissector table for vendor extensions.
------------------------------------------------------------------------
r48884 | etxrab | 2013-04-16 11:12:56 -0700 (Tue, 16 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/sminmpec.h

Change name on a define.
------------------------------------------------------------------------
r48883 | etxrab | 2013-04-16 11:12:23 -0700 (Tue, 16 Apr 2013) | 1 line
Changed paths:
   M /trunk/radius/dictionary.3gpp2
   M /trunk/radius/dictionary.usr

Update USR Robotics and 3GPP2 dictionarys.
------------------------------------------------------------------------
r48882 | eapache | 2013-04-16 09:16:15 -0700 (Tue, 16 Apr 2013) | 5 lines
Changed paths:
   M /trunk/ui/gtk/io_stat.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8583

IO graph was misbehaving if the packets covered too much real time.
It's still ungodly slow, but at least it seems to work.

------------------------------------------------------------------------
r48881 | eapache | 2013-04-16 08:30:59 -0700 (Tue, 16 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/iface_lists.c

Re-add format argument that appears to have been accidentally
dropped in r48880.

------------------------------------------------------------------------
r48880 | ruengeler | 2013-04-16 08:12:38 -0700 (Tue, 16 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/gtk_iface_monitor.c
   M /trunk/ui/iface_lists.c

Update interface list when interface get lost and come back.

------------------------------------------------------------------------
r48879 | eapache | 2013-04-16 07:15:33 -0700 (Tue, 16 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-socks.c

Dead assignment caught by cppcheck.

------------------------------------------------------------------------
r48878 | morriss | 2013-04-16 06:57:06 -0700 (Tue, 16 Apr 2013) | 1 line
Changed paths:
   M /trunk/doc/Makefile.am

Add packet-PROTOABBREV.c to source distribution. Reorder some entries.
------------------------------------------------------------------------
r48877 | eapache | 2013-04-16 06:44:15 -0700 (Tue, 16 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-opensafety.c

From Roland Knall via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8587

Fix openSafety reassembly and dissection when the first package has
a payload length of 0.

------------------------------------------------------------------------
r48876 | mmann | 2013-04-16 06:17:45 -0700 (Tue, 16 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-socks.c

Fix compiler errors on Linux.
------------------------------------------------------------------------
r48875 | eapache | 2013-04-16 05:48:27 -0700 (Tue, 16 Apr 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/idl2wrs.c

From Roland Knall via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8588

Add casts to that idl2wrs compiles with -Wc++-compat

------------------------------------------------------------------------
r48874 | mmann | 2013-04-16 05:05:38 -0700 (Tue, 16 Apr 2013) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-socks.c

SOCKS dissector, general cleanup.

Cleanup included:
1. converting proto_tree_add_text to proto_tree_add_item.
2. Converting state machines to use frame data instead of a large hash structure.
3. Apply consistent whitespace, add modelines
4. Remove global variable used for recursion, replaced with frame data.
5. Update protocol spec links
6. Add some "manual" fragmentation support. The goal was to fix bug 2157, but it appears some TCP SEQ/ACK inconsistencies may be getting in the way.

------------------------------------------------------------------------
r48873 | etxrab | 2013-04-15 22:42:17 -0700 (Mon, 15 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

Set pinfo->link_dir per message not in the IE dissection.
------------------------------------------------------------------------
r48872 | etxrab | 2013-04-15 22:40:54 -0700 (Mon, 15 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Revert revision 48854, the problem is in packet-gtp.c not setting P2P_DIR correctly.
------------------------------------------------------------------------
r48871 | eapache | 2013-04-15 19:03:01 -0700 (Mon, 15 Apr 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From J. Bruce Fields via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8584

Support for NFSv4.1 open access modes including delegation wants.

------------------------------------------------------------------------
r48870 | eapache | 2013-04-15 18:58:28 -0700 (Mon, 15 Apr 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

Don't use seasonal memory for NFS file tracking tables (at least I think that's
what these are). It gets freed slightly before we need to access it in order to
correctly free other glib memory.

Discovered accidentally while valgrinding the capture from
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8584

------------------------------------------------------------------------
r48869 | eapache | 2013-04-15 17:00:09 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/capture_unix_ifnames.h
   M /trunk/capture_win_ifnames.h
   M /trunk/epan/diam_dict.h
   M /trunk/epan/dissectors/packet-negoex.c
   M /trunk/epan/dissectors/packet-rmcp.c
   M /trunk/plugins/asn1/asn1.c
   M /trunk/plugins/asn1/asn1.h
   M /trunk/plugins/irda/packet-sir.c
   M /trunk/plugins/wimaxmacphy/packet-wimaxmacphy.h
   M /trunk/ui/gtk/rlc_lte_graph.c
   M /trunk/wsutil/strncasecmp.c
   M /trunk/wsutil/strptime.c
   M /trunk/wsutil/wsgetopt.c
   M /trunk/wsutil/wsgetopt.h
   M /trunk/wsutil/wsgetopt_int.h

Fix another dozen or so files with bad FSF addresses as caught by licensecheck.

------------------------------------------------------------------------
r48868 | eapache | 2013-04-15 16:26:57 -0700 (Mon, 15 Apr 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From J. Bruce Fields via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8582

Fix a few misc. issues with NFS CB_SEQUENCE decoding.

------------------------------------------------------------------------
r48865 | gerald | 2013-04-15 16:16:20 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/manuf
   M /trunk/tools/make-manuf

Fix a typo.

------------------------------------------------------------------------
r48864 | gerald | 2013-04-15 16:04:16 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/manuf
   M /trunk/tools/make-manuf

More indentation fixes.

------------------------------------------------------------------------
r48863 | gerald | 2013-04-15 16:02:34 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/wsutil/crash_info.c

Add links to Google Breakpad and other possible solutions.

------------------------------------------------------------------------
r48862 | pascal | 2013-04-15 14:52:59 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-etsi_card_app_toolkit.c
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-nas_eps.c

Add dissection of USAT TLV IARI, PLMN list, EPS PDN connection activation parameters and Tracking Area Identification

------------------------------------------------------------------------
r48861 | eapache | 2013-04-15 14:43:40 -0700 (Mon, 15 Apr 2013) | 8 lines
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/doc/packet-PROTOABBREV.c

Major cleanup of skeleton dissector and related bits of README.developer.

Changes of note:
- Removed the 'Copied from' notice, it's only relevant if they're *not* using
  the skeleton code. Added a paragraph to README.developer instead.
- Exorcised all references to if (tree) and placed them in their own section
  at the bottom as an optimization. Hopefully this will be less confusing.

------------------------------------------------------------------------
r48860 | eapache | 2013-04-15 13:56:55 -0700 (Mon, 15 Apr 2013) | 4 lines
Changed paths:
   M /trunk/doc/README.developer
   A /trunk/doc/packet-PROTOABBREV.c

Put the skeleton sample code from README.developer into its own file - it's
much easier to edit/maintain that way as well as much easier to copy for a
new dissector. Explicitly don't set the SVN id tag since this is a template.

------------------------------------------------------------------------
r48859 | martinm | 2013-04-15 13:56:49 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-mac-lte.h

Add a context field for the carrierId.

------------------------------------------------------------------------
r48856 | gerald | 2013-04-15 12:10:15 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/manuf
   M /trunk/tools/make-manuf

Handle the IEEE's new! improved! two-space indentation.

------------------------------------------------------------------------
r48855 | martinm | 2013-04-15 11:25:04 -0700 (Mon, 15 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/gtk/gui_stat_menu.h
   M /trunk/ui/gtk/mac_lte_stat_dlg.c
   M /trunk/ui/gtk/rlc_lte_stat_dlg.c

Allow MAC and RLC stats dialogs to be launched other than by menu/filter
dialogs.

------------------------------------------------------------------------
r48854 | etxrab | 2013-04-15 09:29:59 -0700 (Mon, 15 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Don't check direction on "prot" where the meaning is the same UL/DL
------------------------------------------------------------------------
r48853 | etxrab | 2013-04-15 09:29:23 -0700 (Mon, 15 Apr 2013) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Add Requested-Action AVP.
------------------------------------------------------------------------
r48852 | pascal | 2013-04-15 02:23:17 -0700 (Mon, 15 Apr 2013) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Spell Tomasz' surname correctly

------------------------------------------------------------------------
r48851 | alagoutte | 2013-04-15 01:43:04 -0700 (Mon, 15 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bt-dht.c

Fix Modelines (No CR in the end of file)
------------------------------------------------------------------------
r48850 | alagoutte | 2013-04-15 01:42:12 -0700 (Mon, 15 Apr 2013) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bt-dht.c

From report of chen li via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8572 Endian error and IP:Port error when decoding BT-DHT response message

When the remote client sended a node set, it contains nodes info
The node info it shows like (1	3cad1f360cc51870d3e68d61ed604078bc608ee2 60.173.31.54:43365), but this node's true ip and port is 99.192.73.131:26025. When we expand these items, the ips and ports in detailed information are right.

From me :
It is a problem of encoding (LITTLE ENDIAN => BIG ENDIAN) and wrong offset
Some issue with Peers info
------------------------------------------------------------------------
r48849 | eapache | 2013-04-14 16:04:50 -0700 (Sun, 14 Apr 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From J. Bruce Fields via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8580

Add support for the NFSv4.1 test_stateid operation.

------------------------------------------------------------------------
r48848 | eapache | 2013-04-14 11:55:28 -0700 (Sun, 14 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/crypt/des.c
   M /trunk/epan/crypt/des.h
   M /trunk/epan/crypt/md4.c
   M /trunk/epan/crypt/md4.h
   M /trunk/epan/crypt/rc4.c
   M /trunk/epan/crypt/rc4.h
   M /trunk/epan/dissectors/packet-6lowpan.h
   M /trunk/epan/dissectors/packet-asf.c
   M /trunk/epan/dissectors/packet-ax25-kiss.h
   M /trunk/epan/dissectors/packet-bpq.h
   M /trunk/epan/dissectors/packet-gsmtap.c
   M /trunk/epan/dissectors/packet-i2c.c
   M /trunk/epan/dissectors/packet-mih.c
   M /trunk/epan/dissectors/packet-uhd.c
   M /trunk/tools/wireshark_be.py

Update some of the old FSF addresses caught by the new licensecheck buildbot
step.

------------------------------------------------------------------------
r48847 | pascal | 2013-04-14 09:00:34 -0700 (Sun, 14 Apr 2013) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/docbook/wsug_src/WSUG_app_tools.xml
   M /trunk/epan/dissectors/packet-usb.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

From Tomasz Mon via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8503 :
Add USBPcap support

------------------------------------------------------------------------
r48844 | gerald | 2013-04-14 07:03:29 -0700 (Sun, 14 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2013-04-14]
------------------------------------------------------------------------
r48843 | pascal | 2013-04-13 14:47:16 -0700 (Sat, 13 Apr 2013) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_app_tools.xml

Update User Guide

------------------------------------------------------------------------
r48842 | eapache | 2013-04-13 11:24:06 -0700 (Sat, 13 Apr 2013) | 5 lines
Changed paths:
   M /trunk/file.c

Don't take the shortcut of moving/copying the existing file if we have a name
resolution block to write (which isn't necessarily in the existing file).

Fixes at least part of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8317

------------------------------------------------------------------------
r48841 | martink | 2013-04-13 11:15:46 -0700 (Sat, 13 Apr 2013) | 5 lines
Changed paths:
   M /trunk/capinfos.c

disable printing of all infos when USE_GOPTION is set and
a command line option for a specific info was set

(in other words: make the behaviour of goption and getopt the same)

------------------------------------------------------------------------
r48840 | martink | 2013-04-13 11:08:11 -0700 (Sat, 13 Apr 2013) | 4 lines
Changed paths:
   M /trunk/capinfos.c

TABs -> spaces
add editor modelines
reformat some parts

------------------------------------------------------------------------
r48839 | martink | 2013-04-13 10:55:54 -0700 (Sat, 13 Apr 2013) | 2 lines
Changed paths:
   M /trunk/capinfos.c

add a cast to make capinfos compile when USE_GOPTION is defined

------------------------------------------------------------------------
r48838 | martink | 2013-04-13 10:52:52 -0700 (Sat, 13 Apr 2013) | 2 lines
Changed paths:
   M /trunk/doc/capinfos.pod

list the new option -k in the capinfos manpage

------------------------------------------------------------------------
r48837 | martink | 2013-04-13 10:48:51 -0700 (Sat, 13 Apr 2013) | 2 lines
Changed paths:
   M /trunk/capinfos.c

capinfos -k displays the capture comment (from the shb)

------------------------------------------------------------------------
r48836 | pascal | 2013-04-13 07:56:19 -0700 (Sat, 13 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lisp.c

From Loránd Jakab via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8578 :
Fix LISP site-ID dissection bug

------------------------------------------------------------------------
r48835 | martinm | 2013-04-13 07:54:34 -0700 (Sat, 13 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/gtk/rlc_lte_graph.c

Allow zooming in on a rectangular region using left mouse.
Slightly simplified version of what tcp_graph.c does.

------------------------------------------------------------------------
r48834 | pascal | 2013-04-13 04:17:43 -0700 (Sat, 13 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-etsi_card_app_toolkit.c

Add dissection of USAT IMS Registration event

------------------------------------------------------------------------
r48833 | eapache | 2013-04-12 11:54:23 -0700 (Fri, 12 Apr 2013) | 5 lines
Changed paths:
   M /trunk/tap-rtp-common.c

Account for possibly lost packets at sequence number wrap boundary when
analyzing RTP streams.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=5958

------------------------------------------------------------------------
r48832 | eapache | 2013-04-12 09:27:20 -0700 (Fri, 12 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hpfeeds.c

From Sebastiano Di Paola via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8577

The length field for HPFEEDS is 4 bytes, so actually get the whole
thing from the tvb.

------------------------------------------------------------------------
r48831 | eapache | 2013-04-12 08:50:55 -0700 (Fri, 12 Apr 2013) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/usb.c
   M /trunk/tools/make-usb.py
   A /trunk/tools/usb-ptp-extract-models.pl
   A /trunk/tools/usb-ptp-extract-models.txt

From Max Baker via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8431

Enhancements to usb scripts to add many more camera models by extracting data
from libgphoto2 (which is LGPL).

------------------------------------------------------------------------
r48830 | ruengeler | 2013-04-12 06:33:22 -0700 (Fri, 12 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_toolbar.c
   M /trunk/ui/gtk/main_welcome.c

Ifdef LibPcap

------------------------------------------------------------------------
r48829 | ruengeler | 2013-04-12 05:46:25 -0700 (Fri, 12 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_toolbar.c

The button are only needed if libpcap is present.

------------------------------------------------------------------------
r48828 | tuexen | 2013-04-12 05:12:04 -0700 (Fri, 12 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main_welcome.c

The function takes no arguments...

------------------------------------------------------------------------
r48827 | ruengeler | 2013-04-12 04:56:00 -0700 (Fri, 12 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_toolbar.c
   M /trunk/ui/gtk/main_toolbar.h
   M /trunk/ui/gtk/main_welcome.c
   M /trunk/ui/gtk/main_welcome.h

Change the sensitivity of the start button depending on the number of interfaces selected.

------------------------------------------------------------------------
r48826 | gerald | 2013-04-11 13:03:16 -0700 (Thu, 11 Apr 2013) | 3 lines
Changed paths:
   M /trunk/tools/make-dissector-reg.py

Make boilerplate consistent with other generated files and recognizable
by licensecheck.

------------------------------------------------------------------------
r48825 | pascal | 2013-04-11 13:00:28 -0700 (Thu, 11 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Cal Turney via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8576 :
Add ACE4_INHERITED_ACE flag and NFS4ERR_DELEG_REVOKED error code.
Replace NFS4ERR_NODEV error code by NFS4ERR_DQUOT error code.
See RFC 5661 for details.

------------------------------------------------------------------------
r48824 | jake | 2013-04-11 12:54:16 -0700 (Thu, 11 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Mark unavailable XR record elements more clearly then just a comment.

------------------------------------------------------------------------
r48823 | gerald | 2013-04-11 11:40:52 -0700 (Thu, 11 Apr 2013) | 2 lines
Changed paths:
   M /trunk/image/toolbar/capture_restart_16.png
   M /trunk/image/toolbar/capture_restart_24.png

Set more properties.

------------------------------------------------------------------------
r48822 | gerald | 2013-04-11 11:40:33 -0700 (Thu, 11 Apr 2013) | 2 lines
Changed paths:
   M /trunk/image/toolbar/capture_restart_16.svg
   M /trunk/image/toolbar/capture_restart_24.svg

Set more properties.

------------------------------------------------------------------------
r48821 | gerald | 2013-04-11 11:39:42 -0700 (Thu, 11 Apr 2013) | 2 lines
Changed paths:
   M /trunk/image/toolbar/capture_restart_16.svg
   M /trunk/image/toolbar/capture_restart_24.svg
   M /trunk/tools/checklicenses.py

Set properties.

------------------------------------------------------------------------
r48820 | pascal | 2013-04-11 11:14:53 -0700 (Thu, 11 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-HI2Operations.c
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-acp133.h
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-acse.h
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_map.h
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-ansi_tcap.h
   M /trunk/epan/dissectors/packet-c1222.c
   M /trunk/epan/dissectors/packet-c1222.h
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-camel.h
   M /trunk/epan/dissectors/packet-cdt.c
   M /trunk/epan/dissectors/packet-cdt.h
   M /trunk/epan/dissectors/packet-charging_ase.c
   M /trunk/epan/dissectors/packet-charging_ase.h
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmip.h
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cmp.h
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-cms.h
   M /trunk/epan/dissectors/packet-credssp.c
   M /trunk/epan/dissectors/packet-credssp.h
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-crmf.h
   M /trunk/epan/dissectors/packet-dap.c
   M /trunk/epan/dissectors/packet-dap.h
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-disp.h
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dop.h
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-dsp.h
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ess.h
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-ftam.h
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-gnm.h
   M /trunk/epan/dissectors/packet-goose.c
   M /trunk/epan/dissectors/packet-gprscdr.c
   M /trunk/epan/dissectors/packet-gprscdr.h
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_map.h
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h235.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h
   M /trunk/epan/dissectors/packet-h282.c
   M /trunk/epan/dissectors/packet-h283.c
   M /trunk/epan/dissectors/packet-h323.c
   M /trunk/epan/dissectors/packet-h323.h
   M /trunk/epan/dissectors/packet-h450-ros.c
   M /trunk/epan/dissectors/packet-h450-ros.h
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-h460.c
   M /trunk/epan/dissectors/packet-h501.c
   M /trunk/epan/dissectors/packet-hnbap.c
   M /trunk/epan/dissectors/packet-idmp.c
   M /trunk/epan/dissectors/packet-idmp.h
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-inap.h
   M /trunk/epan/dissectors/packet-isdn-sup.c
   M /trunk/epan/dissectors/packet-lcsap.c
   M /trunk/epan/dissectors/packet-lcsap.h
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ldap.h
   M /trunk/epan/dissectors/packet-logotypecertextn.c
   M /trunk/epan/dissectors/packet-logotypecertextn.h
   M /trunk/epan/dissectors/packet-lpp.c
   M /trunk/epan/dissectors/packet-lpp.h
   M /trunk/epan/dissectors/packet-lppa.c
   M /trunk/epan/dissectors/packet-lppe.c
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-lte-rrc.h
   M /trunk/epan/dissectors/packet-m3ap.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mms.h
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-nbap.h
   M /trunk/epan/dissectors/packet-ns_cert_exts.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-ocsp.h
   M /trunk/epan/dissectors/packet-p1.c
   M /trunk/epan/dissectors/packet-p1.h
   M /trunk/epan/dissectors/packet-p22.c
   M /trunk/epan/dissectors/packet-p22.h
   M /trunk/epan/dissectors/packet-p7.c
   M /trunk/epan/dissectors/packet-p7.h
   M /trunk/epan/dissectors/packet-p772.c
   M /trunk/epan/dissectors/packet-p772.h
   M /trunk/epan/dissectors/packet-pcap.c
   M /trunk/epan/dissectors/packet-pkcs1.c
   M /trunk/epan/dissectors/packet-pkcs1.h
   M /trunk/epan/dissectors/packet-pkcs12.c
   M /trunk/epan/dissectors/packet-pkcs12.h
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkinit.h
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.h
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.h
   M /trunk/epan/dissectors/packet-pkixac.c
   M /trunk/epan/dissectors/packet-pkixac.h
   M /trunk/epan/dissectors/packet-pkixproxy.c
   M /trunk/epan/dissectors/packet-pkixproxy.h
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-pkixqualified.h
   M /trunk/epan/dissectors/packet-pkixtsp.c
   M /trunk/epan/dissectors/packet-pkixtsp.h
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-pres.h
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-q932.c
   M /trunk/epan/dissectors/packet-q932.h
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-qsig.h
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-ranap.h
   M /trunk/epan/dissectors/packet-rnsap.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-ros.h
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rrc.h
   M /trunk/epan/dissectors/packet-rrlp.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-rtse.h
   M /trunk/epan/dissectors/packet-rua.c
   M /trunk/epan/dissectors/packet-s1ap.c
   M /trunk/epan/dissectors/packet-s1ap.h
   M /trunk/epan/dissectors/packet-sabp.c
   M /trunk/epan/dissectors/packet-sbc-ap.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-smrse.h
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-sv.c
   M /trunk/epan/dissectors/packet-sv.h
   M /trunk/epan/dissectors/packet-t124.c
   M /trunk/epan/dissectors/packet-t124.h
   M /trunk/epan/dissectors/packet-t125.c
   M /trunk/epan/dissectors/packet-t125.h
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-t38.h
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-tcap.h
   M /trunk/epan/dissectors/packet-tetra.c
   M /trunk/epan/dissectors/packet-tetra.h
   M /trunk/epan/dissectors/packet-ulp.c
   M /trunk/epan/dissectors/packet-wlancertextn.c
   M /trunk/epan/dissectors/packet-wlancertextn.h
   M /trunk/epan/dissectors/packet-x2ap.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509af.h
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509ce.h
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509if.h
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/epan/dissectors/packet-x509sat.h

Update the ASN.1 based dissectors following the changes done in r48812

------------------------------------------------------------------------
r48819 | eapache | 2013-04-11 10:22:11 -0700 (Thu, 11 Apr 2013) | 6 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Misc. small string changes to the capture options dialog for consistency and
grammar.

Mostly adapted from some of the less controversial ideas proposed in the thread
at https://www.wireshark.org/lists/wireshark-dev/201212/msg00055.html

------------------------------------------------------------------------
r48818 | gerald | 2013-04-11 09:52:03 -0700 (Thu, 11 Apr 2013) | 4 lines
Changed paths:
   R /trunk/image/toolbar/capture_restart_16.png
   R /trunk/image/toolbar/capture_restart_16.svg
   A /trunk/image/toolbar/capture_restart_16_alt4.png (from /trunk/image/toolbar/capture_restart_16.png:48816)
   A /trunk/image/toolbar/capture_restart_16_alt4.svg (from /trunk/image/toolbar/capture_restart_16.svg:48816)
   R /trunk/image/toolbar/capture_restart_24.png
   R /trunk/image/toolbar/capture_restart_24.svg
   A /trunk/image/toolbar/capture_restart_24_alt4.png (from /trunk/image/toolbar/capture_restart_24.png:48816)
   A /trunk/image/toolbar/capture_restart_24_alt4.svg (from /trunk/image/toolbar/capture_restart_24.svg:48816)
   M /trunk/image/toolbar/capture_start_16.png
   M /trunk/image/toolbar/capture_start_16.svg
   M /trunk/image/toolbar/capture_start_24.png
   M /trunk/image/toolbar/capture_start_24.svg
   M /trunk/image/toolbar/capture_stop_16.png
   M /trunk/image/toolbar/capture_stop_16.svg
   M /trunk/image/toolbar/capture_stop_24.png
   M /trunk/image/toolbar/capture_stop_24.svg
   M /trunk/image/wsiconcap1024.png
   M /trunk/image/wsiconcap128.png
   M /trunk/image/wsiconcap16.png
   M /trunk/image/wsiconcap24.png
   M /trunk/image/wsiconcap256.png
   M /trunk/image/wsiconcap32.png
   M /trunk/image/wsiconcap48.png
   M /trunk/image/wsiconcap512.png
   M /trunk/image/wsiconcap64.png
   M /trunk/ui/gtk/toolbar_icons.h
   M /trunk/ui/gtk/wsiconcap.h

Replace the capture start and restart icons with a green fin similar to
wsiconcap. Make the capture stop icon red. Replace wsiconcap with an
earlier version which has gears instead of a record button.

------------------------------------------------------------------------
r48817 | eapache | 2013-04-11 08:50:43 -0700 (Thu, 11 Apr 2013) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-opensafety.c

From Roland Knall via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8505

Numerous improvements and fixes for the OpenSafety dissector (too many to
usefully list here; see the bug).

As noted by Pascal, also fix a copy-paste error in the preferences registration.


------------------------------------------------------------------------
r48816 | ruengeler | 2013-04-11 06:35:28 -0700 (Thu, 11 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/qt/interface_tree.cpp

QT: Select default interface if none else is selected

------------------------------------------------------------------------
r48815 | ruengeler | 2013-04-11 05:08:48 -0700 (Thu, 11 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/main_welcome.c

Don't select the 'any' device (in Linux), when 'capture all' is selected.

------------------------------------------------------------------------
r48814 | pascal | 2013-04-11 01:41:28 -0700 (Thu, 11 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Cal Turney via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8575 :
Fix description of ACE4_APPEND_DATA

------------------------------------------------------------------------
r48813 | ruengeler | 2013-04-11 01:31:59 -0700 (Thu, 11 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c

Select the interface, if only one exists.

------------------------------------------------------------------------
r48812 | gerald | 2013-04-10 14:24:19 -0700 (Wed, 10 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-snmp.h
   M /trunk/tools/asn2wrs.py
   M /trunk/tools/make-tap-reg.py
   M /trunk/tools/ncp2222.py

Use consistent "generated automatically" wording which will hopefully be
picked up by licensecheck.

------------------------------------------------------------------------
r48811 | gerald | 2013-04-10 14:20:33 -0700 (Wed, 10 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/qt/packet_format_group_box.cpp
   M /trunk/ui/qt/packet_format_group_box.h
   M /trunk/ui/qt/syntax_line_edit.cpp
   M /trunk/ui/qt/syntax_line_edit.h

Add a license header.

------------------------------------------------------------------------
r48810 | gerald | 2013-04-10 13:36:55 -0700 (Wed, 10 Apr 2013) | 10 lines
Changed paths:
   A /trunk/tools/checklicenses.py

Copy Chromium's checklicenses.py from

  http://src.chromium.org/svn/trunk/src/tools/checklicenses/checklicenses.py@190741

The original referred to the project's LICENSE file. Insert its contents from

  http://src.chromium.org/svn/trunk/src/LICENSE@174795

Add an exception for GPLv2 or later.

------------------------------------------------------------------------
r48809 | martink | 2013-04-10 10:11:51 -0700 (Wed, 10 Apr 2013) | 3 lines
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

Coverity CID 280337 Unchecked return value
check the return value of fstat()

------------------------------------------------------------------------
r48808 | eapache | 2013-04-10 07:27:24 -0700 (Wed, 10 Apr 2013) | 3 lines
Changed paths:
   M /trunk/test/suite-decryption.sh

Use -Y instead of -R to filter tshark in decryption tests. We're not doing
2-pass analysis so -Y makes more sense and doesn't print deprecation warnings.

------------------------------------------------------------------------
r48807 | eapache | 2013-04-10 07:11:13 -0700 (Wed, 10 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/wmem/wmem_test.c

Add wmem tests for the singly-linked list implementation.

------------------------------------------------------------------------
r48806 | etxrab | 2013-04-10 04:46:31 -0700 (Wed, 10 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-stun.c

Add "Modern" STUN to the preference.
------------------------------------------------------------------------
r48805 | martink | 2013-04-09 15:28:00 -0700 (Tue, 09 Apr 2013) | 6 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

Coverity CID 751101: Logically Dead Code

my assumption is that this was a typo
check should be for u8BlockVersionLow>2
there's code to handle u8BlockVersionLow 0, 1 and 2

------------------------------------------------------------------------
r48804 | martink | 2013-04-09 15:22:43 -0700 (Tue, 09 Apr 2013) | 2 lines
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

fix indenting

------------------------------------------------------------------------
r48803 | martink | 2013-04-09 14:16:29 -0700 (Tue, 09 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-teamspeak2.c

Coverity CID 280299
check return value of tvb_reported_length_remaining()

------------------------------------------------------------------------
r48802 | martink | 2013-04-09 14:06:37 -0700 (Tue, 09 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c

Coverity CID 280448: Missing break in switch

------------------------------------------------------------------------
r48801 | martink | 2013-04-09 14:02:03 -0700 (Tue, 09 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c

Coverity CID 281193: Dead code

------------------------------------------------------------------------
r48800 | tuexen | 2013-04-09 12:52:43 -0700 (Tue, 09 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcdc.c

Update packet format according to upcoming working group draft.
This is also supported by Firefox Nightly starting from tomorrow.

------------------------------------------------------------------------
r48799 | ruengeler | 2013-04-09 01:41:01 -0700 (Tue, 09 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_welcome.c

The default interface should now be selected also on Windows.

------------------------------------------------------------------------
r48798 | morriss | 2013-04-08 19:54:43 -0700 (Mon, 08 Apr 2013) | 1 line
Changed paths:
   M /trunk/packaging/rpm

Also ignore the BUILDROOT directory.
------------------------------------------------------------------------
r48797 | morriss | 2013-04-08 19:48:03 -0700 (Mon, 08 Apr 2013) | 9 lines
Changed paths:
   M /trunk/color_filters.c
   M /trunk/disabled_protos.c
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-xml.c
   M /trunk/epan/filesystem.c
   M /trunk/epan/filesystem.h
   M /trunk/epan/oids.c
   M /trunk/epan/prefs.c
   M /trunk/epan/uat.c
   M /trunk/epan/wslua/init_wslua.c
   M /trunk/epan/wslua/wslua_util.c
   M /trunk/filters.c
   M /trunk/ui/gtk/about_dlg.c
   M /trunk/ui/gtk/decode_as_dlg.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/qt/main.cpp
   M /trunk/ui/recent.c
   M /trunk/update.c

Don't try to open <home>/.wireshark on Windows: Wireshark hasn't written to
that directory since 2001 and reading from that directory was only left in for
backwards compatibility with versions prior to r4702.  I think it's now safe
to remove that backwards compatibility.

This eliminates the last argument of get_persconffile_path().

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8437

------------------------------------------------------------------------
r48796 | morriss | 2013-04-08 19:05:39 -0700 (Mon, 08 Apr 2013) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-assa_r3.c

Fix the fuzz failure reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8539 :

Bail out of the item length we get (which we use to increment the offset) is 0.
Otherwise the offset does not advance and we loop forever.

While we're in there: get the item length just once (there's no need to call
tvb_get_guint8() a half dozen times when one will do).

------------------------------------------------------------------------
r48793 | pascal | 2013-04-08 13:25:09 -0700 (Mon, 08 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c

Fix bug https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8569 :
Do not display a warning when MCC/MNC is set to 0xffffff and identify country / network code as 'Unset'

------------------------------------------------------------------------
r48792 | gerald | 2013-04-08 11:32:51 -0700 (Mon, 08 Apr 2013) | 2 lines
Changed paths:
   M /trunk/image/toolbar/capture_stop_16.png
   M /trunk/image/toolbar/capture_stop_16.svg
   M /trunk/ui/gtk/toolbar_icons.h

Nudge the fill another half pixel.

------------------------------------------------------------------------
r48791 | gerald | 2013-04-08 11:28:33 -0700 (Mon, 08 Apr 2013) | 3 lines
Changed paths:
   M /trunk/image/toolbar/capture_stop_16.png
   M /trunk/image/toolbar/capture_stop_16.svg
   M /trunk/ui/gtk/toolbar_icons.h

Decrease the width of the outer borders by half a pixel to match the
other icons more closely.

------------------------------------------------------------------------
r48790 | gerald | 2013-04-08 10:14:16 -0700 (Mon, 08 Apr 2013) | 3 lines
Changed paths:
   M /trunk/image/toolbar/capture_stop_16.png
   M /trunk/image/toolbar/capture_stop_16.svg
   M /trunk/image/toolbar/capture_stop_24.png
   M /trunk/image/toolbar/capture_stop_24.svg
   M /trunk/ui/gtk/toolbar_icons.h

Try a blue fill for the stop capture button, using Windows Sound
Recorder as a cue.

------------------------------------------------------------------------
r48789 | etxrab | 2013-04-08 09:44:15 -0700 (Mon, 08 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sgsap.c

Fix dissection of IMSI detach from non-EPS service type.
------------------------------------------------------------------------
r48788 | ruengeler | 2013-04-08 01:13:20 -0700 (Mon, 08 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main_welcome.c

Set the default interface as selected.

------------------------------------------------------------------------
r48787 | ruengeler | 2013-04-08 00:15:50 -0700 (Mon, 08 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/qt/import_text_dialog.cpp

Fix bug in "Import Hex Dump" where data was overwritten in the buffer.

------------------------------------------------------------------------
r48786 | alagoutte | 2013-04-07 11:57:06 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-lisp-data.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48785 | alagoutte | 2013-04-07 11:56:56 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c

Make fix-encodings-args Happy
------------------------------------------------------------------------
r48784 | alagoutte | 2013-04-07 11:56:46 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-q2931.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48783 | alagoutte | 2013-04-07 11:56:35 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-llc.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48782 | alagoutte | 2013-04-07 11:56:23 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtps.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48781 | alagoutte | 2013-04-07 11:55:54 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48780 | gerald | 2013-04-07 11:06:19 -0700 (Sun, 07 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/prefs_gui.c

Adjust the automatic update label.

------------------------------------------------------------------------
r48779 | gerald | 2013-04-07 11:00:48 -0700 (Sun, 07 Apr 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

Adjust some wording.

------------------------------------------------------------------------
r48778 | gerald | 2013-04-07 10:59:44 -0700 (Sun, 07 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/prefs_gui.c

Expose the automatic update preference on Windows.

------------------------------------------------------------------------
r48777 | gerald | 2013-04-07 10:59:07 -0700 (Sun, 07 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/gtk/addr_resolution_dlg.c

Use a monospace font for the address resolution dialog so that tab
alignment will work. Add modelines and reindent.

------------------------------------------------------------------------
r48776 | gerald | 2013-04-07 10:40:28 -0700 (Sun, 07 Apr 2013) | 8 lines
Changed paths:
   M /trunk/image/WiresharkDoc-16.png
   M /trunk/image/capture_comment_add.png
   M /trunk/image/capture_comment_disabled.png
   M /trunk/image/capture_comment_update.png
   M /trunk/image/compress-pngs
   M /trunk/image/copy-8.png
   M /trunk/image/hi32-app-wireshark.png
   M /trunk/image/toolbar/capture_stop_16.png
   M /trunk/image/toolbar/capture_stop_16.svg
   A /trunk/image/toolbar/capture_stop_16_alt1.png (from /trunk/image/toolbar/capture_stop_16.png:48771)
   A /trunk/image/toolbar/capture_stop_16_alt1.svg (from /trunk/image/toolbar/capture_stop_16.svg:48771)
   M /trunk/image/toolbar/capture_stop_24.png
   M /trunk/image/toolbar/capture_stop_24.svg
   A /trunk/image/toolbar/capture_stop_24_alt1.png (from /trunk/image/toolbar/capture_stop_24.png:48771)
   A /trunk/image/toolbar/capture_stop_24_alt1.svg (from /trunk/image/toolbar/capture_stop_24.svg:48771)
   M /trunk/image/toolbar/network_bluetooth_16.png
   M /trunk/image/toolbar/toolbar_wireshark_file_16.png
   M /trunk/image/wsicon16.png
   M /trunk/image/wsiconcap16.png
   M /trunk/ui/gtk/Makefile.am
   M /trunk/ui/gtk/toolbar_icons.h

Change the "stop capture" icon to a Great Big Huge Square to try to make
it more obvious (particularly at 16x16 pixels) that it and the "start
capture" icons work like media controls.

Update compress-pngs to match the latest version of pngcrush and
recompress our PNGs. Add a "clean-pixmaps" target to ui/gtk/Makefile.am
to make it easier to rebuild our pixbuf includes.

------------------------------------------------------------------------
r48775 | alagoutte | 2013-04-07 10:32:03 -0700 (Sun, 07 Apr 2013) | 9 lines
Changed paths:
   A /trunk/epan/dissectors/packet-pulse.c

From Masatake YAMATO via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8565
New dissector for PULSE protocol for Linux Virtual Server redundancy

very small dissector for PULSE protocol for Linux Virtual Server redundancy.
About pulse, see http://sourceware.org/piranha.

From me :
Add Modelines info
Replace tab by space
------------------------------------------------------------------------
r48774 | darkjames | 2013-04-07 10:24:16 -0700 (Sun, 07 Apr 2013) | 6 lines
Changed paths:
   M /trunk/tools/npl/ast.h
   M /trunk/tools/npl/npl.c

NPL stuff:

 - stubs for more NPL built-ins
 - try to guess struct size
 - some work on property attribute.

------------------------------------------------------------------------
r48773 | alagoutte | 2013-04-07 10:09:00 -0700 (Sun, 07 Apr 2013) | 9 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common

From Masatake YAMATO via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8565
New dissector for PULSE protocol for Linux Virtual Server redundancy

very small dissector for PULSE protocol for Linux Virtual Server redundancy.
About pulse, see http://sourceware.org/piranha.

From me :
Add Modelines info
Replace tab by space
------------------------------------------------------------------------
r48772 | alagoutte | 2013-04-07 10:08:46 -0700 (Sun, 07 Apr 2013) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lisp.c

From Loránd Jakab via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8555 More features for the Locator/ID Separation Protocol (LISP) dissector

This patch adds support in the LISP dissector for the following:

* dissect Map-Referral packet subtype
* dissect individual fields in mapping records, which are now filterable
* some code cleanup

The NAT traversal draft added another field to go together with the xTR-ID, the site-ID field.
Add support for this field as well.
------------------------------------------------------------------------
r48771 | alagoutte | 2013-04-07 08:57:36 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/airpcap_loader.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48770 | alagoutte | 2013-04-07 08:57:28 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/uat-int.h

Fix Indent (Replace Tabs by 4-spaces) Fix Trailing Whitespaces Add Modelines
------------------------------------------------------------------------
r48769 | alagoutte | 2013-04-07 08:57:20 -0700 (Sun, 07 Apr 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From report of Mark Phillips via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8561 802.11 QoS decode broken from 1.9.2

Wrong encoding type (ENC_BIG_ENDIAN => ENC_LITTLE_ENDIAN)
Also fix a wrong increment offset about TXOP
------------------------------------------------------------------------
r48768 | alagoutte | 2013-04-07 08:57:11 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/oui.h

Move #define OUI include in ieee80211 dissector to epan/oui.h Add Modelines to epan/oui.h
------------------------------------------------------------------------
r48767 | alagoutte | 2013-04-07 08:57:01 -0700 (Sun, 07 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c

From report TheDarkEye via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8554 Part of Ping Reply Message in ICMPv6 Reply Message is marked as "Malformed Packet"

(Wrong offset variable...)

#BACKPORT(1.8)
------------------------------------------------------------------------
r48766 | alagoutte | 2013-04-07 08:56:52 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance 802.11 Vendor Specific IE * Remove hf_ieee80211_tag_interpretation...
------------------------------------------------------------------------
r48765 | alagoutte | 2013-04-07 08:56:37 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance 802.11(n) Vendor Specific IE HT * Remove hf_ieee80211_tag_interpretation...
------------------------------------------------------------------------
r48762 | gerald | 2013-04-07 07:03:28 -0700 (Sun, 07 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2013-04-07]
------------------------------------------------------------------------
r48761 | guy | 2013-04-06 18:23:10 -0700 (Sat, 06 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.am

Requiescat in pace epan/dissectors/packet-rtps2.h.

------------------------------------------------------------------------
r48760 | mmann | 2013-04-06 16:25:16 -0700 (Sat, 06 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pim.c

Made IP address fields filterable as well as a few others.

Also added a preference to determine where to put the PIM payload.  Per http://www.wireshark.org/lists/wireshark-dev/201304/msg00019.html, I made the default off of the main tree instead of a subtree of PIM.
------------------------------------------------------------------------
r48759 | gerald | 2013-04-06 08:45:28 -0700 (Sat, 06 Apr 2013) | 2 lines
Changed paths:
   M /trunk/configure.ac

Looks like the licensing change only applies to GnuTLS 3.1.10.

------------------------------------------------------------------------
r48758 | gerald | 2013-04-06 08:39:39 -0700 (Sat, 06 Apr 2013) | 3 lines
Changed paths:
   M /trunk/configure.ac

GnuTLS recently switched back to a compatible license (LGPLv2.1+).
Update our checks accordingly.

------------------------------------------------------------------------
r48757 | jake | 2013-04-06 04:53:58 -0700 (Sat, 06 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pim.c

Show the PIMv2 register flags in the correct tree.

------------------------------------------------------------------------
r48756 | pascal | 2013-04-06 04:03:27 -0700 (Sat, 06 Apr 2013) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_app_tools.xml

Update User Guide

------------------------------------------------------------------------
r48755 | guy | 2013-04-05 16:46:20 -0700 (Fri, 05 Apr 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c

Fix some bugs that showed up as format warnings.

Use "offset +" in the calls to fill in the Info column, as presumably
the values being put into that column are the same as the values being
put into the protocol tree, and those have offsets based on the offset
variable.

------------------------------------------------------------------------
r48754 | etxrab | 2013-04-05 15:16:02 -0700 (Fri, 05 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c

Add dissection from BCMCS spec.
------------------------------------------------------------------------
r48753 | cmaynard | 2013-04-05 14:58:43 -0700 (Fri, 05 Apr 2013) | 3 lines
Changed paths:
   M /trunk/doc/tshark.pod
   M /trunk/docbook/release-notes.asciidoc
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/tshark.c

Coalesce "-G fields2" and "-G fields3" into "-G fields", as discussed on -dev.
See: http://www.wireshark.org/lists/wireshark-dev/201304/msg00015.html

------------------------------------------------------------------------
r48752 | pascal | 2013-04-05 14:52:39 -0700 (Fri, 05 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Put "Remote Interface" window on top of "Interface Management" window

------------------------------------------------------------------------
r48751 | pascal | 2013-04-05 13:50:24 -0700 (Fri, 05 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c

Highlight the correct byte for Timezone

------------------------------------------------------------------------
r48750 | cmaynard | 2013-04-05 07:30:33 -0700 (Fri, 05 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/text_import.c
   M /trunk/ui/text_import.h

Match the new text2pcap max packet import size of 65KiB-1 from r48738.

------------------------------------------------------------------------
r48749 | morriss | 2013-04-05 07:07:34 -0700 (Fri, 05 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tacacs.c

Fix set-but-not-used warning turned error: use the newly created subtree in a few cases.
------------------------------------------------------------------------
r48748 | mmann | 2013-04-05 06:50:49 -0700 (Fri, 05 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tacacs.c

Use uint instead of int
------------------------------------------------------------------------
r48747 | mmann | 2013-04-05 06:41:32 -0700 (Fri, 05 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tacacs.c

Replace proto_tree_add_text with itemized filters
------------------------------------------------------------------------
r48746 | tuexen | 2013-04-05 02:56:11 -0700 (Fri, 05 Apr 2013) | 2 lines
Changed paths:
   M /trunk/text2pcap.c
   M /trunk/ui/text_import.c

Don't forget to move the trailing '\0'.

------------------------------------------------------------------------
r48745 | ruengeler | 2013-04-04 23:43:38 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/file_import_dlg.c
   M /trunk/ui/qt/import_text_dialog.cpp
   M /trunk/ui/qt/import_text_dialog.h
   M /trunk/ui/qt/import_text_dialog.ui

Add checkbox for the direction indication to the "Import from Hex Dump" dialog.

------------------------------------------------------------------------
r48744 | etxrab | 2013-04-04 22:20:41 -0700 (Thu, 04 Apr 2013) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

From Cal Turney:
Patch 45480 introduced the following check: 

"tvb_ensure_bytes_exist(tvb, offset, neo ? neo : *bcp - ((unsigned)offset + 1));:     

When the last entry in the directory listing is processed, 'neo' the next entry offset is zero so bcp is checked. The 'bcp' variable is set to the remaining reported bytes in the tvb.  Subtracting the current offset +1 from *bcp usually produces a negative result and causes the error.

Removed "- ((unsigned)offset + 1)" and added "CHECK_BYTE_COUNT_SUBR(4);"

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8549
------------------------------------------------------------------------
r48743 | etxrab | 2013-04-04 22:09:31 -0700 (Thu, 04 Apr 2013) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lapd.c
   M /trunk/epan/dissectors/packet-tdmoe.c
   M /trunk/ui/gtk/voip_calls.c

From Tim Ringenbach:
makes the TDMoE dissector call the LAPD bitstream dissector on the D-Channel. As a result, LAPD calls Q.931, and you can actually see call setup and tear down, instead of just a hex dump.

It adds a preference for which channel the D-Channel is.

It patches the LAPD code to fix a few bugs, not pass the checksum to Q.931 (who isn't expecting it), to register the lapd-bitstream dissector, and to mark packets with aborts or resets.

also storing more data on the lapd_byte_state_t.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8374
------------------------------------------------------------------------
r48742 | guy | 2013-04-04 14:09:10 -0700 (Thu, 04 Apr 2013) | 7 lines
Changed paths:
   M /trunk/cmake/modules/FindNL.cmake

If we somehow manage to find libnl version 2 or 3, but don't manage to
find the corresponding libnl-genl or libnl-route libraries, act as if we
didn't find libnl.

If we didn't find libnl version 2 or 3, don't check whether it's version
2 or 3.

------------------------------------------------------------------------
r48741 | pascal | 2013-04-04 14:01:27 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/asn1/h282/h282.cnf
   M /trunk/asn1/h283/h283.cnf
   M /trunk/asn1/h501/h501.cnf

Update ASN.1 conformance files with the changes from r48634

------------------------------------------------------------------------
r48740 | cmaynard | 2013-04-04 13:40:32 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scop.c

Fix Coverity CID 280402: Logically dead code.

------------------------------------------------------------------------
r48739 | cmaynard | 2013-04-04 13:28:42 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-slowprotocols.c

Fix Coverity CID 280404: Logically dead code.

------------------------------------------------------------------------
r48738 | cmaynard | 2013-04-04 12:48:20 -0700 (Thu, 04 Apr 2013) | 5 lines
Changed paths:
   M /trunk/doc/text2pcap.pod
   M /trunk/text2pcap.c

As forewarned at http://www.wireshark.org/lists/wireshark-dev/201304/msg00009.html, change the default snaplen to 65KiB-1.  While we're at it, push the max packet size to that value as well.

Also: convert the few tabs to spaces and add modelines.


------------------------------------------------------------------------
r48737 | martink | 2013-04-04 11:32:26 -0700 (Thu, 04 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mpeg-pmt.c

use mpeg_pmt_stream_tree for the descriptor loop
(this fixes a bug from my last commit)

------------------------------------------------------------------------
r48736 | jake | 2013-04-04 10:20:36 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/print_dlg.c

Set 'details' radio button sensitivity also at the creation of the dialog.

------------------------------------------------------------------------
r48735 | jake | 2013-04-04 10:15:10 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Remove a shadow variable.

------------------------------------------------------------------------
r48734 | etxrab | 2013-04-04 09:23:55 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

- Dissect Packet filters and QoS list(partly).
- Update value_strings.
------------------------------------------------------------------------
r48733 | cmaynard | 2013-04-04 08:57:29 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-v5ua.c

Fix the 2nd occurrence of Coverity CID 280417: Logically dead code.  This, plus r48657, should resolve the CID.

------------------------------------------------------------------------
r48732 | cmaynard | 2013-04-04 08:33:14 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-gearman.c
   M /trunk/epan/dissectors/packet-mih.c
   M /trunk/epan/dissectors/packet-mplstp-oam.c
   M /trunk/epan/dissectors/packet-netrom.c
   M /trunk/epan/dissectors/packet-pw-oam.c
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rtp.c

Fix encoding arg for proto_tree_add_item() and friends.

------------------------------------------------------------------------
r48731 | pascal | 2013-04-04 08:01:56 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtps.c

Try to fix compilation on Linux

------------------------------------------------------------------------
r48730 | mmann | 2013-04-04 08:00:27 -0700 (Thu, 04 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-enip.c

Fix checkAPI.pl complaints
------------------------------------------------------------------------
r48729 | mmann | 2013-04-04 07:34:26 -0700 (Thu, 04 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-enip.h

Enhancements to Ethernet/IP DLR dissector, bug 8560 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8560)

From Joakim Wiberg
------------------------------------------------------------------------
r48728 | cmaynard | 2013-04-04 07:10:44 -0700 (Thu, 04 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/file_import_dlg.c

Use a consistent bracketing style throughout.  Add modelines.

------------------------------------------------------------------------
r48727 | mmann | 2013-04-04 05:22:04 -0700 (Thu, 04 Apr 2013) | 7 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-rtps.c
   M /trunk/epan/dissectors/packet-rtps.h
   D /trunk/epan/dissectors/packet-rtps2.c
   D /trunk/epan/dissectors/packet-rtps2.h

RTPS Cleanup, Part 3 (final)

Merged packet-rtps.c and packet-rtps2.c into a single dissector.  It appears packet-rtps2.[ch] "API" needs to be externally available, otherwise I would have rolled (the newly merged) packet-rtps.h into packet-rtps.c as well.

Converted many of the remaining proto_tree_add_text to proto_tree_add_item/expert_info and cleaned up the manual string manipulation so checkAPIs.pl is happy.

Added a "cooked" capture file to the SampleCaptures page on the wiki for future fuzztesting/regression.
------------------------------------------------------------------------
r48726 | pascal | 2013-04-04 02:14:11 -0700 (Thu, 04 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c

From Lukasz Wachowski via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8559 :
Fix dissection of RAN-INFORMATION-APPLICATION-ERROR RIM PDU Indications

------------------------------------------------------------------------
r48725 | pascal | 2013-04-04 01:45:30 -0700 (Thu, 04 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btsdp.c

From Michal Labedzki via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8558 :
Fix incompatible field type for field name "btsdp.service_uuid"

------------------------------------------------------------------------
r48724 | guy | 2013-04-03 21:35:09 -0700 (Wed, 03 Apr 2013) | 7 lines
Changed paths:
   M /trunk/wiretap/file_access.c

From Anthony Coddington: don't check for MPEG-2 Transport before
checking for ERF.

From me: note some heuristic checkers that are in the "magic number" set.

#BACKPORT 1.8

------------------------------------------------------------------------
r48723 | morriss | 2013-04-03 10:50:13 -0700 (Wed, 03 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Get rid of a shadowed variable and remove a set-but-not-used variable. Reindent a little.
------------------------------------------------------------------------
r48722 | morriss | 2013-04-03 10:46:39 -0700 (Wed, 03 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c

Get rid of non-ASCII characters.
------------------------------------------------------------------------
r48721 | etxrab | 2013-04-03 09:53:53 -0700 (Wed, 03 Apr 2013) | 1 line
Changed paths:
   M /trunk/asn1/isdn-sup/isdn-sup.cnf
   M /trunk/epan/dissectors/packet-isdn-sup.c

Sort LocalCode value string.
------------------------------------------------------------------------
r48720 | etxrab | 2013-04-03 09:52:56 -0700 (Wed, 03 Apr 2013) | 2 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

From Tomas Kukosa:
Make it possible to sort LocalCode value_strings.
------------------------------------------------------------------------
r48719 | etxrab | 2013-04-03 09:50:35 -0700 (Wed, 03 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Dissect more of 3GPP Object.
------------------------------------------------------------------------
r48718 | etxrab | 2013-04-03 09:49:55 -0700 (Wed, 03 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c

- Extend and correct value strings.
- Fix tree handling for QoS.
- Add references.
------------------------------------------------------------------------
r48717 | guy | 2013-04-03 01:10:55 -0700 (Wed, 03 Apr 2013) | 8 lines
Changed paths:
   M /trunk/ws80211_utils.c

Add a bunch of casts to squelch -Wc++-compat warnings.

Don't assume that enum nl80211_channel_type and enum
ws80211_channel_type happen to have matching values, map between them,
and always assign the right enum value to the right type.  This is safer
(yes, they do happen to have matching values, but it's not very clean to
assume that), and also eliminates some -Wc++-compat warnings.

------------------------------------------------------------------------
r48716 | guy | 2013-04-03 00:38:44 -0700 (Wed, 03 Apr 2013) | 2 lines
Changed paths:
   M /trunk/wsutil/Makefile.am

Distribute CMakeLists.txt.

------------------------------------------------------------------------
r48715 | guy | 2013-04-02 15:10:16 -0700 (Tue, 02 Apr 2013) | 10 lines
Changed paths:
   M /trunk/ui/qt/main_window.cpp

OK, if we're setting the file path for the window - which we want to do,
at least on OS X, to set the "proxy icon" - we need to clear the window
title *and* the file path before we set it, otherwise the set doesn't
happen.

While we're at it, clear the file path whenever we're *not* using a
path.  For temporary files, don't set the file path.

The file path is, in fact, the *full path*, not just the last component.

------------------------------------------------------------------------
r48714 | pascal | 2013-04-02 14:56:40 -0700 (Tue, 02 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e164.c

Use extended value strings

------------------------------------------------------------------------
r48711 | pascal | 2013-04-02 14:16:32 -0700 (Tue, 02 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e164.c

Update E.164 dissection to ITU Operational Bulletin No. 991

------------------------------------------------------------------------
r48710 | cmaynard | 2013-04-02 14:13:02 -0700 (Tue, 02 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btavdtp.c
   M /trunk/epan/dissectors/packet-dvmrp.c
   M /trunk/epan/dissectors/packet-enrp.c
   M /trunk/epan/dissectors/packet-image-png.c
   M /trunk/epan/dissectors/packet-m2tp.c
   M /trunk/epan/dissectors/packet-sbc.c
   M /trunk/epan/dissectors/packet-usb-hid.c

Both tvb_length_remaining and tvb_reported_length_remaining can return -1.
#BACKPORT(1.6,1.8 ... manually as other occurrences are in those trunks)

------------------------------------------------------------------------
r48709 | guy | 2013-04-02 13:35:46 -0700 (Tue, 02 Apr 2013) | 4 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/main_titlebar.c
   M /trunk/ui/qt/main_window.cpp

Rename cf_not_saved() to cf_has_unsaved_data() to clarify what it
indicates.  (Note: "unsaved data" is more than just "unsaved changes";
it could also mean "temporary file that hasn't been saved anywhere".)

------------------------------------------------------------------------
r48708 | guy | 2013-04-02 13:19:54 -0700 (Tue, 02 Apr 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/summary_dlg.c

Handle the case of there being no comment view.

------------------------------------------------------------------------
r48707 | guy | 2013-04-02 13:01:10 -0700 (Tue, 02 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/gtk/summary_dlg.c

Show the comment area only if we could write out the comments were the
user to enter any.

------------------------------------------------------------------------
r48706 | martink | 2013-04-02 12:04:25 -0700 (Tue, 02 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvb-eit.c

use proto_mpeg_descriptor_loop_dissect() for the EIT

------------------------------------------------------------------------
r48705 | martink | 2013-04-02 12:03:05 -0700 (Tue, 02 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvb-bat.c

use proto_mpeg_descriptor_loop_dissect() in the BAT

------------------------------------------------------------------------
r48704 | martink | 2013-04-02 12:01:14 -0700 (Tue, 02 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mpeg-pmt.c

use proto_mpeg_descriptor_loop_dissect() for the PMT

------------------------------------------------------------------------
r48703 | martink | 2013-04-02 12:00:09 -0700 (Tue, 02 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvb-tot.c

use proto_mpeg_descriptor_loop_dissect() for the TOT

------------------------------------------------------------------------
r48702 | morriss | 2013-04-02 11:15:42 -0700 (Tue, 02 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Include padding length in the AVP's length.
------------------------------------------------------------------------
r48701 | guy | 2013-04-02 10:05:50 -0700 (Tue, 02 Apr 2013) | 3 lines
Changed paths:
   M /trunk/iface_monitor.c

An explicit cast that was missing; at least some version of GCC
complains about its absence with -Wc++-compat.

------------------------------------------------------------------------
r48700 | etxrab | 2013-04-02 09:58:18 -0700 (Tue, 02 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Dissect more 3GPP2 extensions.
------------------------------------------------------------------------
r48699 | guy | 2013-04-02 09:05:25 -0700 (Tue, 02 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/qt/main_window_slots.cpp

Only enable Edit->Packet Comment... if we can save the file without
losing the packet comments, just as we now do in the GTK+ version.

------------------------------------------------------------------------
r48698 | eapache | 2013-04-02 08:55:35 -0700 (Tue, 02 Apr 2013) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hpfeeds.c

From Sebastiano Di Paola via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8461

Enhancements for the Honeypot Feeds dissector.

From me: misc. cleanup, modelines, etc.

------------------------------------------------------------------------
r48697 | pascal | 2013-04-02 06:09:15 -0700 (Tue, 02 Apr 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e164.c

From Vineeth via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8450 :
Do not try to systematically fetch a third digit for Country Code: its length can be from 1 to 3 digits.

------------------------------------------------------------------------
r48696 | tuexen | 2013-04-02 05:15:42 -0700 (Tue, 02 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/text_import.c
   M /trunk/ui/text_import.h

Add support for the initial direction indication. Irene will hook
it up to the GUI soon.

------------------------------------------------------------------------
r48695 | pascal | 2013-04-02 01:34:09 -0700 (Tue, 02 Apr 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Remove non ASCII characters

------------------------------------------------------------------------
r48694 | etxrab | 2013-04-01 22:54:47 -0700 (Mon, 01 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Dissect more of 3GPP2_OBJECT.
------------------------------------------------------------------------
r48693 | guy | 2013-04-01 16:44:29 -0700 (Mon, 01 Apr 2013) | 15 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_titlebar.c
   M /trunk/ui/gtk/main_toolbar.c
   M /trunk/ui/qt/main_window.cpp

Add routines to file.c to indicate whether:

	a save can be done ("can" in the sense of "there's something to
	save" and in the sense of "we can write that something out");

	a "save as" can be done (in the sense of "we can write what we
	have out");

	there's unsaved data to save (which might be unsaved changes or
	might be a temporary file full of packets);

and use them as appropriate.  This means that the "unsaved data"
indicator in the UI will be turned on for temporary files full of
packets as well as for files with unsaved changes; that's what we want.

------------------------------------------------------------------------
r48692 | guy | 2013-04-01 15:23:55 -0700 (Mon, 01 Apr 2013) | 5 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c

If we can't write the capture out in a file format that supports
per-packet comments, don't let the user add/edit/delete per-packet
comments - they can comment all they want, but once Wireshark closes the
file, those comments will be gone.

------------------------------------------------------------------------
r48691 | guy | 2013-04-01 14:39:28 -0700 (Mon, 01 Apr 2013) | 10 lines
Changed paths:
   M /trunk/epan/wslua/wslua_dumper.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/wtap.h

In the Lua dumper code, don't bother checking whether the encapsulation
is supported before trying to open for writing - the attempt to open for
writing will do the check for you.  Instead, check for specific errors
if the attempt to open for writing fails, and use somewhat more specific
error messages for certain error codes.  (We should perhaps check for
even more error codes in those cases.)

That gets rid of all external calls to wtap_dump_can_write_encap(), so
remove it from wtap.h and make it static.

------------------------------------------------------------------------
r48690 | guy | 2013-04-01 14:17:50 -0700 (Mon, 01 Apr 2013) | 11 lines
Changed paths:
   M /trunk/file.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/qt/capture_file_dialog.cpp
   M /trunk/ui/win32/file_dlg_win32.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/wtap.h

Add a wtap_dump_can_write() routine that indicates whether Wiretap
supports writing files with a given set of encapsulations and comment
types.  Use it, rather than asking for a list of file formats that
support the given set of encapsulation and comment types and checking
whether we got back such a list, or duplicating its logic.

Having file.c use it means that nobody's using
wtap_dump_can_write_encaps() any more; get rid of it.  Instead, have a
private routine that checks whether a given file format supports a given
set of encapsulations *and* comment types, and use that internally.

------------------------------------------------------------------------
r48689 | guy | 2013-04-01 13:36:42 -0700 (Mon, 01 Apr 2013) | 19 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/qt/capture_file_dialog.cpp
   M /trunk/ui/win32/file_dlg_win32.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/wtap.h

Define a collection of bits for different types of capture file comments.

For each capture file type, have a bitset of comment types supported by
that capture file type.

Add a Wiretap routine that, for a given file type, returns the bitset of
comment types it supports.

Have wtap_get_savable_file_types() take a bitset of comment types that
need to be supported by the file types it returns.

Replace cf_has_comments() with a routine that returns a bitset of
capture file comment types in the capture file.

Use those routines in the capture file dialogs; don't wire in the notion
that pcap-NG supports all comment types and no other file formats
support any comment types.  (That's currently true, but we don't want to
wire that in as being forever true.)

------------------------------------------------------------------------
r48688 | guy | 2013-04-01 10:57:47 -0700 (Mon, 01 Apr 2013) | 3 lines
Changed paths:
   M /trunk/ui/qt/main_window.cpp
   M /trunk/ui/qt/main_window.h
   M /trunk/ui/qt/main_window_slots.cpp

Add a setTitlebarForCaptureInProgress() method to MainWindow, and use it
to set the title when we have a capture in progress.

------------------------------------------------------------------------
r48687 | guy | 2013-04-01 10:57:20 -0700 (Mon, 01 Apr 2013) | 5 lines
Changed paths:
   M /trunk/ui/gtk/main.c

Get rid of main_capture_set_main_window_title(), as it just wraps
set_titlebar_for_capture_in_progress(); make the call directly, to make
it a bit clearer when it needs to be called (which helps us do the
equivalent in the Qt version).

------------------------------------------------------------------------
r48686 | jake | 2013-04-01 08:33:42 -0700 (Mon, 01 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-llrp.c

Now only if I can get the case right :)
------------------------------------------------------------------------
r48685 | jake | 2013-04-01 08:29:49 -0700 (Mon, 01 Apr 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-bpdu.c
   M /trunk/epan/dissectors/packet-btavrcp.c
   M /trunk/epan/dissectors/packet-dbus.c
   M /trunk/epan/dissectors/packet-dcom-sysact.c
   M /trunk/epan/dissectors/packet-hazelcast.c
   M /trunk/epan/dissectors/packet-homeplug.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-llrp.c
   M /trunk/epan/dissectors/packet-mux27010.c
   M /trunk/epan/dissectors/packet-rlc-lte.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-ua3g.c

Typo's. That is all.
------------------------------------------------------------------------
r48684 | jake | 2013-04-01 07:09:44 -0700 (Mon, 01 Apr 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-irc.c

Fix for bug 8548:
Allow the IRC command and response dissection functions to be called with
subsets of the original (full) message line. Therefore we need to calculate
with real lengths and offsets, not mixed with lengths of the subset itself.

------------------------------------------------------------------------
r48683 | guy | 2013-03-31 17:21:44 -0700 (Sun, 31 Mar 2013) | 5 lines
Changed paths:
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_titlebar.c
   M /trunk/ui/gtk/main_titlebar.h
   M /trunk/ui/gtk/prefs_gui.c
   M /trunk/ui/gtk/prefs_layout.c

Move the knowledge about what the window title should be to
ui/gtk/main_titlebar.c, with set_titlebar_for_capture_file() for either
no capture file or an opened capture file and
set_titlebar_for_capture_in_progress() for an in-progress capture.

------------------------------------------------------------------------
r48682 | guy | 2013-03-31 15:59:56 -0700 (Sun, 31 Mar 2013) | 4 lines
Changed paths:
   M /trunk/ui/qt/main_window.cpp
   M /trunk/ui/qt/main_window.h
   M /trunk/ui/qt/main_window_slots.cpp

Add a setTitlebarForCaptureFile() and have it set the titlebar and the
"modified" indicator.  For some reason, it's not getting called in all
the right places.

------------------------------------------------------------------------
r48681 | etxrab | 2013-03-31 15:27:58 -0700 (Sun, 31 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Unused parameter.
------------------------------------------------------------------------
r48680 | guy | 2013-03-31 15:17:43 -0700 (Sun, 31 Mar 2013) | 7 lines
Changed paths:
   M /trunk/ui/gtk/main.c
   M /trunk/ui/qt/main_window.cpp
   M /trunk/ui/qt/main_window_slots.cpp

Rename set_display_filename() to set_titlebar_for_capture_file(), as
it affects more than just the file name, it also affects whatever "you
have unsaved changes" indicator the UI provides.

Put a comment in the Qt code as a reminder of how to set the "you have
unsaved changes" indicator.

------------------------------------------------------------------------
r48679 | etxrab | 2013-03-31 15:08:00 -0700 (Sun, 31 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Initial decoding of 3GPP2_OBJECT.
------------------------------------------------------------------------
r48676 | martink | 2013-03-31 11:10:45 -0700 (Sun, 31 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tds.c

coverity 281315 logically dead code

------------------------------------------------------------------------
r48673 | martink | 2013-03-31 09:19:53 -0700 (Sun, 31 Mar 2013) | 3 lines
Changed paths:
   M /trunk/ringbuffer.c

coverity 990813 dereference after null check
(hope I got it right this time)

------------------------------------------------------------------------
r48672 | darkjames | 2013-03-31 08:03:46 -0700 (Sun, 31 Mar 2013) | 7 lines
Changed paths:
   M /trunk/tools/npl/ast.h
   M /trunk/tools/npl/npl.c
   M /trunk/tools/npl/parser.l

[NPL] Pushing changes to wireshark repo

- parser no longer use abort() after failing
- initial support for attributes
- symbol hashing to avoid strcasecmp()
- misc other fixes

------------------------------------------------------------------------
r48671 | gerald | 2013-03-31 07:03:28 -0700 (Sun, 31 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/usb.c
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2013-03-31]
------------------------------------------------------------------------
r48670 | martink | 2013-03-31 05:16:41 -0700 (Sun, 31 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-v5ua.c

remove empty else-branches

------------------------------------------------------------------------
r48669 | martink | 2013-03-31 05:12:03 -0700 (Sun, 31 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-v5ua.c

TABs -> spaces
add editor modelines

------------------------------------------------------------------------
r48668 | guy | 2013-03-30 23:17:41 -0700 (Sat, 30 Mar 2013) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_introduction.xml

Add missing </endlist>.

------------------------------------------------------------------------
r48667 | guy | 2013-03-30 22:12:50 -0700 (Sat, 30 Mar 2013) | 3 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_introduction.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_io.xml

Don't bundle "Open" and "Import" together; again, clarify that "Import"
is a somewhat limited function.

------------------------------------------------------------------------
r48666 | guy | 2013-03-30 21:28:39 -0700 (Sat, 30 Mar 2013) | 3 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_io.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_use.xml

Reflect the new menu item for the dialog box for importing a hex dump
file (and note in more detail what it does).

------------------------------------------------------------------------
r48665 | guy | 2013-03-30 21:17:47 -0700 (Sat, 30 Mar 2013) | 6 lines
Changed paths:
   M /trunk/ui/gtk/file_import_dlg.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/qt/import_text_dialog.ui
   M /trunk/ui/qt/main_window.h
   M /trunk/ui/qt/main_window.ui
   M /trunk/ui/qt/main_window_slots.cpp
   M /trunk/ui/qt/qtshark_de.ts
   M /trunk/ui/qt/qtshark_fr.ts

Make the menu item for importing a hex dump text file be "Import from
Hex Dump", to clarify that it's not some sort of "generic" import
function, just one that can read a hex dump file.  ("Import from Hex
Dump Text" is another possibility.)  Use that string in the dialog title
as well.

------------------------------------------------------------------------
r48664 | jake | 2013-03-30 15:52:13 -0700 (Sat, 30 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

From Hauke Mehrtens:
Wireshark misses some new TLS and DTLS cipher suite names which are assigned by IANA.

------------------------------------------------------------------------
r48663 | eapache | 2013-03-30 15:00:43 -0700 (Sat, 30 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btrfcomm.c

Hopefully fix a false-positive warning in the Mac buildbot.

It complains that service_info may be used uninitialized, but my manual analysis
agrees with GCC 4.7 that it can't, so just defaulting it to NULL will be fine.

------------------------------------------------------------------------
r48662 | eapache | 2013-03-30 14:54:42 -0700 (Sat, 30 Mar 2013) | 7 lines
Changed paths:
   M /trunk/colorfilters
   M /trunk/epan/dissectors/packet-btrfcomm.c

From Michal Labedzki via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8509

Add basic support for Bluetooth GNSS profile. It uses NMEA-0183, but that is not
free, so all we can do is add filtering and displaying for ASCII content.

Also add colors for DUN, GNSS to show them in contrast to RFCOMM.

------------------------------------------------------------------------
r48661 | eapache | 2013-03-30 14:47:27 -0700 (Sat, 30 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btamp.c
   M /trunk/epan/dissectors/packet-btatt.c
   M /trunk/epan/dissectors/packet-btavctp.c
   M /trunk/epan/dissectors/packet-btavdtp.c
   M /trunk/epan/dissectors/packet-btavrcp.c
   M /trunk/epan/dissectors/packet-btbnep.c
   M /trunk/epan/dissectors/packet-bthci_acl.c
   M /trunk/epan/dissectors/packet-bthci_cmd.c
   M /trunk/epan/dissectors/packet-bthci_evt.c
   M /trunk/epan/dissectors/packet-bthci_sco.c
   M /trunk/epan/dissectors/packet-bthcrp.c
   M /trunk/epan/dissectors/packet-bthid.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btmcap.c
   M /trunk/epan/dissectors/packet-btobex.c
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/dissectors/packet-btsap.c
   M /trunk/epan/dissectors/packet-btsmp.c

From Michal Labedzki via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8509

Unify bluetooth direction handling (sent vs rcvd).

------------------------------------------------------------------------
r48660 | eapache | 2013-03-30 14:43:18 -0700 (Sat, 30 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bthci_acl.c
   M /trunk/epan/dissectors/packet-bthci_acl.h
   M /trunk/epan/dissectors/packet-bthci_evt.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btl2cap.h
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/dissectors/packet-btsdp.c

From Michal Labedzki via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8509

Round 3 of Bluetooth SDP updates. Update the list of company IDs and fix
service recognition.

------------------------------------------------------------------------
r48659 | martink | 2013-03-30 12:16:51 -0700 (Sat, 30 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-homeplug-av.c

coverity 993742: potential division by zero

------------------------------------------------------------------------
r48658 | martink | 2013-03-30 12:15:29 -0700 (Sat, 30 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-homeplug-av.c

fix indentation in one place

------------------------------------------------------------------------
r48657 | martink | 2013-03-30 11:57:44 -0700 (Sat, 30 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-v5ua.c

coverity 280417: logically dead code

------------------------------------------------------------------------
r48656 | jake | 2013-03-30 10:09:26 -0700 (Sat, 30 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rfid-pn532.c

From Tyson Key:
The attached patch adds support for dissection of SAMConfiguration request packets, 
and updates the opcode table to identify their corresponding (null/empty) responses.

------------------------------------------------------------------------
r48655 | eapache | 2013-03-30 08:53:04 -0700 (Sat, 30 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btsdp.c
   M /trunk/epan/dissectors/packet-usb.c

From Michal Labedzki via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8509

Round 2 of Bluetooth SDP updates:
- replace a lot of proto_tree_add_text with named fields
- dissect more of the protocol
- misc fixes

------------------------------------------------------------------------
r48654 | eapache | 2013-03-30 08:38:03 -0700 (Sat, 30 Mar 2013) | 5 lines
Changed paths:
   M /trunk/cfile.h
   M /trunk/doc/tshark.pod
   M /trunk/docbook/release-notes.asciidoc
   M /trunk/tshark.c

Update -2, -R and -Y to behave consistently as per the concensus reached on
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8223

Mention the new -Y flag and associated changes in the release notes.

------------------------------------------------------------------------
r48653 | eapache | 2013-03-30 05:15:42 -0700 (Sat, 30 Mar 2013) | 4 lines
Changed paths:
   M /trunk/doc/wireshark.pod.template
   M /trunk/ui/gtk/main.c

Move wireshark's display filter flag to -Y for consistency with tshark.

Part of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8223

------------------------------------------------------------------------
r48652 | jake | 2013-03-30 04:57:33 -0700 (Sat, 30 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Have 'Capture file' and 'Stop after' extries left aligned in GTK+ 3 as well.

------------------------------------------------------------------------
r48651 | martink | 2013-03-30 03:59:30 -0700 (Sat, 30 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mpeg-descriptor.c

dissect CI+ Protection Descriptor

------------------------------------------------------------------------
r48650 | martink | 2013-03-30 03:41:37 -0700 (Sat, 30 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvb-sdt.c

use proto_mpeg_descriptor_loop_dissect() in the SDT descriptor loop
this takes private descriptors into account

------------------------------------------------------------------------
r48649 | martink | 2013-03-30 03:30:22 -0700 (Sat, 30 Mar 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

list the new file format in the release notes

------------------------------------------------------------------------
r48648 | martink | 2013-03-30 03:21:19 -0700 (Sat, 30 Mar 2013) | 2 lines
Changed paths:
   M /trunk/doc/wireshark.pod.template

list the new file format on the manpage

------------------------------------------------------------------------
r48647 | martink | 2013-03-30 02:56:57 -0700 (Sat, 30 Mar 2013) | 2 lines
Changed paths:
   M /trunk/wiretap/CMakeLists.txt
   M /trunk/wiretap/Makefile.common
   A /trunk/wiretap/camins.c
   A /trunk/wiretap/camins.h
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/wtap.h

wiretap support for the CAM Inspector file format

------------------------------------------------------------------------
r48646 | eapache | 2013-03-29 17:11:00 -0700 (Fri, 29 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/value_string.c

Note to self: stop using 'index' as a variable name, it triggers -Wshadow on
some platforms. You'd think I'd have learned by now.

------------------------------------------------------------------------
r48645 | eapache | 2013-03-29 16:23:28 -0700 (Fri, 29 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/value_string.c
   M /trunk/epan/value_string.h

Implement str_to_val, opposite of val_to_str for value_strings.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8467

------------------------------------------------------------------------
r48644 | eapache | 2013-03-29 15:20:04 -0700 (Fri, 29 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcp-etsi.c

Bump two guint16 to guint32 to prevent overflow when reassembling a large
number of fragments, and add an extra bounds check.

Fixes
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8540
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8541

------------------------------------------------------------------------
r48643 | gerald | 2013-03-29 11:16:45 -0700 (Fri, 29 Mar 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

Add items for Bluetooth and GTK3.

------------------------------------------------------------------------
r48642 | gerald | 2013-03-29 11:12:29 -0700 (Fri, 29 Mar 2013) | 2 lines
Changed paths:
   M /trunk/image/wsicon32.xpm

Convert png → xpm using a higher alpha threshold.

------------------------------------------------------------------------
r48641 | eapache | 2013-03-29 10:43:14 -0700 (Fri, 29 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xmpp-utils.h
   M /trunk/epan/eap.h

Add some missing #includes to hopefully fix check-abi buildbot.

------------------------------------------------------------------------
r48640 | eapache | 2013-03-29 10:25:23 -0700 (Fri, 29 Mar 2013) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btsdp.c
   M /trunk/epan/dissectors/packet-btsdp.h

From Michal Labedzki via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8509

First round of fixes for Bluetooth SDP.

From me:
- rename one call of match_strval to try_val_to_str instead
- remove a few hf entries that really belong with the second patch (they
  weren't used in this one)

------------------------------------------------------------------------
r48639 | gerald | 2013-03-29 08:44:14 -0700 (Fri, 29 Mar 2013) | 4 lines
Changed paths:
   M /trunk/debian/rules
   M /trunk/debian/wireshark.menu
   A /trunk/image/wsicon32.xpm (from /trunk/image/wsicon32.xpm:48599)

Resurrect wsicon32.xpm using 'svn cp' then update it based on
wsicon32.png. This should hopefully preserve its history in SVN. Revert
r48565 in debian/.

------------------------------------------------------------------------
r48638 | pascal | 2013-03-29 06:22:53 -0700 (Fri, 29 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-vrt.c

From Dario Lombardo via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8506 :
Fix incompatible display filters using the same name

------------------------------------------------------------------------
r48637 | tuexen | 2013-03-29 06:01:52 -0700 (Fri, 29 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcdc.c

Add support for new version of the ID which has been adopted as a WG item.
The now version will be supported by Firefox soon.

------------------------------------------------------------------------
r48636 | eapache | 2013-03-28 19:46:06 -0700 (Thu, 28 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-uhd.c
   M /trunk/epan/dissectors/packet-vrt.c

Fix two instances of col_set_str being used with ephemeral memory returned
from val_to_str. Use col_add_str instead.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8537

------------------------------------------------------------------------
r48635 | eapache | 2013-03-28 19:34:23 -0700 (Thu, 28 Mar 2013) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/value_string.c
   M /trunk/epan/value_string.h

Remove decode_enumerated_bitfield and decode_enumerated_bitfield_shifted.
Effectively inline the only remain call (and replace a static buffer with ep
memory). Much of the NFS dissector needs to be converted to use named fields
at which point this code can go away, but that's a much bigger job.

Also, add modelines to packet-nfs.c and mark some internal value_string
functions as WS_DLL_LOCAL.

------------------------------------------------------------------------
r48634 | eapache | 2013-03-28 17:26:23 -0700 (Thu, 28 Mar 2013) | 16 lines
Changed paths:
   M /trunk/asn1/gsm_map/packet-gsm_map-template.c
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/asn1/h450/packet-h450-template.c
   M /trunk/asn1/isdn-sup/packet-isdn-sup-template.c
   M /trunk/asn1/mms/packet-mms-template.c
   M /trunk/asn1/mpeg-pes/packet-mpeg-pes-template.c
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/epan/dissectors/packet-3g-a11.c
   M /trunk/epan/dissectors/packet-aarp.c
   M /trunk/epan/dissectors/packet-adwin.c
   M /trunk/epan/dissectors/packet-ansi_637.c
   M /trunk/epan/dissectors/packet-ansi_683.c
   M /trunk/epan/dissectors/packet-ansi_801.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-aodv.c
   M /trunk/epan/dissectors/packet-armagetronad.c
   M /trunk/epan/dissectors/packet-arp.c
   M /trunk/epan/dissectors/packet-assa_r3.c
   M /trunk/epan/dissectors/packet-bfcp.c
   M /trunk/epan/dissectors/packet-bittorrent.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-bvlc.c
   M /trunk/epan/dissectors/packet-cell_broadcast.c
   M /trunk/epan/dissectors/packet-cimd.c
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-classicstun.c
   M /trunk/epan/dissectors/packet-cmpp.c
   M /trunk/epan/dissectors/packet-csm-encaps.c
   M /trunk/epan/dissectors/packet-ddtp.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-dlsw.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-dvb-ait.c
   M /trunk/epan/dissectors/packet-dvbci.c
   M /trunk/epan/dissectors/packet-e212.c
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-epl.c
   M /trunk/epan/dissectors/packet-etch.c
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/dissectors/packet-fcoib.c
   M /trunk/epan/dissectors/packet-forces.c
   M /trunk/epan/dissectors/packet-gadu-gadu.c
   M /trunk/epan/dissectors/packet-ged125.c
   M /trunk/epan/dissectors/packet-gmr1_rr.c
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gsm_abis_oml.c
   M /trunk/epan/dissectors/packet-gsm_bssmap_le.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h264.c
   M /trunk/epan/dissectors/packet-h282.c
   M /trunk/epan/dissectors/packet-h283.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-h501.c
   M /trunk/epan/dissectors/packet-iapp.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-image-jfif.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipmi.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-isdn-sup.c
   M /trunk/epan/dissectors/packet-isns.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-kingfisher.c
   M /trunk/epan/dissectors/packet-laplink.c
   M /trunk/epan/dissectors/packet-llrp.c
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-memcache.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mmse.c
   M /trunk/epan/dissectors/packet-mp4ves.c
   M /trunk/epan/dissectors/packet-mpeg-descriptor.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-ms-mms.c
   M /trunk/epan/dissectors/packet-nas_eps.c
   M /trunk/epan/dissectors/packet-nat-pmp.c
   M /trunk/epan/dissectors/packet-ncp-nmas.c
   M /trunk/epan/dissectors/packet-ncp-sss.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-oicq.c
   M /trunk/epan/dissectors/packet-omron-fins.c
   M /trunk/epan/dissectors/packet-pw-atm.c
   M /trunk/epan/dissectors/packet-pw-cesopsn.c
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-rmcp.c
   M /trunk/epan/dissectors/packet-rpcap.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-rtmpt.c
   M /trunk/epan/dissectors/packet-rtnet.c
   M /trunk/epan/dissectors/packet-rtps.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-sgsap.c
   M /trunk/epan/dissectors/packet-slimp3.c
   M /trunk/epan/dissectors/packet-slowprotocols.c
   M /trunk/epan/dissectors/packet-slsk.c
   M /trunk/epan/dissectors/packet-smpp.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/dissectors/packet-synphasor.c
   M /trunk/epan/dissectors/packet-telnet.c
   M /trunk/epan/dissectors/packet-tn3270.c
   M /trunk/epan/dissectors/packet-tpncp.c
   M /trunk/epan/dissectors/packet-ucp.c
   M /trunk/epan/dissectors/packet-usb-video.c
   M /trunk/epan/dissectors/packet-wbxml.c
   M /trunk/epan/dissectors/packet-wccp.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-wtls.c
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/ipproto.c
   M /trunk/epan/proto.c
   M /trunk/epan/value_string.c
   M /trunk/epan/value_string.h
   M /trunk/epan/xdlc.c
   M /trunk/plugins/ethercat/packet-ethercat-datagram.c
   M /trunk/plugins/gryphon/packet-gryphon.c
   M /trunk/ui/cli/tap-wspstat.c
   M /trunk/ui/export_object_smb.c
   M /trunk/ui/gtk/expert_comp_dlg.c
   M /trunk/ui/gtk/expert_comp_table.c
   M /trunk/ui/gtk/rtp_player.c
   M /trunk/ui/gtk/wsp_stat.c

Rename value string (and similar) functions to use a consistent pattern. This
was done using textual search+replace, not anything syntax-aware, so presumably
it got most comments as well (except where there were typos).

Use a consistent coding style, and make proper use of the WS_DLL_* defines.

Group the functions appropriately in the header.

I ended up getting rid of most of the explanatory comments since many of them
duplicated what was in the value_string.c file (and were out of sync with the
recent updates I made to those in r48633). Presumably most of the comments
should be in the .h file not the .c file, but there's enough churn ahead that
it's not worth fixing yet.

Part of https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8467

------------------------------------------------------------------------
r48633 | eapache | 2013-03-28 15:02:04 -0700 (Thu, 28 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/value_string.c

Greatly clean up value_string.c
 - use consistent indentation and coding style
 - add modelines
 - replace some g_assert calls with DISSECTOR_ASSERT where it makes sense
 - group related functions together and simplify many comments by referring to
   the 'normal' value_string as the canonical version

------------------------------------------------------------------------
r48632 | cmaynard | 2013-03-28 14:46:37 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

The tshark -R option specifies a read filter, not a display filter.

------------------------------------------------------------------------
r48631 | gerald | 2013-03-28 14:22:08 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/image/compress-pngs

Remove a couple of unneeded lines and fix default execution.

------------------------------------------------------------------------
r48630 | eapache | 2013-03-28 14:19:58 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/emem.h

Include glib.h in emem.h, it needs the definitions

------------------------------------------------------------------------
r48629 | cmaynard | 2013-03-28 13:22:47 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Add some missing tvb_get_'s, proto_tree_add_'s, fix args and change all little_endian's to encoding.  Some detailed descriptions are still missing though.

------------------------------------------------------------------------
r48628 | cmaynard | 2013-03-28 11:16:52 -0700 (Thu, 28 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-openwire.c

Fix incorrectly duplicated display filter for hf_openwire_throwable_linenumber.
#BACKPORT(1.8)

------------------------------------------------------------------------
r48627 | gerald | 2013-03-28 11:13:22 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.ac
   M /trunk/debian/changelog
   M /trunk/debian/wireshark-common.files
   M /trunk/docbook/asciidoc.conf
   M /trunk/epan/Makefile.am
   M /trunk/make-version.pl
   M /trunk/wiretap/Makefile.am

1.9.2 → 1.9.3.

------------------------------------------------------------------------
r48626 | cmaynard | 2013-03-28 11:13:12 -0700 (Thu, 28 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nhrp.c

The uniqueness bit occurs in 2 different places, so go ahead and use both hf_nhrp_flag_U1 and hf_nhrp_flag_U2, but change the common display filter from "nhrp.flag.u1" to simply "nhrp.flag.u".
#BACKPORT(1.6, 1.8)???

------------------------------------------------------------------------
r48625 | gerald | 2013-03-28 10:48:31 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/NEWS
   M /trunk/make-version.pl

Build 1.9.2.

------------------------------------------------------------------------
r48624 | morriss | 2013-03-28 09:59:21 -0700 (Thu, 28 Mar 2013) | 10 lines
Changed paths:
   M /trunk/tools/Makefile.am
   A /trunk/tools/install_rpms_for_devel.sh

Add a little shell script to install all the RPMs necesary to do Wireshark
development.  Both the development and runtime packages are installed
although the latter aren't strictly necessary.

Ideally this could automatically pull the packages out of
packaging/rpm/SPECS/wireshark.spec.in but given the variance in package names
between distributions, this seems painful...

Tested on Fedora/Redhat and openSUSE.

------------------------------------------------------------------------
r48623 | etxrab | 2013-03-28 09:55:06 -0700 (Thu, 28 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-mip.c
   M /trunk/epan/sminmpec.h

Register a dissector table for Normal Vendor/Organization Specific Extension(NVSE) and use it for 3GPP2.
------------------------------------------------------------------------
r48622 | cmaynard | 2013-03-28 09:02:41 -0700 (Thu, 28 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bat.c

Fix Coverity CID's 280305-280306: Negative loop bound.  (These are yet more annoying instances of not properly dealing with tvb_reported_length_remaining() possibly returning -1.)
#BACKPORT(1.6,1.8)

------------------------------------------------------------------------
r48621 | cmaynard | 2013-03-28 08:41:25 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btavdtp.c
   M /trunk/epan/dissectors/packet-btmcap.c

Fix the remaining instances of Coverity CID's 741992 and 986498, which should have been committed with r47073 and r47830, respectively.  (I find Coverity doesn't always make it so obvious that there's more than 1 instance for a given CID.)

------------------------------------------------------------------------
r48620 | cmaynard | 2013-03-28 08:28:12 -0700 (Thu, 28 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ua3g.c

Fix Coverity CID's 281433 and 281434: Unintended sign extension. (18 instances)
Fix Coverity CID 702381: Missing break in switch.

Add an "XXX" note regarding the framing_rtp assignment, since something appears to be missing.

#BACKPORT(1.8)

------------------------------------------------------------------------
r48619 | cmaynard | 2013-03-28 08:07:32 -0700 (Thu, 28 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sasp.c

first_flag should be static.
#BACKPORT(1.6,1.8)

------------------------------------------------------------------------
r48618 | eapache | 2013-03-28 08:05:46 -0700 (Thu, 28 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btl2cap.c

From Michal Labedzki via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8536

Fix unrecognised CID session payload in bluetooth if there are multiple sessions
with the same DCID.

------------------------------------------------------------------------
r48617 | eapache | 2013-03-28 08:01:35 -0700 (Thu, 28 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-vrt.c

From Dario Lombardo via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8506

Proper authorship and attribution information for
VITA 49 Radio Transport dissector.

------------------------------------------------------------------------
r48616 | cmaynard | 2013-03-28 07:56:58 -0700 (Thu, 28 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kdsp.c

Fix the incorrectly duplicated display filter for hf_kdsp_source_name.
#BACKPORT(1.8)

------------------------------------------------------------------------
r48615 | eapache | 2013-03-28 07:54:33 -0700 (Thu, 28 Mar 2013) | 4 lines
Changed paths:
   M /trunk/ui/gtk/main.c

If wireshark is started with a file and a display filter, apply the display
filter *after* initially reading the file so that we get the expected multi-
pass behaviour and forward-looking filters (like response_in) work properly.

------------------------------------------------------------------------
r48614 | cmaynard | 2013-03-28 07:49:41 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gearman.c

Fix the incorrectly duplicated display filter for hf_gearman_data_content.

------------------------------------------------------------------------
r48613 | cmaynard | 2013-03-28 07:23:07 -0700 (Thu, 28 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

Properly dissect lat and long according to 3GPP TS 23.032.  Fix incorrect display filters for hf_gsm_a_geo_loc_deg_of_lat and hf_gsm_a_geo_loc_deg_of_long.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8532
#BACKPORT(1.6,1.8)

------------------------------------------------------------------------
r48612 | morriss | 2013-03-28 07:17:38 -0700 (Thu, 28 Mar 2013) | 1 line
Changed paths:
   M /trunk/packaging/rpm/SPECS/wireshark.spec.in

Simplify the check for rpmbuild's version.
------------------------------------------------------------------------
r48611 | pascal | 2013-03-28 07:04:23 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sim.c

Add dissection of Terminal Profile byte 32

------------------------------------------------------------------------
r48610 | morriss | 2013-03-28 06:19:16 -0700 (Thu, 28 Mar 2013) | 1 line
Changed paths:
   M /trunk/ui/gtk/Makefile.common

Fix distcheck: put wssplash.h in noinst_HEADERS.
------------------------------------------------------------------------
r48609 | etxrab | 2013-03-28 00:34:13 -0700 (Thu, 28 Mar 2013) | 1 line
Changed paths:
   M /trunk/asn1/gnm/packet-gnm-template.c
   M /trunk/asn1/gprscdr/packet-gprscdr-template.c
   M /trunk/asn1/gsm_map/packet-gsm_map-template.c
   M /trunk/asn1/m3ap/packet-m3ap-template.c
   M /trunk/asn1/pkcs12/packet-pkcs12-template.c
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/asn1/rua/packet-rua-template.c
   M /trunk/asn1/s1ap/packet-s1ap-template.c
   M /trunk/asn1/sabp/packet-sabp-template.c
   M /trunk/asn1/smrse/packet-smrse-template.c
   M /trunk/asn1/sv/packet-sv-template.c
   M /trunk/asn1/t124/packet-t124-template.c
   M /trunk/asn1/t125/packet-t125-template.c
   M /trunk/asn1/t38/packet-t38-template.c
   M /trunk/asn1/ulp/packet-ulp-template.c
   M /trunk/asn1/wlancertextn/packet-wlancertextn-template.c
   M /trunk/asn1/x2ap/packet-x2ap-template.c
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-gprscdr.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-m3ap.c
   M /trunk/epan/dissectors/packet-pkcs12.c
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-rua.c
   M /trunk/epan/dissectors/packet-s1ap.c
   M /trunk/epan/dissectors/packet-sabp.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-sv.c
   M /trunk/epan/dissectors/packet-t124.c
   M /trunk/epan/dissectors/packet-t125.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-ulp.c
   M /trunk/epan/dissectors/packet-wlancertextn.c
   M /trunk/epan/dissectors/packet-x224.c
   M /trunk/epan/dissectors/packet-x2ap.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/ui/cli/tap-comparestat.c

-Wmissing-prototypes
------------------------------------------------------------------------
r48608 | jake | 2013-03-28 00:12:24 -0700 (Thu, 28 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Make that wssplash *underscore* dev dot png

------------------------------------------------------------------------
r48607 | jake | 2013-03-27 23:50:40 -0700 (Wed, 27 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Distribute the shiny new splash screen logos.

------------------------------------------------------------------------
r48606 | jake | 2013-03-27 23:36:44 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/ui/gtk/bootp_stat.c
   M /trunk/ui/gtk/bytes_view.c
   M /trunk/ui/gtk/color_edit_dlg.c
   M /trunk/ui/gtk/fileset_dlg.c
   M /trunk/ui/gtk/gui_utils.h
   M /trunk/ui/gtk/iax2_analysis.c
   M /trunk/ui/gtk/io_stat.c
   M /trunk/ui/gtk/prefs_column.c
   M /trunk/ui/gtk/prefs_font_color.c
   M /trunk/ui/gtk/print_dlg.c
   M /trunk/ui/gtk/rtp_analysis.c
   M /trunk/ui/gtk/sctp_byte_graph_dlg.c
   M /trunk/ui/gtk/sctp_graph_dlg.c
   M /trunk/ui/gtk/tcp_graph.c

Follow up on bug 8416.
Remove C++ incompatibilities in GTK+ 3 code.

------------------------------------------------------------------------
r48605 | eapache | 2013-03-27 20:06:30 -0700 (Wed, 27 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/address.h
   M /trunk/epan/dissectors/packet-hci_usb.c
   M /trunk/ui/gtk/decode_as_dlg.c

From Michal Labedzki via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8530

Enable "Decode As" for Bluetooth over USB.

------------------------------------------------------------------------
r48604 | sahlberg | 2013-03-27 17:06:19 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

ISCSI: When printing the task management function, strip of the high bit which is always 1 before resoving the index into a name


------------------------------------------------------------------------
r48603 | gerald | 2013-03-27 16:55:05 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/configure.ac

It looks like GLib 2.36.0 was released on the 25th as well, although I
can't find a release announcement.

------------------------------------------------------------------------
r48602 | cmaynard | 2013-03-27 15:04:46 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ixveriwave.c

Fix the incorrectly duplicated display filter for hf_ixveriwave_vw_info_retryCount.
#BACKPORT(1.8)

------------------------------------------------------------------------
r48601 | cmaynard | 2013-03-27 14:41:56 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/asn1/gsm_map/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c

Fix another incorrectly duplicated display filter, this time for hf_gsm_map_etsi_pdp_type_number.
#BACKPORT(1.6,1.8)

------------------------------------------------------------------------
r48600 | gerald | 2013-03-27 14:29:44 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/image/compress-pngs
   D /trunk/image/wsicon16.xpm
   D /trunk/image/wsicon32.xpm
   D /trunk/image/wsicon48.xpm
   D /trunk/image/wsicon64.xpm
   D /trunk/image/wsiconcap16.xpm
   D /trunk/image/wsiconcap32.xpm
   D /trunk/image/wsiconcap48.xpm
   A /trunk/image/wssplash.png
   A /trunk/image/wssplash_dev.png
   M /trunk/ui/gtk/Makefile.am
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/about_dlg.c
   M /trunk/ui/gtk/main_welcome.c
   A /trunk/ui/gtk/wssplash.h

Add the new splash image. Designed by Elliott Aldrich. Switch the splash
image from XPM to PNG+pixbuf. Remove old XPMs.

------------------------------------------------------------------------
r48599 | alagoutte | 2013-03-27 14:07:45 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Johannes Berg via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8534 802.11: doesn't parse extended channel switch announcement frames correctly

There are more fixed fields in extended channel switch announcement frames.
------------------------------------------------------------------------
r48598 | cmaynard | 2013-03-27 13:48:45 -0700 (Wed, 27 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-idmp.c

Regenerate the dissector.

------------------------------------------------------------------------
r48597 | cmaynard | 2013-03-27 13:44:47 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/asn1/gsm_map/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c

Fix the incorrectly duplicated display filter for hf_gsm_map_dlci.
#BACKPORT(1.6, 1.8)

------------------------------------------------------------------------
r48596 | cmaynard | 2013-03-27 13:26:06 -0700 (Wed, 27 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sim.c

Fix the incorrectly duplicated display filters for hf_tp_bip_tcp_local and hf_tp_bip_udp_local.

------------------------------------------------------------------------
r48595 | cmaynard | 2013-03-27 13:21:19 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_abis_om2000.c

Fix the incorrectly duplicated display filter for hf_om2k_cbi.
#BACKPORT(1.8)

------------------------------------------------------------------------
r48594 | gerald | 2013-03-27 11:36:52 -0700 (Wed, 27 Mar 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

Add items for WinPcap 4.1.3 and the new icons.

------------------------------------------------------------------------
r48593 | gerald | 2013-03-27 11:25:54 -0700 (Wed, 27 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Fix dist.

------------------------------------------------------------------------
r48592 | alagoutte | 2013-03-27 11:16:22 -0700 (Wed, 27 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-homeplug-av.c

From G.Gerrits via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8501 HomeplugAV dissector: Decoding HPAV-1.1 Tone Map Tx/Rx Characteristics Req/Conf (0xA070/0xA071/0xA090/0xA091)

Dissecting HPAV-1.1 Tone Map Characteristics Req/Conf (0xA070/0xA071) was not correct.
Also found that MMType 0xA070/0xA071 is used for the Tx ToneMaps and the MMType 0xA090/0xA091 for the Rx ToneMaps. Added types and dissector for the Rx MMType. Although the Rx-Conf-Structure is almost identical to the Tx is did duplicate the dissector code to avoid mixups.
Added some additional Infos to the carrier dissector output (Carrier#, #Modulated-Bits, Average#Modulated-Bits/Carrier).

Also extended the homeplug_av_tone_map_vals with 0x08 for 12bit 4096-QAM (the AR74xx should support this kind of modulation) and changed the mask to 0x0f accordingly
------------------------------------------------------------------------
r48591 | gerald | 2013-03-27 11:09:00 -0700 (Wed, 27 Mar 2013) | 7 lines
Changed paths:
   M /trunk/image/WiresharkDoc-128.png
   M /trunk/image/WiresharkDoc-16.png
   M /trunk/image/WiresharkDoc-24.png
   M /trunk/image/WiresharkDoc-256.png
   M /trunk/image/WiresharkDoc-32.png
   M /trunk/image/WiresharkDoc-48.png
   M /trunk/image/WiresharkDoc-64.png
   M /trunk/image/capture_comment_add.png
   M /trunk/image/capture_comment_disabled.png
   M /trunk/image/capture_comment_update.png
   M /trunk/image/capture_start_24.png
   M /trunk/image/capture_start_active_24.png
   M /trunk/image/capture_stop_24.png
   A /trunk/image/compress-pngs
   M /trunk/image/copy-8.png
   M /trunk/image/dfilter_apply_disabled.png
   M /trunk/image/dfilter_apply_hover.png
   M /trunk/image/dfilter_apply_normal.png
   M /trunk/image/dfilter_apply_pressed.png
   M /trunk/image/dfilter_bookmark_disabled.png
   M /trunk/image/dfilter_bookmark_hover.png
   M /trunk/image/dfilter_bookmark_normal.png
   M /trunk/image/dfilter_bookmark_pressed.png
   M /trunk/image/dfilter_dropdown.png
   M /trunk/image/dfilter_erase_active.png
   M /trunk/image/dfilter_erase_normal.png
   M /trunk/image/dfilter_erase_selected.png
   M /trunk/image/dfilter_refresh_active.png
   M /trunk/image/dfilter_refresh_normal.png
   M /trunk/image/expert_chat.png
   M /trunk/image/expert_error.png
   M /trunk/image/expert_none.png
   M /trunk/image/expert_note.png
   M /trunk/image/expert_ok.png
   M /trunk/image/expert_warn.png
   M /trunk/image/hi16-app-wireshark.png
   M /trunk/image/hi32-app-wireshark.png
   M /trunk/image/hi48-app-wireshark.png
   M /trunk/image/layout_1.png
   M /trunk/image/layout_2.png
   M /trunk/image/layout_3.png
   M /trunk/image/layout_4.png
   M /trunk/image/layout_5.png
   M /trunk/image/layout_6.png
   M /trunk/image/lo16-app-wireshark.png
   M /trunk/image/lo32-app-wireshark.png
   M /trunk/image/lo48-app-wireshark.png
   A /trunk/image/toolbar/capture_interfaces_16.png
   A /trunk/image/toolbar/capture_interfaces_16.svg
   A /trunk/image/toolbar/capture_interfaces_24.png
   A /trunk/image/toolbar/capture_interfaces_24.svg
   D /trunk/image/toolbar/capture_interfaces_24.xpm
   M /trunk/image/toolbar/capture_options_16.png
   A /trunk/image/toolbar/capture_options_16.svg
   M /trunk/image/toolbar/capture_options_16_alt1.png
   A /trunk/image/toolbar/capture_options_16_alt1.svg
   M /trunk/image/toolbar/capture_options_24.png
   A /trunk/image/toolbar/capture_options_24.svg
   M /trunk/image/toolbar/capture_options_24_alt1.png
   A /trunk/image/toolbar/capture_options_24_alt1.svg
   M /trunk/image/toolbar/capture_pause_16.png
   A /trunk/image/toolbar/capture_pause_16.svg
   M /trunk/image/toolbar/capture_pause_24.png
   A /trunk/image/toolbar/capture_pause_24.svg
   D /trunk/image/toolbar/capture_restart_16-alt1.png
   D /trunk/image/toolbar/capture_restart_16-alt2.png
   D /trunk/image/toolbar/capture_restart_16-alt3.png
   M /trunk/image/toolbar/capture_restart_16.png
   A /trunk/image/toolbar/capture_restart_16.svg
   A /trunk/image/toolbar/capture_restart_16_alt1.png (from /trunk/image/toolbar/capture_restart_16-alt1.png:48588)
   A /trunk/image/toolbar/capture_restart_16_alt1.svg
   A /trunk/image/toolbar/capture_restart_16_alt2.png (from /trunk/image/toolbar/capture_restart_16-alt2.png:48588)
   A /trunk/image/toolbar/capture_restart_16_alt2.svg
   A /trunk/image/toolbar/capture_restart_16_alt3.png (from /trunk/image/toolbar/capture_restart_16-alt3.png:48588)
   A /trunk/image/toolbar/capture_restart_16_alt3.svg
   D /trunk/image/toolbar/capture_restart_24-alt1.png
   D /trunk/image/toolbar/capture_restart_24-alt2.png
   D /trunk/image/toolbar/capture_restart_24-alt3.png
   M /trunk/image/toolbar/capture_restart_24.png
   A /trunk/image/toolbar/capture_restart_24.svg
   D /trunk/image/toolbar/capture_restart_24.xpm
   A /trunk/image/toolbar/capture_restart_24_alt1.png (from /trunk/image/toolbar/capture_restart_24-alt1.png:48588)
   A /trunk/image/toolbar/capture_restart_24_alt1.svg
   A /trunk/image/toolbar/capture_restart_24_alt2.png (from /trunk/image/toolbar/capture_restart_24-alt2.png:48588)
   A /trunk/image/toolbar/capture_restart_24_alt2.svg
   A /trunk/image/toolbar/capture_restart_24_alt3.png (from /trunk/image/toolbar/capture_restart_24-alt3.png:48588)
   A /trunk/image/toolbar/capture_restart_24_alt3.svg
   M /trunk/image/toolbar/capture_start_16.png
   A /trunk/image/toolbar/capture_start_16.svg
   M /trunk/image/toolbar/capture_start_24.png
   A /trunk/image/toolbar/capture_start_24.svg
   M /trunk/image/toolbar/capture_stop_16.png
   A /trunk/image/toolbar/capture_stop_16.svg
   M /trunk/image/toolbar/capture_stop_24.png
   A /trunk/image/toolbar/capture_stop_24.svg
   M /trunk/image/toolbar/gnome_emblem_web_16.png
   M /trunk/image/toolbar/gnome_emblem_web_24.png
   M /trunk/image/toolbar/modem_16.png
   M /trunk/image/toolbar/network_bluetooth_16.png
   M /trunk/image/toolbar/network_usb_16.png
   M /trunk/image/toolbar/network_wired_16.png
   M /trunk/image/toolbar/network_wireless_16.png
   M /trunk/image/toolbar/pipe_16.png
   M /trunk/image/toolbar/remote_arrow_16.png
   M /trunk/image/toolbar/remote_globe_16.png
   M /trunk/image/toolbar/remote_sat_16.png
   M /trunk/image/toolbar/toolbar_wireshark_file_16.png
   M /trunk/image/toolbar/toolbar_wireshark_file_24.png
   M /trunk/image/wsicon-ask.png
   M /trunk/image/wsicon1024.png
   M /trunk/image/wsicon128.png
   M /trunk/image/wsicon16.png
   M /trunk/image/wsicon24.png
   M /trunk/image/wsicon256.png
   M /trunk/image/wsicon32.png
   M /trunk/image/wsicon48.png
   M /trunk/image/wsicon512.png
   M /trunk/image/wsicon64.png
   M /trunk/image/wsiconcap1024.png
   M /trunk/image/wsiconcap128.png
   M /trunk/image/wsiconcap16.png
   M /trunk/image/wsiconcap24.png
   M /trunk/image/wsiconcap256.png
   M /trunk/image/wsiconcap32.png
   M /trunk/image/wsiconcap48.png
   M /trunk/image/wsiconcap512.png
   M /trunk/image/wsiconcap64.png
   M /trunk/image/wsiconinst1024.png
   M /trunk/image/wsiconinst128.png
   M /trunk/image/wsiconinst16.png
   M /trunk/image/wsiconinst24.png
   M /trunk/image/wsiconinst256.png
   M /trunk/image/wsiconinst32.png
   M /trunk/image/wsiconinst48.png
   M /trunk/image/wsiconinst512.png
   M /trunk/image/wsiconinst64.png
   M /trunk/ui/gtk/Makefile.am
   M /trunk/ui/gtk/layouts.h
   M /trunk/ui/gtk/network_icons.h
   M /trunk/ui/gtk/stock_icons.c
   M /trunk/ui/gtk/toolbar_icons.h

Add an interface list icon. Some of the new capture icons were 1 pixel
too small, so add corrected ones. Add SVG versions of the new toolbar
icons. Use consistent naming for alternate icons. Remove some
no-longer-used XPMs. Add a script to compress PNGs using various
utilities and run it. Regenerate the pixbuf includes using the smaller
PNGs.

------------------------------------------------------------------------
r48590 | eapache | 2013-03-27 10:30:12 -0700 (Wed, 27 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/wmem/wmem_test.c

Loop the timing test 128 times so that statistics work more in our favour.

Print the times to stdout so that in a failure case we can see how badly it
was off.

------------------------------------------------------------------------
r48589 | eapache | 2013-03-27 10:14:42 -0700 (Wed, 27 Mar 2013) | 9 lines
Changed paths:
   M /trunk/doc/tshark.pod
   M /trunk/file.c
   M /trunk/frame_data_sequence.c
   M /trunk/frame_data_sequence.h
   M /trunk/tshark.c

From Hadriel Kaplan via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8223

Add a 2-pass display-filter flag to tshark so that reassembly and other forward-
looking dissections can be used with filters.

It's a bit of a hack, but this entire area of 2-pass analysis etc. is a giant
pile of hacks to begin with and needs cleaning up. For now just having this
feature is a big enough win.

------------------------------------------------------------------------
r48588 | eapache | 2013-03-27 09:37:12 -0700 (Wed, 27 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/wmem/wmem_test.c

Add a timing test to check that the block allocator is actually faster than the
simple one. At the moment it seems to be between 2x and 2.5x faster in the
common case (a simple sequence of allocations followed by free_all).

------------------------------------------------------------------------
r48587 | ruengeler | 2013-03-27 08:05:32 -0700 (Wed, 27 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Fix bug 8524 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8524) and show the correct tooltips for the columns. 

------------------------------------------------------------------------
r48586 | eapache | 2013-03-27 05:43:29 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/wmem/wmem_test.c

Generalize the allocator test function and use it to test the simple and
the strict allocators as well.

------------------------------------------------------------------------
r48585 | pascal | 2013-03-27 05:29:44 -0700 (Wed, 27 Mar 2013) | 3 lines
Changed paths:
   M /trunk/ui/gtk/main.c

From Jim Young via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8531 :
Fix compilation when building with HAVE_GTKOSXAPPLICATION

------------------------------------------------------------------------
r48584 | eapache | 2013-03-27 05:01:36 -0700 (Wed, 27 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/wmem/wmem_allocator_block.c

Copy over a missing flag in the block allocator to fix the build-bot failure
at http://buildbot.wireshark.org/trunk/builders/Ubuntu-12.04-x64/builds/4250

Adding --verbose to get the random seed has payed off already!

------------------------------------------------------------------------
r48582 | stig | 2013-03-27 02:44:34 -0700 (Wed, 27 Mar 2013) | 2 lines
Changed paths:
   M /trunk/configure.ac

Remove searching in $prefix for packages as requested in bug 6011 and bug 7926.

------------------------------------------------------------------------
r48581 | etxrab | 2013-03-26 23:37:46 -0700 (Tue, 26 Mar 2013) | 4 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

From Peter Hatina:
We call capture_dlg_prep() and do_file_close() in wrong order. capture_dlg_prep() clears global options for currently running capture and then we get an assertation fail in capture_input_new_packets().

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8526
------------------------------------------------------------------------
r48580 | gerald | 2013-03-26 20:57:38 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/configure.ac

It's 2013.

------------------------------------------------------------------------
r48579 | gerald | 2013-03-26 20:56:42 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/configure.ac

Add the release date for GTK+ 3.8.0.

------------------------------------------------------------------------
r48578 | cmaynard | 2013-03-26 20:13:56 -0700 (Tue, 26 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

tvb_reported_length_remaining() can return -1, so be sure to properly handle it if it does.
#BACKPORT(1.6, 1.8)

------------------------------------------------------------------------
r48577 | cmaynard | 2013-03-26 19:46:45 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

Fix Coverity CID 281471: Logically dead code.  (addr_type can only be 1 or 2 due to the return statement in the default case)

------------------------------------------------------------------------
r48576 | eapache | 2013-03-26 19:35:32 -0700 (Tue, 26 Mar 2013) | 3 lines
Changed paths:
   M /trunk/test/suite-unittests.sh

Run the wmem unit tests with --verbose (provided by glib) so that if
one of the random bits fails we get the seed to reproduce with.

------------------------------------------------------------------------
r48575 | eapache | 2013-03-26 19:28:45 -0700 (Tue, 26 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/wmem/wmem_allocator_block.c
   M /trunk/epan/wmem/wmem_test.c

Fix -Wshadow that happens with some old versions of gcc (not mine, for some
reason).

Don't use g_assert_cmpuint, since it apparently causes warnings on windows that
I don't know how to get rid of safely without breaking the conditions being
checked.

------------------------------------------------------------------------
r48574 | eapache | 2013-03-26 17:27:45 -0700 (Tue, 26 Mar 2013) | 8 lines
Changed paths:
   M /trunk/epan/wmem/wmem_allocator_block.c
   M /trunk/epan/wmem/wmem_test.c

Greatly improve wmem tests, including random fuzz-style testing. Improve
assertions in the block allocator, and fix one rare potential underflow caught
by the improved tests.

The tests now take ~200MB and 5-10 seconds to run. Hopefully this is small
enough for the build-bots to handle, if not then we can reduce the max
allocation size or max iterations to suit.

------------------------------------------------------------------------
r48573 | tuexen | 2013-03-26 15:47:41 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/macosx-setup.sh

Use more recent versions of various libs.

------------------------------------------------------------------------
r48572 | jake | 2013-03-26 14:53:09 -0700 (Tue, 26 Mar 2013) | 7 lines
Changed paths:
   M /trunk/manuf.tmpl
   M /trunk/tools/make-manuf

From Hadriel Kaplan:
The 'make-manuf'perl script gets the IEEE 22-bit OUI and IAB registries, but not OUI-36.
patch to get the OUI-36 listings.

From me:
Update header text in template to list the sources actually used.

------------------------------------------------------------------------
r48571 | gerald | 2013-03-26 14:35:42 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/image/toolbar/capture_options_16.png
   A /trunk/image/toolbar/capture_options_16_alt1.png
   A /trunk/image/toolbar/capture_options_24.png
   D /trunk/image/toolbar/capture_options_24.xpm
   A /trunk/image/toolbar/capture_options_24_alt1.png
   A /trunk/image/toolbar/capture_pause_16.png
   A /trunk/image/toolbar/capture_pause_24.png
   A /trunk/image/toolbar/capture_restart_16-alt1.png
   A /trunk/image/toolbar/capture_restart_16-alt2.png
   A /trunk/image/toolbar/capture_restart_16-alt3.png
   A /trunk/image/toolbar/capture_restart_16.png
   A /trunk/image/toolbar/capture_restart_24-alt1.png
   A /trunk/image/toolbar/capture_restart_24-alt2.png
   A /trunk/image/toolbar/capture_restart_24-alt3.png
   A /trunk/image/toolbar/capture_restart_24.png
   A /trunk/image/toolbar/capture_start_16.png
   A /trunk/image/toolbar/capture_start_24.png
   D /trunk/image/toolbar/capture_start_24.xpm
   A /trunk/image/toolbar/capture_stop_16.png
   A /trunk/image/toolbar/capture_stop_24.png
   D /trunk/image/toolbar/capture_stop_24.xpm
   M /trunk/ui/gtk/Makefile.am
   M /trunk/ui/gtk/stock_icons.c
   M /trunk/ui/gtk/toolbar_icons.h

Add new capture toolbar icons.

------------------------------------------------------------------------
r48570 | morriss | 2013-03-26 14:01:32 -0700 (Tue, 26 Mar 2013) | 4 lines
Changed paths:
   M /trunk/Makefile.am

Add wsicon128.png to the source distribution.

Install some more icon sizes (24x24 and 128x128) when installing desktop files.

------------------------------------------------------------------------
r48569 | martink | 2013-03-26 13:39:58 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvbci.c

add program number to the cc item tree

------------------------------------------------------------------------
r48568 | martink | 2013-03-26 13:33:49 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/gui_utils.c

add explicit cast to avoid a compiler warning

------------------------------------------------------------------------
r48567 | gerald | 2013-03-26 13:28:04 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Fix dist.

------------------------------------------------------------------------
r48566 | gerald | 2013-03-26 13:12:52 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/packaging/macosx/Resources/Wireshark.icns

Update the OS X application icon.

------------------------------------------------------------------------
r48565 | gerald | 2013-03-26 12:51:33 -0700 (Tue, 26 Mar 2013) | 16 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/debian/rules
   M /trunk/debian/wireshark.menu
   M /trunk/image/README.image
   D /trunk/image/make-icons
   A /trunk/image/toolbar/gnome_emblem_web_16.png
   A /trunk/image/toolbar/gnome_emblem_web_24.png
   D /trunk/image/toolbar/wiki_24.xpm
   M /trunk/image/toolbar.qrc
   M /trunk/ui/gtk/Makefile.am
   M /trunk/ui/gtk/Makefile.common
   M /trunk/ui/gtk/Makefile.nmake
   M /trunk/ui/gtk/gui_utils.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/stock_icons.c
   M /trunk/ui/gtk/toolbar_icons.h
   A /trunk/ui/gtk/wsicon.h
   A /trunk/ui/gtk/wsiconcap.h
   M /trunk/ui/qt/main_window.ui

More icon updates. 

Use the PNG versions of the new application icons.

Remove the XPM versions of the Wireshark application and capture icons.
To paraphrase Zoidberg, XPMs are bad and we should feel bad. Remove
xpm_to_widget_from_parent (which we weren't using and likely won't use
in the future).

Replace wiki_24.xpm (which was a GNOME or GTK+ stock icon IIRC) with the
16x16 and 24x24 versions emblem-web.png from GNOME icon theme 2.30.3.
This version was used specifically because it's GPLv2 and later versions
are GPLv3.

Update image/README.

------------------------------------------------------------------------
r48563 | cmaynard | 2013-03-26 11:08:05 -0700 (Tue, 26 Mar 2013) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmp.c
   M /trunk/epan/dissectors/packet-icmpv6.c

Add checksum_bad, set to FALSE to the tree when the checksum is correct.  Use PROTO_ITEM_SET_HIDDEN instead of PROTO_ITEM_SET_GENERATED so ICMP and ICMPv6 are consistent.

See: http://ask.wireshark.org/questions/19844/icmp-display-filter-checksum_bad-ignored

#BACKPORT(1.6, 1.8)

------------------------------------------------------------------------
r48562 | gerald | 2013-03-26 11:02:20 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/image/wireshark.ico
   A /trunk/image/wiresharkcapture.ico
   M /trunk/image/wiresharkinst.ico
   A /trunk/image/wsicon1024.png
   A /trunk/image/wsicon128.png
   M /trunk/image/wsicon16.png
   A /trunk/image/wsicon24.png
   M /trunk/image/wsicon256.png
   M /trunk/image/wsicon32.png
   M /trunk/image/wsicon48.png
   A /trunk/image/wsicon512.png
   M /trunk/image/wsicon64.png
   A /trunk/image/wsiconcap1024.png
   A /trunk/image/wsiconcap128.png
   A /trunk/image/wsiconcap16.png
   A /trunk/image/wsiconcap24.png
   M /trunk/image/wsiconcap256.png
   A /trunk/image/wsiconcap32.png
   A /trunk/image/wsiconcap48.png
   A /trunk/image/wsiconcap512.png
   A /trunk/image/wsiconcap64.png
   A /trunk/image/wsiconinst1024.png
   A /trunk/image/wsiconinst128.png
   A /trunk/image/wsiconinst16.png
   A /trunk/image/wsiconinst24.png
   M /trunk/image/wsiconinst256.png
   A /trunk/image/wsiconinst32.png
   A /trunk/image/wsiconinst48.png
   A /trunk/image/wsiconinst512.png
   A /trunk/image/wsiconinst64.png

Add new application icons. Designed by Elliott Aldrich.

------------------------------------------------------------------------
r48561 | cmaynard | 2013-03-26 09:40:23 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/prefs_capture.c

Fix Coverity CID 990752: Unused pointer value.  (column was previously unused)

------------------------------------------------------------------------
r48560 | eapache | 2013-03-26 08:14:02 -0700 (Tue, 26 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/packet_win.c

Fix c++-compat errors if WANT_PACKET_EDITOR is defined.

------------------------------------------------------------------------
r48559 | etxrab | 2013-03-25 22:36:27 -0700 (Mon, 25 Mar 2013) | 1 line
Changed paths:
   M /trunk/tools/lemon/lemon.c
   M /trunk/tools/lemon/lempar.c

Align a bit more with upstream.
------------------------------------------------------------------------
r48558 | etxrab | 2013-03-25 22:20:55 -0700 (Mon, 25 Mar 2013) | 1 line
Changed paths:
   M /trunk/asn1/tcap/packet-tcap-template.h
   M /trunk/epan/dissectors/packet-tcap.h

Make the oid memeber a const.
------------------------------------------------------------------------
r48557 | etxrab | 2013-03-25 22:02:05 -0700 (Mon, 25 Mar 2013) | 4 lines
Changed paths:
   M /trunk/ui/gtk/drag_and_drop.c
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_menubar.c

From Jim Young:
Add casts to support c++ when HAVE_GTKOSXAPPLICATION is defined.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8525
------------------------------------------------------------------------
r48556 | guy | 2013-03-25 18:11:06 -0700 (Mon, 25 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Fix two errors in ieee80211_status_code - one out-of-order entry and one
(presumed) typo (61 would be a duplicate, and was between 70 and 72, so
I assume it was supposed to be 71).

------------------------------------------------------------------------
r48555 | guy | 2013-03-25 17:37:03 -0700 (Mon, 25 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/value_string.c

Give better diagnostics for "Extended value string XXX forced to fall
back to linear search", to make it easier to find the out-of-order
entries.

------------------------------------------------------------------------
r48554 | guy | 2013-03-25 15:36:29 -0700 (Mon, 25 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/reassemble.c

Include a message with all ReassemblyError exceptions; they're expected
to have a message indicating the precise error.

------------------------------------------------------------------------
r48553 | guy | 2013-03-25 15:04:51 -0700 (Mon, 25 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Fix RFC number.

------------------------------------------------------------------------
r48552 | eapache | 2013-03-25 15:04:15 -0700 (Mon, 25 Mar 2013) | 7 lines
Changed paths:
   M /trunk/wiretap/ascendtext.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/lanalyzer.c
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/netmon.c
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/netxray.c

Wiretap file open routines should not free wth->priv on error, since that
leads to a double-free in wtap_close. Fix all the instances I found via
manual code review, and add a brief comment to the list of open routines in
file_access.c

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8518

------------------------------------------------------------------------
r48551 | eapache | 2013-03-25 10:09:36 -0700 (Mon, 25 Mar 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

Add two new dissectors to release notes.

------------------------------------------------------------------------
r48550 | eapache | 2013-03-25 10:06:11 -0700 (Mon, 25 Mar 2013) | 9 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-uhd.c
   A /trunk/epan/dissectors/packet-vrt.c

From Dario Lombardo, Alexander Chemeris and Ivan Klyuchnikovhis via
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8506
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8507

Dissectors for the VRT (VITA 49 Radio Transport) and UHD protocols.

From me: modelines and misc trivial cleanups.


------------------------------------------------------------------------
r48549 | morriss | 2013-03-25 07:35:19 -0700 (Mon, 25 Mar 2013) | 6 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Fix compilation with C++ warnings enabled: use enum values instead of raw
numbers in adns_init() and adns_submit().

(I haven't checked how long these enums have been there; hopefully for a long
time.)

------------------------------------------------------------------------
r48548 | eapache | 2013-03-25 05:53:26 -0700 (Mon, 25 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h

From Roland Knall via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8502

Allow reassembly of sequences when the sequence numbers do not count from 0.

------------------------------------------------------------------------
r48547 | eapache | 2013-03-25 05:40:37 -0700 (Mon, 25 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dvb-s2-bb.c

From Audric Schiltknecht via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8520

Fix typo in DVB-S2 dissector: s/lable/label/.

------------------------------------------------------------------------
r48546 | guy | 2013-03-25 04:53:56 -0700 (Mon, 25 Mar 2013) | 5 lines
Changed paths:
   M /trunk/capture_sync.c

From Michal Labedzki: linktype_val_to_name() returns a string, not a
number, and that string is what's appropriate for the -y command-line
argument, so just directly pass it to sync_pipe_add_arg(), and get rid
of the now-unnecessary sdlt variable.

------------------------------------------------------------------------
r48545 | guy | 2013-03-25 04:41:59 -0700 (Mon, 25 Mar 2013) | 12 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

The capture options edit dialog is a dialog, not a menu, so don't use
GDK_WINDOW_TYPE_HINT_MENU, use GDK_WINDOW_TYPE_HINT_DIALOG.

GDK_WINDOW_TYPE_HINT_MENU, at least on OS X with quartz-wm, causes the
combo box for the interface type not to work, so
GDK_WINDOW_TYPE_HINT_MENU breaks things.

GDK_WINDOW_TYPE_HINT_DIALOG, at least on OS X with quartz-wm, causes the
minimize and whatevertheheckthegreenbuttondoesize buttons to be clear
and inactive, so maybe GDK_WINDOW_TYPE_HINT_DIALOG does something
approximating the right thing.

------------------------------------------------------------------------
r48544 | pascal | 2013-03-25 01:34:46 -0700 (Mon, 25 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/pixmap_save.c

Add a few missing explicit casts

------------------------------------------------------------------------
r48543 | morriss | 2013-03-24 19:11:07 -0700 (Sun, 24 Mar 2013) | 1 line
Changed paths:
   M /trunk/wireshark-mime-package.xml

Also register for gzip'd network captures.
------------------------------------------------------------------------
r48542 | guy | 2013-03-24 16:49:22 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/wslua/wslua.h
   M /trunk/epan/wslua/wslua_proto.c

Squelch some "casting away constness" warnings.

------------------------------------------------------------------------
r48541 | martink | 2013-03-24 16:04:13 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

add casts for ws_gtk_grid_attach_extended()

------------------------------------------------------------------------
r48540 | martink | 2013-03-24 16:03:21 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/graph_analysis.c

add missing cast

------------------------------------------------------------------------
r48539 | pascal | 2013-03-24 14:53:53 -0700 (Sun, 24 Mar 2013) | 3 lines
Changed paths:
   M /trunk/asn1/gsm_map/packet-gsm_map-template.c
   M /trunk/epan/dissectors/packet-gsm_map.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8517 :
Do not tap an unknown Opration Code

------------------------------------------------------------------------
r48538 | pascal | 2013-03-24 14:52:19 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-nas_eps.c
   M /trunk/epan/dissectors/packet-sgsap.c

Do not initialize ett_tree and msg_fcn_p when match_strval_idx_ext does not find a match

------------------------------------------------------------------------
r48537 | guy | 2013-03-24 11:51:27 -0700 (Sun, 24 Mar 2013) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtls.c

Put items into the protocol tree as we extract them, so that the header
fields that were captured show up even if the packet was cut short by a
snapshot length.  Advance the offset variable as we do so.

Be a little clearer in some comments.

------------------------------------------------------------------------
r48536 | guy | 2013-03-24 11:28:40 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-p_mul.c

Don't cast away constness.

------------------------------------------------------------------------
r48535 | guy | 2013-03-24 11:24:29 -0700 (Sun, 24 Mar 2013) | 6 lines
Changed paths:
   M /trunk/configure.ac

Thanks to a ton of patches from Ed Beroset and some other changes,
Wireshark compiles with -Wc++-compat and -Werror, at least on my machine
with llvm-gcc 4.2.1.  Make that a standard -W flag, to keep code that
won't pass a C++ compiler from sneaking back in (except in the files
that can't currently be compiled with -Werror for various reasons).

------------------------------------------------------------------------
r48534 | guy | 2013-03-24 11:22:07 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/capture_unix_ifnames.c
   M /trunk/cfutils.c
   M /trunk/version_info.c

Replace implicit conversions with explicit casts.

------------------------------------------------------------------------
r48533 | guy | 2013-03-24 11:17:21 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/wmem/wmem_test.c

Replace implicit conversions with explicit casts.

------------------------------------------------------------------------
r48532 | guy | 2013-03-24 11:14:58 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ouch.c

Replace implicit conversion with explicit cast.

------------------------------------------------------------------------
r48531 | jake | 2013-03-24 10:23:37 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

Forget about the show and hide dance.

------------------------------------------------------------------------
r48530 | eapache | 2013-03-24 10:22:08 -0700 (Sun, 24 Mar 2013) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rfid-pn532.c

From Tyson Key via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8514

Device->Host detection of ISO 7816 commands in PN532 packets.

From me: clean up indentation a bit in that section of the code.

------------------------------------------------------------------------
r48529 | jake | 2013-03-24 10:19:15 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

Set the height to fit the interfaces actually shown.

------------------------------------------------------------------------
r48528 | eapache | 2013-03-24 09:47:38 -0700 (Sun, 24 Mar 2013) | 5 lines
Changed paths:
   M /trunk/ui/gtk/airpcap_dlg.c
   M /trunk/ui/gtk/decode_as_dlg.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/manual_addr_resolv.c
   M /trunk/ui/gtk/packet_win.c
   M /trunk/ui/gtk/packet_win.h
   M /trunk/ui/gtk/prefs_dlg.c
   M /trunk/ui/gtk/uat_gui.c

Redissect extra packet windows in all cases (that I know of) where we
redissect normal packet list.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8482

------------------------------------------------------------------------
r48527 | darkjames | 2013-03-24 09:38:57 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/tools/npl/ast.h
   M /trunk/tools/npl/npl.c
   M /trunk/tools/npl/parser.l

[NPL] another weekend work.

------------------------------------------------------------------------
r48526 | etxrab | 2013-03-24 07:39:19 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/epan.c

Don't load the hosts file in epan_init, it's loaded when opening a file
in cf_open().
------------------------------------------------------------------------
r48525 | etxrab | 2013-03-24 07:10:43 -0700 (Sun, 24 Mar 2013) | 4 lines
Changed paths:
   M /trunk/ui/gtk/graph_analysis.c

From beroset:
allow flexible resizing of graph_analysis.c items

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7418
------------------------------------------------------------------------
r48524 | gerald | 2013-03-24 07:03:32 -0700 (Sun, 24 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf
   M /trunk/services

[Automatic manuf, services and enterprise-numbers update for 2013-03-24]
------------------------------------------------------------------------
r48523 | etxrab | 2013-03-24 07:03:12 -0700 (Sun, 24 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/reassemble.c

make local functions static.
------------------------------------------------------------------------
r48522 | eapache | 2013-03-24 05:53:22 -0700 (Sun, 24 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/wmem/wmem_allocator_block.c
   M /trunk/epan/wmem/wmem_test.c

Fix a few small bugs in the block allocator and add some more assertions to it
that run during normal usage. Simplify, expand and enable the test coverage,
since what's there now passes.

------------------------------------------------------------------------
r48521 | etxrab | 2013-03-24 03:53:31 -0700 (Sun, 24 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/packet.c
   M /trunk/epan/proto.c

Add const casts and make local functions static.
------------------------------------------------------------------------
r48520 | pascal | 2013-03-24 03:09:16 -0700 (Sun, 24 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Do not initialize ett_tree and dtap_msg_fcn when match_strval_idx does not find a match

------------------------------------------------------------------------
r48519 | eapache | 2013-03-23 17:45:32 -0700 (Sat, 23 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/wmem/wmem_allocator_block.c
   M /trunk/epan/wmem/wmem_allocator_block.h
   M /trunk/epan/wmem/wmem_test.c

Initial simple block allocator tests, not being run by default because they're
failing. I suspect it has to do with my lack of understanding of glib's unit
test framework, not the code being tested.

------------------------------------------------------------------------
r48518 | guy | 2013-03-23 17:39:44 -0700 (Sat, 23 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Correctly label checksums not checked due to the packet in question
being incorporated inside an ICMP error packet.

------------------------------------------------------------------------
r48517 | eapache | 2013-03-23 16:51:07 -0700 (Sat, 23 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/wmem/Makefile.nmake
   M /trunk/test/suite-unittests.sh

Add wmem unit test binary (still empty) to nmake build and to
the unit test part of the test suite. Once I know it's building and
running properly on the buildbots then I'll actually start writing tests.

------------------------------------------------------------------------
r48516 | eapache | 2013-03-23 16:47:07 -0700 (Sat, 23 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan
   M /trunk/epan/wmem

Add some svn:ignore properties for file types generated while
building the unit test executables (on my 32-bit xp vm at least).

------------------------------------------------------------------------
r48515 | guy | 2013-03-23 15:05:24 -0700 (Sat, 23 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake

Add exntest.c and tvbtest.c to the set of test program source files.

------------------------------------------------------------------------
r48514 | guy | 2013-03-23 14:02:39 -0700 (Sat, 23 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/Makefile.nmake

Build reassembly_test.c *without* -DWS_BUILD_DLL, as it's not part of
the library, it's a test program that links with the library and imports
stuff from the library.

------------------------------------------------------------------------
r48513 | guy | 2013-03-23 12:38:54 -0700 (Sat, 23 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/reassemble_test.c

Get rid of the DCE RPC stuff; these tests should test the code path for
all types of keys.

Make the tables in main static, so we don't initialize them at run time;
perhaps that'll help figure out why reassemble_test is crashing on
Windows apparently before even calling emem_init().

------------------------------------------------------------------------
r48512 | jake | 2013-03-23 10:16:02 -0700 (Sat, 23 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hpsw.c

Extend dissection of TLVs.

------------------------------------------------------------------------
r48511 | alagoutte | 2013-03-23 06:09:35 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-soupbintcp.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48510 | alagoutte | 2013-03-23 06:09:27 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sccpmg.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48509 | alagoutte | 2013-03-23 06:09:17 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48508 | alagoutte | 2013-03-23 06:09:09 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sbus.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48507 | alagoutte | 2013-03-23 06:08:56 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtps2.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48506 | alagoutte | 2013-03-23 06:08:48 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtps.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48505 | alagoutte | 2013-03-23 06:08:39 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48504 | alagoutte | 2013-03-23 06:08:30 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtnet.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48503 | alagoutte | 2013-03-23 06:08:21 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48502 | alagoutte | 2013-03-23 06:08:12 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsync.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48501 | alagoutte | 2013-03-23 06:08:03 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48500 | alagoutte | 2013-03-23 06:07:53 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rmi.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48499 | alagoutte | 2013-03-23 06:07:45 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rmcp.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48498 | alagoutte | 2013-03-23 06:07:36 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rlc.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48497 | alagoutte | 2013-03-23 06:07:27 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ouch.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48496 | etxrab | 2013-03-23 01:18:44 -0700 (Sat, 23 Mar 2013) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Change an URI.
------------------------------------------------------------------------
r48495 | eapache | 2013-03-22 19:53:41 -0700 (Fri, 22 Mar 2013) | 12 lines
Changed paths:
   M /trunk/epan/wslua/wslua_field.c

From Hadriel Kaplan and myself via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8496

Iterate backwards through the linked list of identically-named fields in the lua
bindings since the list is, in fact, created backwards by
proto_register_field_init(). There is some question about whether that is
actually intended, but the rest of the code seems to assume it's normal so we
will too. It was possibly a performance consideration, though that's not
well-documented if so.

Either way, this is the simplest and safest method of fixing the issue with the
lua bindings. See the bug for more analysis.

------------------------------------------------------------------------
r48494 | eapache | 2013-03-22 19:42:12 -0700 (Fri, 22 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-juniper.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/wtap.h

From Prafulla Harpanhalli via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8513

Add support for encapsulation 136, Juniper service PIC cookie.

------------------------------------------------------------------------
r48493 | guy | 2013-03-22 19:41:43 -0700 (Fri, 22 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/reassemble_test.c

Update to match the changes made to the reassembly code APIs.

------------------------------------------------------------------------
r48492 | guy | 2013-03-22 19:40:37 -0700 (Fri, 22 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/reassemble.c

Make reassembly_table_destroy() clear the function pointers and empty
and destroy the reassembled table.

------------------------------------------------------------------------
r48491 | guy | 2013-03-22 16:59:54 -0700 (Fri, 22 Mar 2013) | 26 lines
Changed paths:
   M /trunk/asn1/idmp/packet-idmp-template.c
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/asn1/t38/packet-t38-template.c
   M /trunk/asn1/t38/t38.cnf
   M /trunk/epan/dissectors/packet-6lowpan.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-batadv.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-btobex.c
   M /trunk/epan/dissectors/packet-capwap.c
   M /trunk/epan/dissectors/packet-cell_broadcast.c
   M /trunk/epan/dissectors/packet-clnp.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcm.c
   M /trunk/epan/dissectors/packet-dcp-etsi.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-dtn.c
   M /trunk/epan/dissectors/packet-dvbci.c
   M /trunk/epan/dissectors/packet-eap.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-gsm_cbch.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-gsm_sms_ud.c
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-hci_usb.c
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-idmp.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-lapdm.c
   M /trunk/epan/dissectors/packet-lapsat.c
   M /trunk/epan/dissectors/packet-ltp.c
   M /trunk/epan/dissectors/packet-mp2t.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-mux27010.c
   M /trunk/epan/dissectors/packet-ncp-int.h
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ncp2222.inc
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-netbios.c
   M /trunk/epan/dissectors/packet-openvpn.c
   M /trunk/epan/dissectors/packet-ositp.c
   M /trunk/epan/dissectors/packet-p_mul.c
   M /trunk/epan/dissectors/packet-pop.c
   M /trunk/epan/dissectors/packet-ppi.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-reload.c
   M /trunk/epan/dissectors/packet-rpc.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-smb-pipe.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-sna.c
   M /trunk/epan/dissectors/packet-sndcp.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-teamspeak2.c
   M /trunk/epan/dissectors/packet-tipc.c
   M /trunk/epan/dissectors/packet-usb-audio.c
   M /trunk/epan/dissectors/packet-wai.c
   M /trunk/epan/dissectors/packet-wtp.c
   M /trunk/epan/dissectors/packet-x25.c
   M /trunk/epan/dissectors/packet-zbee-aps.c
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h
   M /trunk/epan/stream.c
   M /trunk/plugins/m2m/packet-m2m.c
   M /trunk/plugins/opcua/opcua.c
   M /trunk/plugins/profinet/packet-pn-rt.c
   M /trunk/plugins/wimax/mac_hd_generic_decoder.c

Don't wire into the reassembly code the notion that reassemblies should
be done on flows from one address to another; reassembly for protocols
running atop TCP should be done on flows from one TCP endpoint to
another.

We do this by:

	adding "reassembly table" as a data structure;

	associating hash tables for both in-progress reassemblies and
	completed reassemblies with that data structure (currently, not
	all reassemblies use the latter; they might keep completed
	reassemblies in the first table);

	having functions to create and destroy keys in that table;

	offering standard routines for doing address-based and
	address-and-port-based flow processing, so that dissectors not
	needing their own specialized flow processing can just use them.

This fixes some mis-reassemblies of NIS YPSERV YPALL responses (where
the second YPALL response is processed as if it were a continuation of
a previous response between different endpoints, even though said
response is already reassembled), and also allows the DCE RPC-specific
stuff to be moved out of epan/reassembly.c into the DCE RPC dissector.

------------------------------------------------------------------------
r48490 | guy | 2013-03-22 16:18:30 -0700 (Fri, 22 Mar 2013) | 16 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

Try to handle lines with NULs in them.  They aren't valid lines, but at
least one fuzzed capture contains them, and using ep_strndup() to copy
the line means that the actual amount of memory allocated for the copy
will be less than the length of the line, and code that parses the line
assuming that there are value_len+1 bytes in the buffer (including the
terminating NUL), such as the current parsing code, will break.

We should really have code in Wireshark to handle counted strings, and
have those be what we extract from packets.  (And we should handle
non-UTF-8/non-UTF-16 encodings, and octet sequences that aren't valid
strings for their encoding, and handle display of invalid strings and
non-printable characters, and....).

Use g_ascii_ versions of various isXXX() and to{upper,lower}(), so we
don't get surprised by the behavior of the user's locale.

------------------------------------------------------------------------
r48489 | morriss | 2013-03-22 15:11:22 -0700 (Fri, 22 Mar 2013) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Fix up indentation.
------------------------------------------------------------------------
r48488 | morriss | 2013-03-22 11:13:31 -0700 (Fri, 22 Mar 2013) | 15 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

And it happens again...

In Yet Another Protocol, implementation A neglected to set the padding bytes
to 0 and implementation B barfed on said padding (interestingly this
protocol's spec does not include the IETF-normal "receiver MUST ignore the
padding" blurb).

So:

Add the AVP to the dissection tree and add an expert info for when it's not
zero.

Also re-order a few of the hfs and remove a couple unneeded temporary
variables.

------------------------------------------------------------------------
r48487 | alagoutte | 2013-03-22 10:37:34 -0700 (Fri, 22 Mar 2013) | 1 line
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Add Modelines Info (and remove some tabs)
------------------------------------------------------------------------
r48486 | alagoutte | 2013-03-22 10:37:25 -0700 (Fri, 22 Mar 2013) | 1 line
Changed paths:
   M /trunk/ui/gtk/airpcap_dlg.c

Fix "Decryption Key Warning " Dialog broken in revision 47005
------------------------------------------------------------------------
r48485 | alagoutte | 2013-03-22 10:31:32 -0700 (Fri, 22 Mar 2013) | 1 line
Changed paths:
   M /trunk/ui/gtk/airpcap_dlg.c

Fix "Advanced Wireless Settings" Dialog broken in revision 47003
------------------------------------------------------------------------
r48484 | eapache | 2013-03-22 10:31:30 -0700 (Fri, 22 Mar 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

Add OUCH to list of new protocols in the release notes.

------------------------------------------------------------------------
r48483 | alagoutte | 2013-03-22 10:31:23 -0700 (Fri, 22 Mar 2013) | 1 line
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c

Remove minimize / maximize buttons for "Edit Interfaces / Remote Capture Settings" Dialog
------------------------------------------------------------------------
r48482 | alagoutte | 2013-03-22 10:31:15 -0700 (Fri, 22 Mar 2013) | 5 lines
Changed paths:
   M /trunk/ui/gtk/airpcap_dlg.c
   M /trunk/ui/gtk/capture_dlg.c

After Revision 46500 ( Make "Edit Interfaces Dialog" modal )

The "Advanced Wireless / Remote Capture Settings" is not on the top of Dialog

Make "Advanced Wireless / Remote Capture Settings " Dialog modal too
------------------------------------------------------------------------
r48481 | alagoutte | 2013-03-22 10:31:06 -0700 (Fri, 22 Mar 2013) | 1 line
Changed paths:
   M /trunk/ui/gtk/airpcap_dlg.c

Make Dialog about "Decryption Key (List / Add / Edit)" Modal
------------------------------------------------------------------------
r48480 | alagoutte | 2013-03-22 10:30:55 -0700 (Fri, 22 Mar 2013) | 1 line
Changed paths:
   M /trunk/ui/gtk/airpcap_dlg.c

On Windows (Tested with XP and 7), the Add(New)/Edit Decryption Key Dialog is not always in top (regarding Decryption Key Management Dialog)
------------------------------------------------------------------------
r48479 | eapache | 2013-03-22 10:27:17 -0700 (Fri, 22 Mar 2013) | 9 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-ouch.c

From David Arnold via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8490

Dissector for NASDAQ's OUCH 4.x protocol.

From me:
- fix svn Id tag
- g_snprintf includes the null-terminator in its len count, so the buffer
  only has to be ITEM_LABEL_LENGTH, not (ITEM_LABEL_LENGTH + 1).

------------------------------------------------------------------------
r48478 | etxrab | 2013-03-22 10:19:46 -0700 (Fri, 22 Mar 2013) | 1 line
Changed paths:
   M /trunk/asn1/isdn-sup/Makefile.common
   M /trunk/asn1/isdn-sup/isdn-sup.cnf
   M /trunk/asn1/isdn-sup/packet-isdn-sup-template.c
   M /trunk/epan/dissectors/packet-isdn-sup.c

Add some of the global codes as asn2wrs handle them now.
------------------------------------------------------------------------
r48477 | eapache | 2013-03-22 05:34:50 -0700 (Fri, 22 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp-midi.c

Fix typo s/jounral/journal/ as pointed out in
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8504

------------------------------------------------------------------------
r48476 | kukosa | 2013-03-22 00:30:32 -0700 (Fri, 22 Mar 2013) | 1 line
Changed paths:
   M /trunk/tools/asn2wrs.py

OPERATION and ERROR tables can loop through only items with either local or global CODEs
------------------------------------------------------------------------
r48475 | etxrab | 2013-03-21 23:43:49 -0700 (Thu, 21 Mar 2013) | 1 line
Changed paths:
   M /trunk/asn1/isdn-sup/Freephone-Operations.asn

Make Freephone-Operations parseable.
------------------------------------------------------------------------
r48474 | eapache | 2013-03-21 18:24:26 -0700 (Thu, 21 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rfid-pn532.c

From Tyson Key via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8514

Add support for ISO 7816 commands payloads (from host -> device, only) in PN532
InDataExchange request packets

------------------------------------------------------------------------
r48473 | eapache | 2013-03-21 17:43:12 -0700 (Thu, 21 Mar 2013) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp-midi.c

Remove some sanity checks that I was able to prove wrong and/or redundant by
manual flow analysis. Fixes part of
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8504

General note: this dissector does *weird* things with sanity checks and
manually throwing exceptions. It needs a general cleanup, but that
is outside the scope of the current bug (and my available time).

------------------------------------------------------------------------
r48472 | eapache | 2013-03-21 17:27:29 -0700 (Thu, 21 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtp-midi.c

Remove 55(!) thoroughly unnecessary tvb_bytes_exist calls from RTP-MIDI
dissector. Discovered while poking around in
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8504

------------------------------------------------------------------------
r48471 | eapache | 2013-03-21 17:12:44 -0700 (Thu, 21 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-coap.c

From Soichi Sakane via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8070

Update CoAP dissector to the latest spec from the IETF, and make several more
fields filterable.

------------------------------------------------------------------------
r48470 | eapache | 2013-03-21 16:59:55 -0700 (Thu, 21 Mar 2013) | 6 lines
Changed paths:
   M /trunk/ui/gtk/packet_panes.c

Idea from Michail Koreshkov via bug #8371. Open a referenced packet in a new
window when double-clicking with a modifier key held. The original suggestion
was CTRL, but GTK didn't like that, so ALT was suggested as an alternative,
but I think SHIFT makes more sense, since that's what browsers use (shift+click)
to open links in a new window.

------------------------------------------------------------------------
r48469 | gerald | 2013-03-21 16:31:16 -0700 (Thu, 21 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

Make the elided label width match our cutoff limit.

------------------------------------------------------------------------
r48468 | gerald | 2013-03-21 16:25:58 -0700 (Thu, 21 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

Only elide text that's longer than 50 characters.

------------------------------------------------------------------------
r48467 | gerald | 2013-03-21 16:00:21 -0700 (Thu, 21 Mar 2013) | 9 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/dlg_utils.c

Windows lets you use long interface names, e.g. "Local Area Connection 3
was walking through the woods one day taking a basket full of emergency
zombie apocalypse supplies to her grandmother. It was raining." This can
make the interface list dialog really wide, so elide the interface text.
Elide the description as well.

Try to make the interface list resize sanely. This doesn't appear to
work for Gtk2.

------------------------------------------------------------------------
r48466 | sake | 2013-03-21 15:25:42 -0700 (Thu, 21 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Properly set the ISN's when the SYN and SYN/ACK are received out-of-order.


------------------------------------------------------------------------
r48465 | etxrab | 2013-03-21 14:58:47 -0700 (Thu, 21 Mar 2013) | 1 line
Changed paths:
   M /trunk/file.c
   M /trunk/version_info.c

Make internal functions static.
------------------------------------------------------------------------
r48464 | pascal | 2013-03-21 14:12:26 -0700 (Thu, 21 Mar 2013) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/epan/dissectors/packet-lte-rrc.c

Fix compilation for Linux

------------------------------------------------------------------------
r48463 | pascal | 2013-03-21 13:51:19 -0700 (Thu, 21 Mar 2013) | 2 lines
Changed paths:
   M /trunk/asn1/lte-rrc/EUTRA-InterNodeDefinitions.asn
   M /trunk/asn1/lte-rrc/EUTRA-RRC-Definitions.asn
   M /trunk/asn1/lte-rrc/EUTRA-UE-Variables.asn
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/asn1/lte-rrc/packet-lte-rrc-template.c
   M /trunk/epan/dissectors/packet-lte-rrc.c

Upgrade LTE RRC dissector to v11.3.0

------------------------------------------------------------------------
r48462 | wmeier | 2013-03-21 12:49:49 -0700 (Thu, 21 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-zbee-zcl.c
   M /trunk/epan/dissectors/packet-zbee-zcl.h

Use consistent indentation;
Also: replace a few "4 space tabs" by spaces.

------------------------------------------------------------------------
r48461 | pascal | 2013-03-21 12:49:21 -0700 (Thu, 21 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-glusterfs.c

From Niels de Vos via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7310 :
glusterfs: improve endianness handling and displaying of dict contents

------------------------------------------------------------------------
r48460 | gerald | 2013-03-21 11:49:25 -0700 (Thu, 21 Mar 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

Add Jeff's blurb from r48277.

------------------------------------------------------------------------
r48459 | gerald | 2013-03-21 11:39:16 -0700 (Thu, 21 Mar 2013) | 12 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/conversations_table.c
   M /trunk/ui/gtk/hostlist_table.c
   M /trunk/ui/gtk/stock_icons.c

Bill pointed out that  gtk_window_get_size() + gtk_window_resize()
doesn't work well in some cases.  Switch to window_get_geometry() +
gtk_window_set_default_size(). (We use gtk_widget_get_preferred_size()
elsewhere but fetches what appeares the minimum width of the top-level
window on my machine instead of the actual width.)

Use a macro to define the initial conversation and endpoint dialog
heigth and increase its value. Use best-guess dialog metrics and UTF8
entities in a few more spots.

Add a comment about alignment not working quite right in Gtk3.

------------------------------------------------------------------------
r48458 | etxrab | 2013-03-21 11:18:06 -0700 (Thu, 21 Mar 2013) | 3 lines
Changed paths:
   M /trunk/diameter/dictionary.xml

avp name="CG-Address" code="846 should be IPAddress.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8478
------------------------------------------------------------------------
r48457 | etxrab | 2013-03-21 10:52:43 -0700 (Thu, 21 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/dissectors/packet-soupbintcp.c
   M /trunk/epan/oids.c
   M /trunk/ui/gtk/rtp_player.c

[-Wmissing-prototypes]
Use explicit casts.
------------------------------------------------------------------------
r48456 | cmaynard | 2013-03-21 10:30:35 -0700 (Thu, 21 Mar 2013) | 2 lines
Changed paths:
   M /trunk/doc/tshark.pod
   M /trunk/docbook/release-notes.asciidoc

Updated tshark man page and release notes to document the change in '-x' behavior with r45715.

------------------------------------------------------------------------
r48455 | wmeier | 2013-03-21 10:11:55 -0700 (Thu, 21 Mar 2013) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-zbee-zcl.c
   M /trunk/epan/dissectors/packet-zbee-zcl.h

From Fabio Tarabelloni: Fix for: "ZigBee Cluster Library dissector does not handle arrays correctly"

See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8214

From me:
 - Use spaces for indentation (instead of :4 space tabs");
 - Remove trailing whitespace;
 - Add placeholder for un-implemented dissection of data types set, struct, bag.
   (Probably should use 'expert' but that requires more work since dissection is under
    'if (tree)').

------------------------------------------------------------------------
r48454 | cmaynard | 2013-03-21 09:50:47 -0700 (Thu, 21 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c

Fix compilation if WANT_PACKET_EDITOR is defined.  Should we also add an edit_window_cb_ref?

------------------------------------------------------------------------
r48453 | eapache | 2013-03-21 09:19:29 -0700 (Thu, 21 Mar 2013) | 3 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

Add the new protocol (SoupBinTCP) and the new feature (opening referenced
packets in a new window) to the release notes.

------------------------------------------------------------------------
r48452 | eapache | 2013-03-21 08:43:48 -0700 (Thu, 21 Mar 2013) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-soupbintcp.c

From David Arnold via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8489

Dissector for NASDAQ's SoupBinTCP protocol (which is non-trivially different
from the old packet-nasdaq-soup dissector).

From me:
- fix CMake entry
- remove C++-style comments
- fix SVN Id tag

------------------------------------------------------------------------
r48451 | eapache | 2013-03-21 08:27:38 -0700 (Thu, 21 Mar 2013) | 9 lines
Changed paths:
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/packet_list.c
   M /trunk/ui/gtk/packet_win.c
   M /trunk/ui/gtk/packet_win.h

From Michail Koreshkov via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8371

Add item to context menu of frame references to open the referenced frame in a
new window. Very useful when the referenced frame is hidden by a filter.

From me:
- modelines
- simplify some of the logic

------------------------------------------------------------------------
r48450 | wmeier | 2013-03-21 07:29:58 -0700 (Thu, 21 Mar 2013) | 4 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/asn1/m3ap/m3ap.cnf
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-m3ap.c
   M /trunk/epan/geoip_db.c
   M /trunk/epan/radius_dict.l
   M /trunk/plugins/mate/mate_util.c

From beroset:
 remove C++ incompatibilities
 https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416 attachments #10423,#10424

------------------------------------------------------------------------
r48449 | wmeier | 2013-03-20 20:07:23 -0700 (Wed, 20 Mar 2013) | 4 lines
Changed paths:
   M /trunk/plugins/mate/mate_grammar.lemon
   M /trunk/plugins/mate/mate_parser.l
   M /trunk/plugins/mate/mate_runtime.c
   M /trunk/plugins/mate/mate_setup.c
   M /trunk/plugins/mate/mate_util.c
   M /trunk/plugins/mate/packet-mate.c

From beroset:
 remove C++ incompatibilities
 https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416 attachment #10409

------------------------------------------------------------------------
r48448 | wmeier | 2013-03-20 19:58:59 -0700 (Wed, 20 Mar 2013) | 9 lines
Changed paths:
   M /trunk/ui/gtk/ansi_a_stat.c
   M /trunk/ui/gtk/ansi_map_stat.c
   M /trunk/ui/gtk/bootp_stat.c
   M /trunk/ui/gtk/camel_counter.c
   M /trunk/ui/gtk/camel_srt.c
   M /trunk/ui/gtk/compare_stat.c
   M /trunk/ui/gtk/conversations_eth.c
   M /trunk/ui/gtk/conversations_fc.c
   M /trunk/ui/gtk/conversations_fddi.c
   M /trunk/ui/gtk/conversations_ip.c
   M /trunk/ui/gtk/conversations_ipv6.c
   M /trunk/ui/gtk/conversations_ipx.c
   M /trunk/ui/gtk/conversations_ncp.c
   M /trunk/ui/gtk/conversations_rsvp.c
   M /trunk/ui/gtk/conversations_sctp.c
   M /trunk/ui/gtk/conversations_tcpip.c
   M /trunk/ui/gtk/conversations_tr.c
   M /trunk/ui/gtk/conversations_udpip.c
   M /trunk/ui/gtk/conversations_wlan.c
   M /trunk/ui/gtk/dcerpc_stat.c
   M /trunk/ui/gtk/diameter_stat.c
   M /trunk/ui/gtk/expert_comp_dlg.c
   M /trunk/ui/gtk/fc_stat.c
   M /trunk/ui/gtk/flow_graph.c
   M /trunk/ui/gtk/funnel_stat.c
   M /trunk/ui/gtk/gsm_a_stat.c
   M /trunk/ui/gtk/gsm_map_stat.c
   M /trunk/ui/gtk/gsm_map_summary.c
   M /trunk/ui/gtk/gtp_stat.c
   M /trunk/ui/gtk/h225_counter.c
   M /trunk/ui/gtk/h225_ras_srt.c
   M /trunk/ui/gtk/hostlist_eth.c
   M /trunk/ui/gtk/hostlist_fc.c
   M /trunk/ui/gtk/hostlist_fddi.c
   M /trunk/ui/gtk/hostlist_ip.c
   M /trunk/ui/gtk/hostlist_ipv6.c
   M /trunk/ui/gtk/hostlist_ipx.c
   M /trunk/ui/gtk/hostlist_jxta.c
   M /trunk/ui/gtk/hostlist_rsvp.c
   M /trunk/ui/gtk/hostlist_sctp.c
   M /trunk/ui/gtk/hostlist_tcpip.c
   M /trunk/ui/gtk/hostlist_tr.c
   M /trunk/ui/gtk/hostlist_udpip.c
   M /trunk/ui/gtk/hostlist_wlan.c
   M /trunk/ui/gtk/iax2_analysis.c
   M /trunk/ui/gtk/io_stat.c
   M /trunk/ui/gtk/ldap_stat.c
   M /trunk/ui/gtk/mac_lte_stat_dlg.c
   M /trunk/ui/gtk/megaco_stat.c
   M /trunk/ui/gtk/mgcp_stat.c
   M /trunk/ui/gtk/mtp3_stat.c
   M /trunk/ui/gtk/mtp3_summary.c
   M /trunk/ui/gtk/ncp_stat.c
   M /trunk/ui/gtk/radius_stat.c
   M /trunk/ui/gtk/rlc_lte_graph.c
   M /trunk/ui/gtk/rlc_lte_stat_dlg.c
   M /trunk/ui/gtk/rpc_progs.c
   M /trunk/ui/gtk/rpc_stat.c
   M /trunk/ui/gtk/rtp_analysis.c
   M /trunk/ui/gtk/rtp_stream_dlg.c
   M /trunk/ui/gtk/sctp_assoc_analyse.c
   M /trunk/ui/gtk/sctp_chunk_stat.c
   M /trunk/ui/gtk/sctp_chunk_stat_dlg.c
   M /trunk/ui/gtk/sctp_stat_dlg.c
   M /trunk/ui/gtk/sip_stat.c
   M /trunk/ui/gtk/smb2_stat.c
   M /trunk/ui/gtk/smb_stat.c
   M /trunk/ui/gtk/stats_tree_stat.c
   M /trunk/ui/gtk/tcp_graph.c
   M /trunk/ui/gtk/voip_calls.c
   M /trunk/ui/gtk/voip_calls_dlg.c
   M /trunk/ui/gtk/wlan_stat_dlg.c
   M /trunk/ui/gtk/wsp_stat.c

From beroset:
 remove C++ incompatibilities
 https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416 attachment #10408

Note: The following parts of the patch had been previously done:
 asn1/snmp/packet-snmp-template.c
 epan/dissectors/packet-snmp.c
 epan/dissectors/packet-x11.c

------------------------------------------------------------------------
r48447 | wmeier | 2013-03-20 19:29:09 -0700 (Wed, 20 Mar 2013) | 13 lines
Changed paths:
   M /trunk/ui/gtk/about_dlg.c
   M /trunk/ui/gtk/addr_resolution_dlg.c
   M /trunk/ui/gtk/afp_stat.c
   M /trunk/ui/gtk/airpcap_dlg.c
   M /trunk/ui/gtk/bytes_view.c
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/capture_file_dlg.c
   M /trunk/ui/gtk/capture_if_dlg.c
   M /trunk/ui/gtk/capture_info_dlg.c
   M /trunk/ui/gtk/cfilter_combo_utils.c
   M /trunk/ui/gtk/conversations_table.c
   M /trunk/ui/gtk/decode_as_ber.c
   M /trunk/ui/gtk/decode_as_dlg.c
   M /trunk/ui/gtk/edit_packet_comment_dlg.c
   M /trunk/ui/gtk/expert_comp_table.c
   M /trunk/ui/gtk/export_object_dlg.c
   M /trunk/ui/gtk/file_dlg.c
   M /trunk/ui/gtk/file_import_dlg.c
   M /trunk/ui/gtk/firewall_dlg.c
   M /trunk/ui/gtk/follow_stream.c
   M /trunk/ui/gtk/gtk_iface_monitor.c
   M /trunk/ui/gtk/gui_utils.c
   M /trunk/ui/gtk/gui_utils.h
   M /trunk/ui/gtk/hostlist_table.c
   M /trunk/ui/gtk/hostlist_table.h
   M /trunk/ui/gtk/main.c
   M /trunk/ui/gtk/main_airpcap_toolbar.c
   M /trunk/ui/gtk/main_filter_toolbar.c
   M /trunk/ui/gtk/main_menubar.c
   M /trunk/ui/gtk/main_statusbar.c
   M /trunk/ui/gtk/main_titlebar.c
   M /trunk/ui/gtk/main_toolbar.c
   M /trunk/ui/gtk/main_welcome.c
   M /trunk/ui/gtk/manual_addr_resolv.c
   M /trunk/ui/gtk/mcast_stream.c
   M /trunk/ui/gtk/packet_list.c
   M /trunk/ui/gtk/packet_list_store.c
   M /trunk/ui/gtk/packet_panes.c
   M /trunk/ui/gtk/packet_win.c
   M /trunk/ui/gtk/pixmap_save.c
   M /trunk/ui/gtk/prefs_capture.c
   M /trunk/ui/gtk/prefs_dlg.c
   M /trunk/ui/gtk/prefs_font_color.c
   M /trunk/ui/gtk/prefs_gui.c
   M /trunk/ui/gtk/prefs_layout.c
   M /trunk/ui/gtk/print_dlg.c
   M /trunk/ui/gtk/profile_dlg.c
   M /trunk/ui/gtk/progress_dlg.c
   M /trunk/ui/gtk/proto_dlg.c
   M /trunk/ui/gtk/proto_hier_stats_dlg.c
   M /trunk/ui/gtk/proto_hier_tree_model.c
   M /trunk/ui/gtk/proto_tree_model.c
   M /trunk/ui/gtk/range_utils.c
   M /trunk/ui/gtk/sctp_byte_graph_dlg.c
   M /trunk/ui/gtk/sctp_graph_dlg.c
   M /trunk/ui/gtk/sctp_stat.c
   M /trunk/ui/gtk/service_response_time_table.c
   M /trunk/ui/gtk/simple_dialog.c
   M /trunk/ui/gtk/stock_icons.c
   M /trunk/ui/gtk/summary_dlg.c
   M /trunk/ui/gtk/supported_protos_dlg.c
   M /trunk/ui/gtk/tap_param_dlg.c
   M /trunk/ui/gtk/text_page_utils.c
   M /trunk/ui/gtk/time_shift_dlg.c
   M /trunk/ui/gtk/uat_gui.c
   M /trunk/ui/gtk/voip_calls.c

From beroset:
 remove C++ incompatibilities
 https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416 attachment #10404

Note: The following parts of the patch had been previously done:
 asn1/snmp/packet-snmp-template.c
 epan/dissectors/packet-snmp.c
 epan/dissectors/packet-x11.c

Also; hostlist_table.c: code under '#ifdef HAVE_GEOIP'
 didn't compile and needed a few additional patches.


------------------------------------------------------------------------
r48446 | gerald | 2013-03-20 15:58:51 -0700 (Wed, 20 Mar 2013) | 2 lines
Changed paths:
   M /trunk/ui/gtk/gui_utils.c

Reverse some logic.

------------------------------------------------------------------------
r48445 | gerald | 2013-03-20 15:41:51 -0700 (Wed, 20 Mar 2013) | 8 lines
Changed paths:
   M /trunk/ui/gtk/capture_dlg.c
   M /trunk/ui/gtk/conversations_table.c
   M /trunk/ui/gtk/gui_utils.c
   M /trunk/ui/gtk/gui_utils.h
   M /trunk/ui/gtk/hostlist_table.c

Add frame_new, which creates a frame that best conforms to the GNOME,
Windows, and OS X HIGs. Use it in the capture options dialog. The
capture options dialog is a bit taller now and could probably use a bit
more tweaking.

In the capture options, conversation, and endpoint dialogs use our
best-guess dialog spacing and pad out some areas.

------------------------------------------------------------------------
r48444 | pascal | 2013-03-20 14:15:19 -0700 (Wed, 20 Mar 2013) | 2 lines
Changed paths:
   M /trunk/asn1/rrc/Class-definitions.asn
   M /trunk/asn1/rrc/Constant-definitions.asn
   M /trunk/asn1/rrc/InformationElements.asn
   M /trunk/asn1/rrc/Internode-definitions.asn
   M /trunk/asn1/rrc/PDU-definitions.asn
   M /trunk/asn1/rrc/packet-rrc-template.c
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-rrc.c

Upgrade RRC dissector to v11.5.0

------------------------------------------------------------------------
r48443 | pascal | 2013-03-20 14:14:25 -0700 (Wed, 20 Mar 2013) | 2 lines
Changed paths:
   M /trunk/asn1/lpp/LPP.asn
   M /trunk/asn1/lpp/packet-lpp-template.c
   M /trunk/epan/dissectors/packet-lpp.c

Upgrade LPP dissector to v11.2.0

------------------------------------------------------------------------
r48442 | etxrab | 2013-03-20 13:02:22 -0700 (Wed, 20 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

Set up RTCP conversation too.
------------------------------------------------------------------------
r48441 | wmeier | 2013-03-20 07:50:20 -0700 (Wed, 20 Mar 2013) | 6 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-x11.c


From beroset:
 remove C++ incompatibilities
 https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416 attachment #10401


------------------------------------------------------------------------
r48440 | etxrab | 2013-03-19 23:50:56 -0700 (Tue, 19 Mar 2013) | 1 line
Changed paths:
   M /trunk/asn1/acp133/packet-acp133-template.c
   M /trunk/asn1/ansi_tcap/packet-ansi_tcap-template.c
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/asn1/rrc/packet-rrc-template.c
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-rrc.c


------------------------------------------------------------------------
r48439 | etxrab | 2013-03-19 22:59:22 -0700 (Tue, 19 Mar 2013) | 2 lines
Changed paths:
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/plugins/wimaxasncp/wimaxasncp_dict.l
   M /trunk/text2pcap.c

[-Wmissing-prototypes]
Use explicit casts.
------------------------------------------------------------------------
r48438 | wmeier | 2013-03-19 18:18:10 -0700 (Tue, 19 Mar 2013) | 4 lines
Changed paths:
   M /trunk/editcap.c
   M /trunk/epan/asn1.c
   M /trunk/epan/atalk-utils.c
   M /trunk/epan/camel-persistentdata.c
   M /trunk/epan/circuit.c
   M /trunk/epan/codecs.c
   M /trunk/epan/column-utils.c
   M /trunk/epan/conversation.c
   M /trunk/epan/dissector_filters.c
   M /trunk/epan/except.c
   M /trunk/epan/expert.c
   M /trunk/epan/follow.c
   M /trunk/epan/frame_data.c
   M /trunk/epan/funnel.c
   M /trunk/epan/guid-utils.c
   M /trunk/epan/h225-persistentdata.c
   M /trunk/epan/next_tvb.c
   M /trunk/epan/osi-utils.c
   M /trunk/epan/prefs.c
   M /trunk/epan/range.c
   M /trunk/epan/sigcomp-udvm.c
   M /trunk/epan/sigcomp_state_hdlr.c
   M /trunk/epan/sna-utils.c
   M /trunk/epan/stat_cmd_args.c
   M /trunk/epan/tap.c
   M /trunk/epan/value_string.c
   M /trunk/epan/wmem/wmem_allocator_block.c
   M /trunk/epan/wmem/wmem_allocator_strict.c
   M /trunk/epan/wmem/wmem_slist.c
   M /trunk/epan/wmem/wmem_strbuf.c
   M /trunk/epan/wmem/wmem_strutl.c
   M /trunk/file.c
   M /trunk/plugins/asn1/asn1.c
   M /trunk/plugins/irda/packet-irda.c
   M /trunk/plugins/irda/packet-sir.c
   M /trunk/plugins/stats_tree/pinfo_stats_tree.c
   M /trunk/plugins/wimax/mac_hd_generic_decoder.c
   M /trunk/plugins/wimax/mac_hd_type1_decoder.c
   M /trunk/plugins/wimax/mac_hd_type2_decoder.c
   M /trunk/print.c
   M /trunk/rawshark.c
   M /trunk/reordercap.c
   M /trunk/tshark.c
   M /trunk/ui/cli/tap-ansi_astat.c
   M /trunk/ui/cli/tap-comparestat.c
   M /trunk/ui/cli/tap-dcerpcstat.c
   M /trunk/ui/cli/tap-h225rassrt.c
   M /trunk/ui/cli/tap-icmpv6stat.c
   M /trunk/ui/cli/tap-protocolinfo.c
   M /trunk/ui/cli/tap-protohierstat.c
   M /trunk/ui/cli/tap-rtspstat.c
   M /trunk/ui/cli/tap-wspstat.c
   M /trunk/ui/export_object_dicom.c
   M /trunk/ui/export_object_http.c
   M /trunk/ui/preference_utils.c
   M /trunk/ui/profile.c

 From beroset:
 remove C++ incompatibilities
 https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416 attachment #10397

------------------------------------------------------------------------
r48437 | wmeier | 2013-03-19 17:47:49 -0700 (Tue, 19 Mar 2013) | 5 lines
Changed paths:
   M /trunk/ui/gtk/bootp_stat.c

Fix another case of "Widgets are not properly expanded in gtk3"

See https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7377#c21


------------------------------------------------------------------------
r48436 | eapache | 2013-03-19 17:28:36 -0700 (Tue, 19 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/wmem
   M /trunk/epan/wmem/Makefile.am
   A /trunk/epan/wmem/wmem_test.c

Add empty placeholder wmem test suite. Hopefully my automake skills were
up for the challenge.

------------------------------------------------------------------------
r48435 | eapache | 2013-03-19 17:10:07 -0700 (Tue, 19 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/wmem/wmem_allocator_block.c
   M /trunk/epan/wmem/wmem_allocator_simple.c
   M /trunk/epan/wmem/wmem_core.c

Trivial tweaks to clean up cppcheck warnings.

------------------------------------------------------------------------
r48434 | eapache | 2013-03-19 17:04:01 -0700 (Tue, 19 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/emem.c
   M /trunk/epan/wmem/wmem_allocator_block.c

More block allocator fixes and cleanup. Most of the issues seem to have been
from one case I consistently forgot when typing it up originally, even though
it's clearly listed several places in my design notes.

Also include an #if0-ed out block of code to redirect emem to wmem for easy
testing (since there are very few common dissectors that use wmem right now).

------------------------------------------------------------------------
r48431 | eapache | 2013-03-19 16:17:59 -0700 (Tue, 19 Mar 2013) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

From Dirk Jagdmann via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8475

Tidy up the display of Bind and BindAck slightly for DCE-RPC.

From me:
- fix indentation
- add modelines

------------------------------------------------------------------------
r48430 | etxrab | 2013-03-19 15:03:00 -0700 (Tue, 19 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-raw.c
   M /trunk/epan/dissectors/packet-rdp.c
   M /trunk/epan/dissectors/packet-rdt.c
   M /trunk/epan/dissectors/packet-rlogin.c
   M /trunk/epan/dissectors/packet-rmcp.c
   M /trunk/epan/dissectors/packet-rmi.c
   M /trunk/epan/dissectors/packet-rmt-lct.c
   M /trunk/epan/dissectors/packet-rmt-norm.c
   M /trunk/epan/dissectors/packet-rmt-norm.h
   M /trunk/epan/dissectors/packet-rohc.c
   M /trunk/epan/dissectors/packet-rsh.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-rsync.c
   M /trunk/epan/dissectors/packet-rtps.c
   M /trunk/epan/dissectors/packet-rtps2.c
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-sametime.c
   M /trunk/epan/dissectors/packet-sbus.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-scsi.c
   M /trunk/epan/dissectors/packet-ses.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/dissectors/packet-sip.c
   M /trunk/epan/dissectors/packet-skype.c
   M /trunk/epan/dissectors/packet-smpp.c
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-socks.c
   M /trunk/epan/dissectors/packet-spice.c
   M /trunk/epan/dissectors/packet-sprt.c
   M /trunk/epan/dissectors/packet-srvloc.c
   M /trunk/epan/dissectors/packet-sscop.c
   M /trunk/epan/dissectors/packet-stun.c
   M /trunk/epan/dissectors/packet-synphasor.c
   M /trunk/epan/dissectors/packet-t30.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-teamspeak2.c
   M /trunk/epan/dissectors/packet-telkonet.c
   M /trunk/epan/dissectors/packet-telnet.c
   M /trunk/epan/dissectors/packet-tftp.c
   M /trunk/epan/dissectors/packet-time.c
   M /trunk/epan/dissectors/packet-tipc.c
   M /trunk/epan/dissectors/packet-tn3270.c
   M /trunk/epan/dissectors/packet-tn5250.c
   M /trunk/epan/dissectors/packet-tr.c
   M /trunk/epan/dissectors/packet-ucp.c
   M /trunk/epan/dissectors/packet-umts_fp.c
   M /trunk/epan/dissectors/packet-usb.c
   M /trunk/epan/dissectors/packet-user_encap.c
   M /trunk/epan/dissectors/packet-vcdu.c
   M /trunk/epan/dissectors/packet-vj.c
   M /trunk/epan/dissectors/packet-vrrp.c
   M /trunk/epan/dissectors/packet-winsrepl.c
   M /trunk/epan/dissectors/packet-wol.c
   M /trunk/epan/dissectors/packet-wps.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-wtp.c
   M /trunk/epan/dissectors/packet-x25.c
   M /trunk/epan/dissectors/packet-x29.c
   M /trunk/epan/dissectors/packet-xmcp.c
   M /trunk/epan/dissectors/packet-xtp.c
   M /trunk/epan/dissectors/packet-zbee-nwk.c
   M /trunk/epan/dissectors/packet-zbee-zdp-discovery.c
   M /trunk/epan/dissectors/packet-zbee-zdp.c
   M /trunk/epan/dissectors/packet-zrtp.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48429 | etxrab | 2013-03-19 14:22:31 -0700 (Tue, 19 Mar 2013) | 3 lines
Changed paths:
   M /trunk/asn1/ansi_tcap/packet-ansi_tcap-template.c
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/h225/h225.cnf
   M /trunk/asn1/h248/h248.cnf
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/asn1/h323/packet-h323-template.c
   M /trunk/asn1/kerberos/packet-kerberos-template.c
   M /trunk/asn1/ocsp/ocsp.cnf
   M /trunk/asn1/pkix1explicit/pkix1explicit.cnf
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/asn1/q932/packet-q932-template.c
   M /trunk/asn1/qsig/packet-qsig-template.c
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/asn1/rrc/packet-rrc-template.c
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h323.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-q932.c
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-s1ap.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48428 | etxrab | 2013-03-19 14:06:52 -0700 (Tue, 19 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_a.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48427 | pascal | 2013-03-19 13:47:48 -0700 (Tue, 19 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c

Upgrade NAS disssectors to v11.6.0

------------------------------------------------------------------------
r48426 | etxrab | 2013-03-19 13:00:52 -0700 (Tue, 19 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-6lowpan.c
   M /trunk/epan/dissectors/packet-amqp.c
   M /trunk/epan/dissectors/packet-ancp.c
   M /trunk/epan/dissectors/packet-assa_r3.c
   M /trunk/epan/dissectors/packet-auto_rp.c
   M /trunk/epan/dissectors/packet-beep.c
   M /trunk/epan/dissectors/packet-bittorrent.c
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dmp.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-erf.c
   M /trunk/epan/dissectors/packet-etsi_card_app_toolkit.c
   M /trunk/epan/dissectors/packet-fcdns.c
   M /trunk/epan/dissectors/packet-fcfcs.c
   M /trunk/epan/dissectors/packet-fcfzs.c
   M /trunk/epan/dissectors/packet-ff.c
   M /trunk/epan/dissectors/packet-fix.c
   M /trunk/epan/dissectors/packet-fmp_notify.c
   M /trunk/epan/dissectors/packet-frame.c
   M /trunk/epan/dissectors/packet-fw1.c
   M /trunk/epan/dissectors/packet-gadu-gadu.c
   M /trunk/epan/dissectors/packet-gmr1_bcch.c
   M /trunk/epan/dissectors/packet-gmr1_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gsm_abis_om2000.c
   M /trunk/epan/dissectors/packet-gsm_bsslap.c
   M /trunk/epan/dissectors/packet-gsm_rlcmac.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-h248_3gpp.c
   M /trunk/epan/dissectors/packet-h248_q1950.c
   M /trunk/epan/dissectors/packet-h264.c
   M /trunk/epan/dissectors/packet-hartip.c
   M /trunk/epan/dissectors/packet-hclnfsd.c
   M /trunk/epan/dissectors/packet-hip.c
   M /trunk/epan/dissectors/packet-icq.c
   M /trunk/epan/dissectors/packet-iec104.c
   M /trunk/epan/dissectors/packet-ieee802a.c
   M /trunk/epan/dissectors/packet-igrp.c
   M /trunk/epan/dissectors/packet-imap.c
   M /trunk/epan/dissectors/packet-infiniband_sdp.c
   M /trunk/epan/dissectors/packet-ipars.c
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-iuup.c
   M /trunk/epan/dissectors/packet-iwarp-mpa.c
   M /trunk/epan/dissectors/packet-ixveriwave.c
   M /trunk/epan/dissectors/packet-json.c
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-kingfisher.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48425 | etxrab | 2013-03-19 12:28:57 -0700 (Tue, 19 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-lapd.c
   M /trunk/epan/dissectors/packet-lapsat.c
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-llc.c
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-manolito.c
   M /trunk/epan/dissectors/packet-mbtcp.c
   M /trunk/epan/dissectors/packet-mikey.c
   M /trunk/epan/dissectors/packet-mmse.c
   M /trunk/epan/dissectors/packet-mndp.c
   M /trunk/epan/dissectors/packet-mount.c
   M /trunk/epan/dissectors/packet-mpls-y1711.c
   M /trunk/epan/dissectors/packet-mq-pcf.c
   M /trunk/epan/dissectors/packet-mrcpv2.c
   M /trunk/epan/dissectors/packet-msproxy.c
   M /trunk/epan/dissectors/packet-msrp.c
   M /trunk/epan/dissectors/packet-mtp3.c
   M /trunk/epan/dissectors/packet-nas_eps.c
   M /trunk/epan/dissectors/packet-ncp-nmas.c
   M /trunk/epan/dissectors/packet-ncp.c
   M /trunk/epan/dissectors/packet-ndp.c
   M /trunk/epan/dissectors/packet-ndps.c
   M /trunk/epan/dissectors/packet-netanalyzer.c
   M /trunk/epan/dissectors/packet-nfsacl.c
   M /trunk/epan/dissectors/packet-noe.c
   M /trunk/epan/dissectors/packet-ntp.c
   M /trunk/epan/dissectors/packet-opensafety.c
   M /trunk/epan/dissectors/packet-openwire.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-pana.c
   M /trunk/epan/dissectors/packet-pcnfsd.c
   M /trunk/epan/dissectors/packet-pdcp-lte.c
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-pop.c
   M /trunk/epan/dissectors/packet-portmap.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-pw-fr.c
   M /trunk/epan/dissectors/packet-q931.c
   M /trunk/epan/dissectors/packet-qllc.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48424 | etxrab | 2013-03-19 12:02:25 -0700 (Tue, 19 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dfilter/dfunctions.c
   M /trunk/epan/dfilter/dfvm.c
   M /trunk/epan/dfilter/syntax-tree.h
   M /trunk/epan/ftypes/ftype-bytes.c
   M /trunk/epan/ftypes/ftype-pcre.c
   M /trunk/epan/ftypes/ftype-string.c
   M /trunk/epan/ftypes/ftype-tvbuff.c
   M /trunk/ui/gtk/file_import_dlg.h
   M /trunk/wiretap/file_wrappers.c
   M /trunk/wiretap/i4btrace.c
   M /trunk/wiretap/iseries.c
   M /trunk/wiretap/pcapng.c
   M /trunk/wiretap/wtap.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48423 | etxrab | 2013-03-19 11:51:36 -0700 (Tue, 19 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Don't calculate checksum for ICMP packsets with a partial IP packet.
------------------------------------------------------------------------
r48422 | stig | 2013-03-19 10:15:27 -0700 (Tue, 19 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/wslua/wslua_tvb.c

Added TvbRange uncompress().

------------------------------------------------------------------------
r48421 | alagoutte | 2013-03-19 09:59:06 -0700 (Tue, 19 Mar 2013) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From chaitanya via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8497

Add support for 11R RIC IE's: Data and Descriptors for both FT-Over-Air and FT-Over-DS

Add 802.11 Tag RIC Data (57)
Add 802.11 Tag RIC Descriptor (75) (Not tested...)

From me:
- Remove tabs and whitespace
- Fix fix-encodings-args "warning"
------------------------------------------------------------------------
r48418 | gerald | 2013-03-19 08:45:42 -0700 (Tue, 19 Mar 2013) | 3 lines
Changed paths:
   D /trunk/docbook/release-notes.xml

Remove release-notes.xml. We're no longer using it and AsciiDoc clobbers
it.

------------------------------------------------------------------------
r48417 | eapache | 2013-03-19 08:38:14 -0700 (Tue, 19 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

And packet-isup.c is the first to fall to r48415.

From Anders via
https://www.wireshark.org/lists/wireshark-dev/201303/msg00183.html

------------------------------------------------------------------------
r48416 | eapache | 2013-03-19 08:32:42 -0700 (Tue, 19 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/wmem/wmem_allocator_block.c
   M /trunk/epan/wmem/wmem_scopes.c

Add more and stricter wmem block allocator debug functions.

Re-enable the block allocator by default in trunk since it is much better
tested now - I've spent some time with a hack redirecting all emem allocations
to wmem, so it's seen a lot of traffic. I will still likely turn it off for
1.10 whenever that branches, just to be safe.

------------------------------------------------------------------------
r48415 | eapache | 2013-03-19 07:53:44 -0700 (Tue, 19 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/value_string.c

Warn if an extended value string falls back to linear search.

See https://www.wireshark.org/lists/wireshark-dev/201303/msg00179.html

------------------------------------------------------------------------
r48414 | pascal | 2013-03-19 06:51:52 -0700 (Tue, 19 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bt-oui.c
   M /trunk/epan/dissectors/packet-btamp.c
   M /trunk/epan/dissectors/packet-btatt.c
   M /trunk/epan/dissectors/packet-btavctp.c
   M /trunk/epan/dissectors/packet-btavdtp.c
   M /trunk/epan/dissectors/packet-btavrcp.c
   M /trunk/epan/dissectors/packet-btbnep.c
   M /trunk/epan/dissectors/packet-bthci_acl.c
   M /trunk/epan/dissectors/packet-bthci_cmd.c
   M /trunk/epan/dissectors/packet-bthci_evt.c
   M /trunk/epan/dissectors/packet-bthci_sco.c
   M /trunk/epan/dissectors/packet-bthcrp.c
   M /trunk/epan/dissectors/packet-bthid.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btmcap.c
   M /trunk/epan/dissectors/packet-btobex.c
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/dissectors/packet-btsap.c
   M /trunk/epan/dissectors/packet-btsmp.c
   M /trunk/epan/dissectors/packet-hci_h1.c
   M /trunk/epan/dissectors/packet-hci_h4.c
   M /trunk/epan/dissectors/packet-hci_usb.c

From Michal Labedzki via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416 :
Remove C++ incompatibilities from Bluetooth dissectors and switch to wmem API

------------------------------------------------------------------------
r48413 | etxrab | 2013-03-18 22:09:37 -0700 (Mon, 18 Mar 2013) | 6 lines
Changed paths:
   M /trunk/dumpcap.c
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

From Michal Labedzki:

Fix some compilation errors in dumpcap/plugins


https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8304
------------------------------------------------------------------------
r48412 | etxrab | 2013-03-18 21:54:30 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-fcswils.c
   M /trunk/epan/dissectors/packet-fp_hint.c
   M /trunk/epan/dissectors/packet-icmp.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-ipx.h
   M /trunk/epan/dissectors/packet-ositp.c
   M /trunk/epan/dissectors/packet-reload.c
   M /trunk/epan/dissectors/packet-selfm.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/epan/dissectors/packet-xmpp-core.c
   M /trunk/epan/dissectors/packet-xmpp-gtalk.c
   M /trunk/epan/dissectors/packet-xmpp.c
   M /trunk/epan/ex-opt.c
   M /trunk/epan/stream.c
   M /trunk/ui/iface_lists.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48411 | gerald | 2013-03-18 16:03:31 -0700 (Mon, 18 Mar 2013) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc

Add capture file changes.

------------------------------------------------------------------------
r48410 | pascal | 2013-03-18 15:58:36 -0700 (Mon, 18 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

Add a missing static

------------------------------------------------------------------------
r48409 | etxrab | 2013-03-18 15:38:56 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/airpcap_loader.c
   M /trunk/epan/dissectors/packet-reload-framing.c
   M /trunk/epan/dissectors/packet-tpncp.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48408 | guy | 2013-03-18 15:26:36 -0700 (Mon, 18 Mar 2013) | 2 lines
Changed paths:
   M /trunk/configure.ac

Some more tYpo/cut-and-pasteo fixes for my libnl changes.

------------------------------------------------------------------------
r48407 | pascal | 2013-03-18 15:21:53 -0700 (Mon, 18 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-gmr1_common.c
   M /trunk/epan/dissectors/packet-gmr1_rr.c
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gsm_bsslap.c
   M /trunk/epan/dissectors/packet-gsm_bssmap_le.c
   M /trunk/epan/dissectors/packet-nas_eps.c
   M /trunk/epan/dissectors/packet-sgsap.c

As suggested by Evan Huus, use extended value_strings

------------------------------------------------------------------------
r48406 | gerald | 2013-03-18 15:18:52 -0700 (Mon, 18 Mar 2013) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.ac
   M /trunk/debian/changelog
   M /trunk/debian/wireshark-common.files
   M /trunk/epan/Makefile.am
   M /trunk/wiretap/Makefile.am

1.9.1 → 1.9.2.

------------------------------------------------------------------------
r48405 | gerald | 2013-03-18 15:17:42 -0700 (Mon, 18 Mar 2013) | 6 lines
Changed paths:
   M /trunk/docbook/asciidoc.conf
   M /trunk/docbook/release-notes.asciidoc
   M /trunk/make-version.pl

Add a wireshark-version:[] replacement and --sort-and-group-- block
definition to asciidoc.conf. Add support for asciidoc.conf to
make-version.pl. Set some SVN keywords.

Fill in the new protocol list.

------------------------------------------------------------------------
r48404 | etxrab | 2013-03-18 15:16:58 -0700 (Mon, 18 Mar 2013) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee802154.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416

(catch the one that almost slipped away)
------------------------------------------------------------------------
r48403 | guy | 2013-03-18 15:05:28 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/configure.ac

Fix some bugs in my libnl configuration changes found when testing on
Linux.

------------------------------------------------------------------------
r48402 | guy | 2013-03-18 14:33:38 -0700 (Mon, 18 Mar 2013) | 11 lines
Changed paths:
   M /trunk/configure.ac

Don't bother doing any of the Linux-specific libnl or nl80211 checks on
non-Linux systems.  Warn the user if they specified --with-libnl on one
of those systems.

Allow the user to specify a particular libnl version with --with-libnl. 
If the user specifies --with-libnl=VERSION, and that libnl version isn't
found, fail.  No need to have an explicit "auto" argument - that's the
default.

Fix a typo in a definition message.

------------------------------------------------------------------------
r48401 | etxrab | 2013-03-18 14:31:56 -0700 (Mon, 18 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

Update a value_string
------------------------------------------------------------------------
r48400 | etxrab | 2013-03-18 14:16:23 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btavdtp.c
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/dissectors/packet-btsdp.c
   M /trunk/epan/dissectors/packet-fmp.c
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-imf.c
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/dissectors/packet-ipmi.c
   M /trunk/epan/dissectors/packet-kerberos.c
   M /trunk/epan/dissectors/packet-l2tp.c
   M /trunk/epan/dissectors/packet-ldss.c
   M /trunk/epan/dissectors/packet-mysql.c
   M /trunk/epan/dissectors/packet-nbd.c
   M /trunk/epan/dissectors/packet-ppcap.c
   M /trunk/epan/dissectors/packet-pw-cesopsn.c
   M /trunk/epan/dissectors/packet-pw-satop.c
   M /trunk/epan/dissectors/packet-smb-common.c
   M /trunk/epan/dissectors/packet-smb-mailslot.c
   M /trunk/epan/dissectors/packet-smb-pipe.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-vnc.c
   M /trunk/epan/strutil.c
   M /trunk/epan/to_str.c
   M /trunk/plugins/m2m/packet-m2m.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48399 | etxrab | 2013-03-18 13:44:36 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-multipart.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-netflow.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-scsi-osd.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-smb-sidsnooping.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/uat.c
   M /trunk/plugins/wimax/packet-wmx.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48398 | eapache | 2013-03-18 13:30:02 -0700 (Mon, 18 Mar 2013) | 9 lines
Changed paths:
   M /trunk/configure.ac

Follow-up to r48395 and bug #8494.

Make libnl a --with flag instead of an --enable flag, since it is an optional
package. Make it a three-way flag, where 'no' disables, 'yes' enables (and
errors if it can't be found), and 'auto' enables (but doesn't complain if it
can't be found). Default to 'auto', which was our old behaviour.

[This is my first real foray into autoconf, so hopefully I got everything right]

------------------------------------------------------------------------
r48397 | pascal | 2013-03-18 13:26:47 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gsm_bsslap.c
   M /trunk/epan/dissectors/packet-gsm_bssmap_le.c
   M /trunk/epan/dissectors/packet-nas_eps.c
   M /trunk/epan/dissectors/packet-sgsap.c

use enum values instead of hardcoded values
(as suggested by Sylvain Munaut in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8487)

------------------------------------------------------------------------
r48396 | etxrab | 2013-03-18 12:47:33 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bat.c
   M /trunk/epan/dissectors/packet-bthci_acl.c
   M /trunk/epan/dissectors/packet-btobex.c
   M /trunk/epan/dissectors/packet-h223.c
   M /trunk/epan/dissectors/packet-iso7816.c
   M /trunk/ui/export_object_smb.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48395 | eapache | 2013-03-18 12:01:41 -0700 (Mon, 18 Mar 2013) | 5 lines
Changed paths:
   M /trunk/configure.ac

From Michael Weiser via Rick Farina via
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8494

Permit disabling libnl integration in ./configure

------------------------------------------------------------------------
r48394 | eapache | 2013-03-18 11:55:58 -0700 (Mon, 18 Mar 2013) | 6 lines
Changed paths:
   M /trunk/help/faq.py

From Alex Brinister via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8492

Correctly escape slashes in faq.py so that it will run under python 3.x

It still runs fine under 2.x, at least on my machine.

------------------------------------------------------------------------
r48393 | pascal | 2013-03-18 09:11:00 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8493 :
Use proto_tree_add_item instead of proto_tree_add_bits_item to display Used Cipher

------------------------------------------------------------------------
r48392 | gerald | 2013-03-18 09:10:35 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/docbook/release-notes.asciidoc
   M /trunk/tools/svnadd

Add .asciidoc support to svnadd. Set properties and add an SVN ID to the
release notes.

------------------------------------------------------------------------
r48391 | gerald | 2013-03-18 08:39:12 -0700 (Mon, 18 Mar 2013) | 3 lines
Changed paths:
   M /trunk/test/suite-capture.sh

Disable software updates in a blind attempt to fix the recent test
failures.

------------------------------------------------------------------------
r48390 | etxrab | 2013-03-17 23:29:57 -0700 (Sun, 17 Mar 2013) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btavrcp.c

From Michal Labedzki:

Use external value list for character set values
 in AVRCP

There is a special list with a lot of values so why not using it.

- From me: import packet-wap.h.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8304
------------------------------------------------------------------------
r48389 | etxrab | 2013-03-17 23:23:22 -0700 (Sun, 17 Mar 2013) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btamp.c
   M /trunk/epan/dissectors/packet-btatt.c
   M /trunk/epan/dissectors/packet-btavctp.c
   M /trunk/epan/dissectors/packet-btavdtp.c
   M /trunk/epan/dissectors/packet-btavrcp.c
   M /trunk/epan/dissectors/packet-btbnep.c
   M /trunk/epan/dissectors/packet-bthcrp.c
   M /trunk/epan/dissectors/packet-bthid.c
   M /trunk/epan/dissectors/packet-btmcap.c
   M /trunk/epan/dissectors/packet-btobex.c
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/dissectors/packet-btsdp.c
   M /trunk/epan/dissectors/packet-btsmp.c

From Michal Labedzki:
Be consistent in short name of protocols

Use prefix "BT " in short name for all Bluetooth dissectors. A reason
for that is protocol names start by "bt", Bluetooth dissectors can
be easy identificated, also DecodeBy looks better (sorted).
Please be note that "SDP" is reserved for different dissector, so using
"BT SDP" is good choice.

Also fix two naming mistakes.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8304
------------------------------------------------------------------------
r48388 | etxrab | 2013-03-17 23:13:09 -0700 (Sun, 17 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btatt.c
   M /trunk/epan/dissectors/packet-btavrcp.c
   M /trunk/epan/dissectors/packet-btbnep.c
   M /trunk/epan/dissectors/packet-bthci_cmd.c
   M /trunk/epan/dissectors/packet-bthci_evt.c
   M /trunk/epan/dissectors/packet-bthcrp.c
   M /trunk/epan/dissectors/packet-btobex.c
   M /trunk/epan/dissectors/packet-btsap.c
   M /trunk/epan/dissectors/packet-hci_usb.c

From Michal Labedzki:
Fix issues found by fix-encoding-args.pl
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8304
------------------------------------------------------------------------
r48387 | etxrab | 2013-03-17 23:04:09 -0700 (Sun, 17 Mar 2013) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btavctp.c
   M /trunk/epan/dissectors/packet-btavdtp.c
   M /trunk/epan/dissectors/packet-btavrcp.c
   M /trunk/epan/dissectors/packet-btbnep.c
   M /trunk/epan/dissectors/packet-bthci_cmd.c
   M /trunk/epan/dissectors/packet-bthci_evt.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btobex.c
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/dissectors/packet-llc.c

From Michal Labedzki:
Fix issues discovered by cppcheck

Also use global OUI array in AVRCP.
Thanks to Evan Huus for cppcheck.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8304
------------------------------------------------------------------------
r48386 | etxrab | 2013-03-17 22:51:01 -0700 (Sun, 17 Mar 2013) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bthid.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btsdp.c
   M /trunk/epan/dissectors/packet-btsdp.h

From Michal Labedzki:
Update HID to version 1.1

Also fix SDP TAP to avoid crash.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8304
------------------------------------------------------------------------
r48385 | etxrab | 2013-03-17 22:34:39 -0700 (Sun, 17 Mar 2013) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-usb.c

From Michal Labedzki:
USB: Use hfi name instead of hardcoded value.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8304
------------------------------------------------------------------------
r48384 | etxrab | 2013-03-17 22:18:32 -0700 (Sun, 17 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-k12.c
   M /trunk/epan/dissectors/packet-ncp2222.inc
   M /trunk/epan/dissectors/packet-p_mul.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48383 | etxrab | 2013-03-17 15:16:39 -0700 (Sun, 17 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/dissectors/packet-mp2t.c
   M /trunk/epan/dissectors/packet-rtcp.c
   M /trunk/epan/dissectors/packet-umts_mac.c
   M /trunk/epan/plugins.c
   M /trunk/epan/tcap-persistentdata.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48382 | alagoutte | 2013-03-17 12:25:20 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-osd.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48381 | alagoutte | 2013-03-17 12:25:08 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48380 | alagoutte | 2013-03-17 12:25:00 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-scsi-ssc.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48379 | alagoutte | 2013-03-17 12:24:51 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sflow.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48378 | alagoutte | 2013-03-17 12:24:42 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48377 | alagoutte | 2013-03-17 12:24:34 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-skinny.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48376 | alagoutte | 2013-03-17 12:24:25 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smpp.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48375 | alagoutte | 2013-03-17 12:24:17 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-socks.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48374 | alagoutte | 2013-03-17 12:24:09 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/epan/dissectors/packet-spnego.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48373 | alagoutte | 2013-03-17 12:24:00 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sprt.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48372 | alagoutte | 2013-03-17 12:23:52 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-synphasor.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48371 | alagoutte | 2013-03-17 12:23:43 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tacacs.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48370 | alagoutte | 2013-03-17 12:23:35 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tds.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48369 | alagoutte | 2013-03-17 12:23:26 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-teamspeak2.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48368 | alagoutte | 2013-03-17 12:23:18 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-telnet.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48367 | alagoutte | 2013-03-17 12:23:09 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tipc.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48366 | alagoutte | 2013-03-17 12:23:01 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tn5250.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48365 | alagoutte | 2013-03-17 12:22:53 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-usb-video.c

Fix some Dead Store (Dead assignement/Dead increment) Warning found by Clang
------------------------------------------------------------------------
r48364 | alagoutte | 2013-03-17 12:22:44 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-stun.c

Remove some whitespaces
------------------------------------------------------------------------
r48363 | alagoutte | 2013-03-17 12:22:36 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tds.c

Add Modelines info
------------------------------------------------------------------------
r48362 | alagoutte | 2013-03-17 12:22:27 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rpki-rtr.c

Support (TCP) fragmentation for RPKI-RTR Protocol (Using tcp_dissect_pdus)
------------------------------------------------------------------------
r48361 | alagoutte | 2013-03-17 12:22:19 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/colorfilters
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance 802.11 FCS check - Replace proto_tree_add_* by proto_tree_add_item - Add bad FCS to colorfilters
------------------------------------------------------------------------
r48360 | alagoutte | 2013-03-17 12:22:10 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance 802.11 Qos Control dissection - Replace proto_tree_add_* by proto_tree_add_item - Use Bitmask feature
------------------------------------------------------------------------
r48359 | alagoutte | 2013-03-17 12:22:01 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance 802.11 Frame control dissection - Replace proto_tree_add_* by proto_tree_add_item - Add Expert info when Retry 802.11 Frame
------------------------------------------------------------------------
r48358 | alagoutte | 2013-03-17 12:21:52 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Enhance Vendor RSN IE - Remove hf_ieee80211_tag_interpretation... - Replace proto_tree_add_* by proto_tree_add_item
------------------------------------------------------------------------
r48357 | alagoutte | 2013-03-17 12:21:42 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Add 802.11 Tag RM Enabled Capabilities (70)
------------------------------------------------------------------------
r48356 | etxrab | 2013-03-17 10:52:26 -0700 (Sun, 17 Mar 2013) | 3 lines
Changed paths:
   M /trunk/asn1/h245/h245.cnf
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/dissectors/packet-btavctp.c
   M /trunk/epan/dissectors/packet-btavrcp.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-nlm.c
   M /trunk/epan/dissectors/packet-rtmpt.c
   M /trunk/epan/dissectors/packet-usb-audio.c
   M /trunk/epan/dissectors/packet-usb-hid.c
   M /trunk/epan/dissectors/packet-usb-hub.c
   M /trunk/epan/dissectors/packet-usb-masstorage.c
   M /trunk/epan/dissectors/packet-usb-video.c
   M /trunk/epan/dissectors/packet-usb.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48355 | etxrab | 2013-03-17 09:48:47 -0700 (Sun, 17 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dfilter/dfilter-macro.c
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-componentstatus.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-ieee80211-prism.c
   M /trunk/epan/dissectors/packet-ieee80211-radiotap.c
   M /trunk/epan/dissectors/packet-ieee80211.c
   M /trunk/epan/dissectors/packet-rtp-events.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-smb2.c
   M /trunk/epan/dissectors/packet-smb2.h
   M /trunk/epan/dissectors/packet-zbee-security.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48354 | gerald | 2013-03-17 08:39:56 -0700 (Sun, 17 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/usb.c

Pick up changes missed by the automatic update script (which should
now be fixed).

------------------------------------------------------------------------
r48353 | darkjames | 2013-03-17 08:32:07 -0700 (Sun, 17 Mar 2013) | 2 lines
Changed paths:
   M /trunk/tools/npl/ast.h
   M /trunk/tools/npl/npl.c
   M /trunk/tools/npl/parser.l
   M /trunk/tools/npl/xmem.h

[NPL] Fresh stuff.

------------------------------------------------------------------------
r48350 | gerald | 2013-03-17 07:03:28 -0700 (Sun, 17 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf, services and enterprise-numbers update for 2013-03-17]
------------------------------------------------------------------------
r48349 | eapache | 2013-03-17 05:51:24 -0700 (Sun, 17 Mar 2013) | 7 lines
Changed paths:
   D /trunk/epan/dissectors/packet-sqloracle.c
   D /trunk/epan/dissectors/packet-sqloracle.h

Remove sqloracle dissector, it wasn't being built and was full of bugs.

It's on the wiki now at: http://wiki.wireshark.org/Oracle

For discussion of this, see:
https://www.wireshark.org/lists/wireshark-dev/201303/msg00161.html

------------------------------------------------------------------------
r48348 | etxrab | 2013-03-17 02:20:13 -0700 (Sun, 17 Mar 2013) | 6 lines
Changed paths:
   M /trunk/wiretap/5views.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/lanalyzer.c
   M /trunk/wiretap/netmon.c
   M /trunk/wiretap/netscaler.c
   M /trunk/wiretap/netxray.c
   M /trunk/wiretap/visual.c
   M /trunk/wiretap/wtap-int.h
   M /trunk/wiretap/wtap.h

From beroset:
implemented wtap_dump_file_seek() and _tell()

implemented the previously declared but unimplemented wtap_dump_file_seek() and wtap_dump_file_tell() functions and used them in the seven files that had previously used a plain ftell or fseek and added error checking as appropriate.  I also added a new error WTAP_ERR_CANT_SEEK_COMPRESSED and put it next to WTAP_ERR_CANT_SEEK causing renumbering of two of the existing error codes.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48347 | etxrab | 2013-03-17 02:11:21 -0700 (Sun, 17 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-csn1.c
   M /trunk/epan/dissectors/packet-dcerpc-bossvr.c
   M /trunk/epan/dissectors/packet-dec-bpdu.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-dvb-eit.c
   M /trunk/epan/dissectors/packet-dvb-nit.c
   M /trunk/epan/dissectors/packet-dvb-s2-bb.c
   M /trunk/epan/dissectors/packet-eap.c
   M /trunk/epan/dissectors/packet-eapol.c
   M /trunk/epan/dissectors/packet-echo.c
   M /trunk/epan/dissectors/packet-ecp-oui.c
   M /trunk/epan/dissectors/packet-edonkey.c
   M /trunk/epan/dissectors/packet-egd.c
   M /trunk/epan/dissectors/packet-ehdlc.c
   M /trunk/epan/dissectors/packet-ehs.c
   M /trunk/epan/dissectors/packet-eigrp.c
   M /trunk/epan/dissectors/packet-eiss.c
   M /trunk/epan/dissectors/packet-elcom.c
   M /trunk/epan/dissectors/packet-enrp.c
   M /trunk/epan/dissectors/packet-enttec.c
   M /trunk/epan/dissectors/packet-epmd.c
   M /trunk/epan/dissectors/packet-erldp.c
   M /trunk/epan/dissectors/packet-esio.c
   M /trunk/epan/dissectors/packet-esis.c
   M /trunk/epan/dissectors/packet-eth.c
   M /trunk/epan/dissectors/packet-etherip.c
   M /trunk/epan/dissectors/packet-ethertype.c
   M /trunk/epan/dissectors/packet-etsi_card_app_toolkit.c
   M /trunk/epan/dissectors/packet-etv.c
   M /trunk/epan/dissectors/packet-evrc.c
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-extreme.c

[-Wmissing-prototypes]
Use explicit casts.
------------------------------------------------------------------------
r48345 | eapache | 2013-03-16 13:46:19 -0700 (Sat, 16 Mar 2013) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gmr1_common.c
   M /trunk/epan/dissectors/packet-gmr1_rr.c

From Sylvain Munaut via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8487

Use enum values instead of manual constants in value_strings. This was
introduced by r47218, which was designed to fix r47209, which would have been
correct in the first place if the value_strings hadn't been full of hacks.

I think everything is correct now. Perhaps it may be worth using extended
value_strings though, since most of the tables seem to be consecutive in order?

------------------------------------------------------------------------
r48344 | etxrab | 2013-03-16 13:22:54 -0700 (Sat, 16 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-remact.c
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dcom-sysact.c
   M /trunk/epan/dissectors/packet-e100.c
   M /trunk/epan/dissectors/packet-e164.c

[-Wmissing-prototypes]
Use explicit casts.
------------------------------------------------------------------------
r48343 | etxrab | 2013-03-16 13:00:03 -0700 (Sat, 16 Mar 2013) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dis-fields.c

#if 0 out apparently unsed code.
------------------------------------------------------------------------
r48342 | wmeier | 2013-03-16 11:57:35 -0700 (Sat, 16 Mar 2013) | 7 lines
Changed paths:
   M /trunk/ui/gtk/capture_if_dlg.c

From Jaap Keuter: Fix "GTK3: Interface List dialog does not expand properly"

From me: Add an XXX comment about an un-related issue

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8468


------------------------------------------------------------------------
r48341 | etxrab | 2013-03-16 09:25:41 -0700 (Sat, 16 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-ddtp.c
   M /trunk/epan/dissectors/packet-dec-dnart.c
   M /trunk/epan/dissectors/packet-dect.c
   M /trunk/epan/dissectors/packet-dhcp-failover.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-diameter_3gpp.c
   M /trunk/epan/dissectors/packet-dis-fields.c
   M /trunk/epan/dissectors/packet-dis.c
   M /trunk/epan/dissectors/packet-distcc.c
   M /trunk/epan/dissectors/packet-dlm3.c
   M /trunk/epan/dissectors/packet-dlsw.c
   M /trunk/epan/dissectors/packet-dmx-chan.c
   M /trunk/epan/dissectors/packet-dmx-sip.c
   M /trunk/epan/dissectors/packet-dmx-test.c
   M /trunk/epan/dissectors/packet-dmx-text.c
   M /trunk/epan/dissectors/packet-dmx.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dplay.c
   M /trunk/epan/dissectors/packet-dpnss-link.c
   M /trunk/epan/dissectors/packet-dpnss.c
   M /trunk/epan/dissectors/packet-drda.c
   M /trunk/epan/dissectors/packet-dsi.c
   M /trunk/epan/dissectors/packet-dtcp-ip.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-dtn.c
   M /trunk/epan/dissectors/packet-dtp.c
   M /trunk/epan/dissectors/packet-dtpt.c
   M /trunk/epan/dissectors/packet-dua.c
   M /trunk/epan/dissectors/packet-dvb-ait.c
   M /trunk/epan/dissectors/packet-dvb-bat.c
   M /trunk/epan/dissectors/packet-dvb-data-mpe.c
   M /trunk/epan/dissectors/packet-dvb-eit.c
   M /trunk/epan/dissectors/packet-dvb-ipdc.c
   M /trunk/epan/dissectors/packet-dvb-nit.c
   M /trunk/epan/dissectors/packet-dvb-s2-bb.c
   M /trunk/epan/dissectors/packet-dvb-sdt.c
   M /trunk/epan/dissectors/packet-dvb-tdt.c
   M /trunk/epan/dissectors/packet-dvb-tot.c
   M /trunk/epan/dissectors/packet-dvmrp.c

[-Wmissing-prototypes]
Use explicit casts.
------------------------------------------------------------------------
r48340 | martink | 2013-03-16 02:53:19 -0700 (Sat, 16 Mar 2013) | 2 lines
Changed paths:
   M /trunk/tools/checkAPIs.pl

flag up a warning if someone includes gcrypt.h instead of wsutil/wsgcrypt.h

------------------------------------------------------------------------
r48339 | martink | 2013-03-16 02:37:06 -0700 (Sat, 16 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-oipf.c

no need for if(tree)
removed unnecessary initialization

------------------------------------------------------------------------
r48338 | etxrab | 2013-03-16 01:52:09 -0700 (Sat, 16 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/asm_utils.c
   M /trunk/epan/diam_dict.l
   M /trunk/epan/dissectors/packet-ctdb.c
   M /trunk/epan/dissectors/packet-cups.c
   M /trunk/epan/dissectors/packet-daap.c
   M /trunk/epan/dissectors/packet-data.c
   M /trunk/epan/dissectors/packet-daytime.c
   M /trunk/epan/dissectors/packet-db-lsp.c
   M /trunk/epan/dissectors/packet-dbus.c
   M /trunk/epan/dissectors/packet-dcc.c
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-dcp-etsi.c
   M /trunk/epan/dtd_grammar.lemon
   M /trunk/epan/dtd_parse.l
   M /trunk/epan/dtd_preparse.l
   M /trunk/epan/xdlc.c

[-Wmissing-prototypes]
Use explicit casts.
------------------------------------------------------------------------
r48337 | etxrab | 2013-03-16 01:12:29 -0700 (Sat, 16 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-rlc-lte.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/stats_tree.c
   M /trunk/epan/wslua/init_wslua.c
   M /trunk/epan/wslua/make-taps.pl
   M /trunk/epan/wslua/wslua_dumper.c
   M /trunk/epan/wslua/wslua_field.c
   M /trunk/epan/wslua/wslua_gui.c
   M /trunk/epan/wslua/wslua_listener.c
   M /trunk/epan/wslua/wslua_pinfo.c
   M /trunk/epan/wslua/wslua_tree.c
   M /trunk/epan/wslua/wslua_tvb.c
   M /trunk/epan/wslua/wslua_util.c

From beroset:
remove C++ incompatibilities 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8416
------------------------------------------------------------------------
r48336 | eapache | 2013-03-15 19:56:17 -0700 (Fri, 15 Mar 2013) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-websocket.c

Check for overflow in the websocket dissector payload.
Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8448

------------------------------------------------------------------------
r48335 | gerald | 2013-03-15 17:00:21 -0700 (Fri, 15 Mar 2013) | 2 lines
Changed paths:
   M /trunk/packaging/u3/win32/README.txt

Note that SanDisk deprecated U3 in 2009.

------------------------------------------------------------------------
r48334 | etxrab | 2013-03-15 15:40:15 -0700 (Fri, 15 Mar 2013) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cfm.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-cnip.c
   M /trunk/epan/dissectors/packet-collectd.c
   M /trunk/epan/dissectors/packet-componentstatus.c
   M /trunk/epan/dissectors/packet-cpha.c

[-Wmissing-prototypes]
Use explicit casts.
------------------------------------------------------------------------
r48333 | etxrab | 2013-03-15 15:39:37 -0700 (Fri, 15 Mar 2013) | 3 lines
